Automatic update is recommended
-------------------------------
New ConEmu builds arrives often, at least weekly. It's recommended to enable
Automatic Update to get Preview or Alpha builds as soon as they are released.

Any contributions are appreciated
---------------------------------
You can show your appreciation and support future development by:
+ localization: https://conemu.github.io/en/Localization.html
+ bugreporting: https://conemu.github.io/en/Issues.html
+ funding: https://conemu.github.io/donate.html
+ helping with documentation: https://github.com/ConEmu/ConEmu.github.io
+ coding: https://github.com/Maximus5/ConEmu
+ voting: https://conemu.github.io/en/Awards.html#Voting
or anything else, spreading the word for example.

ConEmu changelog is always available online
-------------------------------------------
https://conemu.github.io/en/Whats_New.html
-------------------------------------------


2019.10.12
* gh-1984: Add SetFocus macro which sets keyboard focus to ConEmu ghWnd handle (by stevium).
  Useful for ConEmu Inside scenario, where focus needs to be set programatically.
* gh-1984: Complete SetParentHWND macro by adding corresponding calls to gpConEmu (by stevium).
  Useful for ConEmu Inside scenario in case when there's a need for switching ConEmu parent to different HWND.
* gh-1072, gh-1973: Use 32-bit color in the tab headers (by ForNeVeR).
* gh-1072, gh-1973: Set up tab overlays using ImageList_SetOverlayImage (by ForNeVeR).
* gh-1949: Add Keyboard Input Grouping status item (by tkatz77).
* ConEmu.l10n: Improved Japanese translation.
* gh-1994: Fix panes order on saving active tabs.
* ConEmu.l10n: Update Chinese translations.


2019.7.14
* gh-1948: Don't reset scroll position on Multimedia keypresses.
* gh-1943: Fix background bug for 10x10 image.


2019.6.23
* gh-1889: GuiMacro `Tabs 12` returns list of opened tabs: `1: tab1\n2: tab2\n...`.
* Let's `ConEmu.exe -nor` force start ConEmu in normal window mode.
* Don't start root process under local security token, use inherited instead.
* l10n: Implement upload translation to Transifex.
* l10n: Español translations updated.


2019.5.26
* gh-1906: Add missed 'ru' l10n strings.
* L10N: Add Español translation, pull translations from Transifex.
* gh-468: Auto update environment variables, changes are applied to new consoles only.
  * GuiMacro functions `EnvironmentReload` and `EnvironmentList`.
  * Switch `-NoAutoEnvReload` disables env.reloading for session.


2019.3.31
* gh-1877: Option 'Snap to desktop edges' was broken (regression 663a216).
* gh-1878: Enable log in `ConEmuC /c` when started from Far.exe.
* gh-1838: Log start/stop command from Far.exe.
* gh-1871: Add some logs to WindowPosChaning.
* gh-1870: Add switch `/t:<temp dir>` to Setupper.
  Ability to specify temparary directory for msi files.
  So, you may specify on the ‘Update’ settings page special
  installer command, e.g.: `"%1" /t:"C:\Temp\ConEmuFiles"` /p:%3,adm /qn`.
  If the switch `/t:...` is not specified, Setupper uses:
  * `TEMP` environment variable;
  * `GetTempPath` API function if variable is not defined.
* gh-1851: Restore contents after return from Alternative screen was broken.


2019.3.26
* gh-1849: SystemMenu does not appear if ConEmu is maximized.
* gh-1838: Log times in CmdOutputStore/CmdOutputRestore.


2019.3.24
* gh-1857: Fix regression in `-cur_console` processing.
* gh-1860: Support new clink dll names.
* ANSI: Mouse mode for URXVT was not working.
* ANSI: Implement `ESC [ ! p` sequence to reset terminal.
* gh-1852, gh-1855: Fix 'Show last command output' in Far Manager (regression).
* gh-1851: Fix alternative buffer for OpenSSH.
* gh-1866: l10n: Add Japanese translation.
* gh-622: Unexpected left/right margins in quake mode with `100%` width.
* gh-622: Fix window size on minimize/restore.
* ANSI: Use \x7 as our specials terminator in logs.
* gh-1492: AnsiLog-s location may be specified as a folder or file with `-new_console:L:"Path"`.
  Write all ANSI logs to specified file:
  `cmd.exe -new_console:L:"C:\Logs\cmd.log"`.
  Create log files by format `ConEmu-<YYYY-MM-DD>-p<SrvPid>.log`:
  `cmd.exe -new_console:L:"C:\Logs\"`.
* AnsiLogs: log current system time each 500ms.
* Hooks: Support FillConsoleOutputCharacter and FillConsoleOutputAttribute.
* gh-1825: Add option to enable/disable ANSI calls to WinApi functions.


2019.3.10
* Update ChocolateyAbout.cmd to latest installation cmd.
* gh-1323, gh-1385, gh-1841: Speed up alternative buffer operations (connector).
* gh-1323, gh-1385, gh-1841: Let ‘Alternative mode’ toolbar button works with console buffers.
* Connector: When `--log` is used, log current system time each 500ms.
* gh-463: ConEmu.exe switch `-NoHooksWarn` disabled external hooks checks.
* Log duration of external hooks checks.
* gh-1733: Enable dark theme scrollbars with `ConEmu.exe -Theme DarkMode_Explorer`.
* ANSI: Visual Bell for `ESC g`.


2019.3.3
* gh-1840: Fix hung during startup if Environment contains `echo -x ...`.
* The `-FontSize` is better name to change font size switch.
* Allow to do `Copy all` from load dump screen.
* gh-1833: Fix border rendering issues (bar placement).
* Icon was not autoloaded for some tabs (e.g. `pwsh.exe`).
* Add default tasks for ‘PowerShell Core’.
* Some internal changes in default tasks generation.


2019.3.1
* gh-1795: Unexpected ConEmu activation on monitor change.
* Paste hotkeys `Ctrl+V`/`Shift+Ins` didn't work in Far Manager if selection was present.
* Eliminate copying delay on Paste if mouse selection is present.


2019.2.25
* gh-1835: Connector failed to start (regression).


2019.2.24
* gh-1159, gh-1775: ANSI, tmux, compatibility issues.
* Connector v1.2.6: Pass ConEmuServerPID environment variable to wslbridge.
* Add to log start/end time of default tasks populating.
* Preliminary implementation of PTY in Connector.
* AnsiDbg: better switch checking.


2019.2.17
* gh-1795: Unexpected ConEmu activation on monitor change.
* gh-1159, gh-1775: ANSI, tmux, compatibility issues.


2019.1.8
* Start word selection with Ctrl+Shift+Left/Right.
* Settings/Size & Pos: Apply button ignored invisible part of Win10 frame while setting coordinates.
* gh-861: Support RAlt the same way as Alt+Numbers (keypad).
* Predefined palettes were not initialized in some cases.
* gh-1620: Fade colors were wrong if ConEmu was started with `-Palette` switch.
* gh-1623: Let `Ctrl+0` and GuiMacro `Tab(7,-1)` activate *last* tab.
* gh-1637: Show message about absent DosBox required files.
* Fix unexpected pane-1 activation on mouse hover when pane-2 ChildGui popup dialog is over pane-1.
* gh-1662: Escape Char not working for passwords with trailing quote.
* gh-1573: Interface language setting was not saved.
* Add a new option to auto-trim single lines.
  When pasting a single line ending in newline, the user is presented with a
  warning about pasting multi-line strings. This enables a new option to
  automatically strip trailing newlines whenever we detect that a single line
  string has been pasted. This prevents the warning and allows the user to more
  conveniently edit single lines pasted into the console.
* Add German translation to ConEmu.l10n.
* Add icon ID number for VS2019 in CreateVCTask.
* GitShowBranch: Case insensitive check for no branch.


2018.6.26
* gh-1606: Don't show assertion on start if we can't determine HKL name, just write info to log.
* gh-1613: In some cases first four CJK cells were displayed using wrong attributes (inverse, underline).
* gh-1560: Try to support high-precision mouse wheels and trackpads.
* gh-1614: Fix long running session performance issues (CreateToolhelp32Snapshot).
* gh-1615: Workaroung for Win10 insider cursor position bug after writing `\b \b` to console.
* Reset prompt-start position after newline to avoid unexpected behavior of `Shift+Home`.
* Avoid rapid window flashing initialized from console applications, log FlashWindow requests.


2018.6.17
* gh-1590: Quake activation (up/down) did not work properly with ChildGui in tab.
* Show `-switch` style in ConEmuC help.
* gh-1240: For those who want to run WinAPI console applications from POSIX layer: `ConEmuC -std -c your-command`.
  When you run connector (or wslbridge) console handles are set into POSIX mode,
  and only applications directly compiled for this mode will behave as they are in tty.
  In other words, if you run ‘ConEmu/cygwin-connector/bash’ and try to start Python
  outside of cygwin folder (e.g. downloaded from https://www.python.org/downloads/),
  the Python will not think it was started in terminal, because it was not linked
  with cygwin1.dll!
  The command `ConEmuC -std -c python` tries to reinitialize console to work
  like python was started from cmd.
* gh-1567: Fixing ANSI scrolling issues.
* Slightly expand Settings/Environment editor area.
* Set default console pad size to `4`.
* gh-728, gh-1570: Easy way to configure cmd prompt in default `{cmd}` task.
  When you run `{cmd}` task or any other task utilizing `CmdInit.cmd`
  you may set configuration variables on the Environment settings page:
  * `set ConEmuPromptNL=NO` - use one-line prompt;
  * `set ConEmuPromptNames=NO` - don't print `user@pc`.
* Let configure `csudo` from Environment settings page.
  * `set ConEmuSudoSplit=NO` - run elevated console in new tab instead of split;
  * `set ConEmuSudoConfirm=NO` - disable ‘Press Enter or Esc to close console…’ confirmation.
  * Read more in docs: https://conemu.github.io/en/csudo.html
* Fix selection artefacts when selected region goes out of the screen.
* gh-1585: Don't reset search mode by clicking on scrollbar.
* Support ‘Dynamic scrollbar range’ in search mode.
* gh-1604, gh-393: Allow users enter buffer height values larger than 9999 to revert to maximum allowed 32766 (by Shawn Presser).
* gh-1259, gh-1557: ANSI: Some characters disappear by moving cursor with right arrow key.
* gh-1601: Add logging for keyboard indicators CAPS/NUM/SCRL.
* Support additional batch init scripts in form of `{cmd} script.cmd <arguments>`.
  The script.cmd may be surrounded by `"`, but in that case, due to cmd parsing rules,
  you should append some script arguments without quotes.
  In other words, the tail of `{cmd}` **should not** end with `"`.


2018.5.28
* gh-1583: Let `-new_console` work in WSL.
  Note: `ConEmuC.exe` or `ConEmuC64.exe` are required to run commands,
  for example: `ConEmuC64.exe -c powershell -new_console`.
* Switch `ConEmuC -ConInfo` was not working on redirected handles (mintty, connector, wsl).
* gh-1444: ANSI. Fix irssi rendering under tmux.
* ANSI. Sequence `\e[Nb` repeats output of last written character N times.
* ANSI: `ESC ] 9 ; 10 ; 0 ST` stops xterm mode emulation.
* ANSI. Reports for `ESC [ 6 n` cursor position relative to viewport (1-based).
* gh-1569: True color mode with powershell doesn't scroll correctly.
* gh-1579: Changes in escaping rules on pasting POSIX paths (exclamation `!` mark).
  * if path contains special characters, strong quoting (single-quote) is used
  * it's still possible to paste without quotation via GuiMacro
* In some cases 32-bit ConEmuHk caused access violation on true-color buffer scrolling.


2018.5.6
* gh-884: In some cases Far panels directory were not updated (Tab title, etc.)
* gh-1082, gh-1546: Env.var ConEmuCfgDir was shorter by one char.
* gh-1503: Save on timer (every 5 minutes) only startup task if it was changed.
* gh-1538: Support user-defined drives mount point in WSL.
* gh-1539: Add workaround for 2 pixels cut off client area by autohidden taskbar.
* Far working directory was not reloaded for `%f` macro (tab template).
* Add TaskBar location to LogFile.


2018.5.3
* gh-1539: Resize fixes for auto-hidden Taskbar and caption-less mode.
* gh-1545: Fix paste problems in Windows 10 1803 on texts with spaces or CR/LF.
* Maximized ConEmu was not sized properly after display changes.
* Default Task: create `{bash}` if either `bash.exe` or `wsl.exe` are found.
* Improve Windows version detection in dlls.


2018.4.29
* gh-1532: Fix ‘splitting windows crashes ConEmu’ (01107bd regression).
* gh-1534: Unable to select text with always-shown scrollbar (0493ff5 regression).


2018.4.27
* gh-934: Fix assertion `nNewWidth>0 && nNewHeight>0` appeared sometimes after console resize in Windows 10.
* gh-1503: Save size/pos/startup-task every minute.
* gh-1527: Fix auto-hidden scrollbar, was not revealed on mouse-over (regression 1fd7b5b2).
* gh-1526: Improve ‘Duplicate root...’ function.
* Allow to stop ‘Paused’ mode by `Esc` key.


2018.4.22
* Allow import of xml files without reset of current settings.
  Example with Dracula color theme:
  https://gist.github.com/Maximus5/3205332bbc45c8300763157f0fdbe884
* gh-1522: Exchange **default** behavior of `Ctrl+V` and `Shift+Ins`.
  Both hotkeys actions may be configured in Settings/Paste.
  * `Ctrl+V` inserts multiple lines from clipboard with `\n` inside;
  * `Shift+Ins inserts all lines as single line replacing `\n` with spaces.
* gh-1492: AnsiLog may be enabled on per-console basis via `-new_console:L:"<path>"`,
  where `<path>` is a folder to store AnsiLog files, e.g. `C:\Logs`.
  https://conemu.github.io/en/AnsiLogFiles.html
* Change default folder for AnsiLog files to `%UserProfile%\Desktop\ConEmuLogs`.


2018.4.18
* gh-880: Show the name of selected shell task for `Win+X` hotkey.
* gh-1517: After postponing update the ‘Confirm closing’ dialog stucks.
* Compact paths (%ConEmuDir%, %ConEmuCfgDir%, etc) by removing `\..\` elements.
  E.g. `C:\ConEmu\src\..\Debug\ConEmu.xml` will be processed now as `C:\ConEmu\Debug\ConEmu.xml`.
* gh-1046: Don't take into account path to xml settings storage in AppID generation if it's a default xml.
  If configuration file was set by argument `-LoadCfgFile "%ConEmuDir%\ConEmu.xml"`
  and it is *already* the default settings location (the same without `-LoadCfgFile` switch),
  than xml path is not used in AppID generation.
  Note: AppID is utilized during search for appropriate ConEmu instance
  when `-single` or `-reuse` switch were specified.
* By default add commented `LANG` variable and some aliases to ‘Environment’ settings page.
* Hidden cursor may be displayed as inactive (option for debug purposes).
* Add hotkey for ‘Check for updates’.
* Add helper `git-log.cmd` to distro.


2018.4.16
* Add description for `-new_console:t:"title"` switch.
* Disable automatic update in `-basic` mode unless the `-update` is specified.
* gh-629: Don't imply ‘AppKeys’ mode (DECCKM) by `-cur_console:p` or `ENABLE_VIRTUAL_TERMINAL_INPUT`.
* gh-1513: Fix erroneously trimmed leading `"` in commands `cmd /c "-new_console script.bat argument"`.
* gh-242: Fix hidden scrollbar glitch on mouseover.


2018.4.15
* gh-172: Disable scrolling (mouse wheel and hotkeys) past lowest line.
* gh-1509: Previous focused window is incorrectly restored to focus after ‘quake’ minimization.
* gh-1511: ANSI: fix `\n` processing in emacs.
* gh-1510: Fix for git hangs when Inject ConEmuHk.dll option is enabled (9bce8f14e regression).
* gh-1512: Option ‘Restore to active monitor’ shall not override unchecked ‘Restore inactive window by hotkey’.
* Show options ‘Restore inactive window by hotkey’ and ‘Restore to active monitor’ on the ‘Quake style’ page.
* When ScrollBar is always shown (in settings) don't hide it in alternative (xterm) mode.
* Improve OS information in About/SysInfo and log.


2018.4.11
* gh-1402: Workaround for \u23CE ⏎ character preceding every prompt in fish on CJK versions of Win10.
* gh-1449: DefTerm: Support VS 2017 changes in debugging C# console applications.
* DefTerm: Do several attempts to attach started console (alternative mode).
* For new installations automatic updates by default are enabled (same channel as downloaded release).
* Fix icon path for WSL Bash task.


2018.4.9
* gh-1501: One more fix for cursor position after CJK (and other `COMMON_LVB_*_BYTE`) glyphs on Windows 10.
* Fix custom startup command in ‘Fast configuration’ dialog (44b40e6 regression).
* Add ConEmu.l10n (localization file) to portable and installer.


2018.4.8
* Add ‘Interface language’ field to ‘Fast configuration’ dialog.
* New first page ‘General’ in the ‘Settings’ dialog contains several most used options and language selection.
* Default update channel now is the same as downloaded release (stable/preview/alpha).
* gh-1404: Update Far Manager panels dragging cursor hotspot.
* gh-1484, gh-701: Menu item ‘New console dialog...’ in the tab and system menus.
* gh-1402: Add debug assertions for troubleshooting.
* gh-1420: Option ‘Restore inactive window by hotkey’ to change Minimize/Restore behavior,
  new default is ‘if out of focus, minimize instead of focus’.
* gh-751: Minimizing ConEmu (Quake animation) should return focus to the previous window.
* gh-1502: Text cursor disappear when use default `{Bash::MinGW bash}` task.
* gh-1501: Add cursor position test to `ConEmuC -CheckUnicode`.
* gh-1494: Add `<Babun>` color scheme.
* Update Connector modules to v1.2.5.


2018.3.18
* Feature ‘Extend foreground colors’ was removed.
* Don't be CPU consuming in background.
* gh-1456: VS Extension fails to start ConEmu with error ‘Can't create new virtual console!’.
* gh-1467: Let hotkey ‘Create new window’ take into account confirmation setting.
* gh-1478: Fix for unexpected error during `ConEmu -UpdateJumpList -Exit`.
* gh-1402: Add some more tricks to find WinAPI problems: `ConEmuC -CheckUnicode`.
* gh-1480: Update wslbridge to version 0.2.4.


2018.3.9
* Tab tooltip was not shown for Far editor/viewer tabs.
* Ellipsis was not shown for long tab titles.
* gh-1440: Fix error dialog when toggling ‘Show buttons (toolbar) in tab bar’.
* Workaround for unexpected WINDOW_BUFFER_SIZE_EVENT appeared after console scrolling.
* Installer: readme.txt in the `ConEmu\Scripts` folder.
* gh-1466: ANSI FG/BG reset codes did not reset bright intensity.
* Settings/Environment was not saved properly (last new line was stripped).
* Write to ANSI Log calls to certain console WinAPI functions.
  Example: `^[]9;11;"cmd.exe: SetConsoleCursorPosition(0,0)"^[\`.
* In some cases output of certain tools was printed as ‘black on black’.
  Ref: https://superuser.com/q/1198421/139371   Related?: gh-1342
* gh-1393, gh-1469: Fix jumbled output from git log/diff, reverse scrolling speed.
* gh-1366: Mouse cursor was not updated while hovering over ChildGui.


2018.2.6
* gh-1430: Toolbar buttons Min/Max/Close dissapears after toggling ‘Show buttons in tab bar’.
* gh-1431: Lines were not erased properly from multiline xml entries (Environment variables, aliases, cp).
* gh-1436: TitleBar was not painted properly if theming was disabled.
* gh-1338: Error message was not displayed if 7-zip was not found.
* Write to log Theming and DWM flags.


2018.1.31
* Environment settings (and other multiline values) were not loaded from xml properly (xmlparser regression).
* gh-1427, gh-1428: Fix TitleBar glitches whith option ‘Hide caption when maximized’.


2018.1.30
* Use internal XML parser instead of msxml3.dll.
* gh-1369, gh-1406: Resize refactoring; refactoring of ideal/stored normal rect.
* gh-1426: Fix resize glitches if TabBar was set to ‘Auto show’.
* gh-1410: Correct TabBar height if system DPI was set to custom value.
* gh-1404: Resize Far Manager panels separately.
  If mouse cursor is over panels bottom edge at center - resize panels heights simultaneously,
  otherwise - resize panels separately.
* Rename option to ‘Adjust font size for monitor DPI’.
* Don't print download progress: `ConEmuC.exe -download -nolog ...`.
* Erase deleted Tasks/Palettes/AppDistinct options from xml file on save.


2018.1.14
* Fix frame gaps when maximizing caption-less window on Windows 10.
* Drag window by frame top if caption is hidden and TabBar is hidden or shown at the bottom.
* Fix wrong TabBar position when ‘Tabs on bottom’ is checked.
* gh-1369: Fixes for unexpected unthemed title bar appeared in some cases.
* gh-1400: Allow resize Far panels with mouse if border fore color match back 4bit color.


2018.1.11
* Resize fixes for quake mode in Windows 10.
* Don't turn on ‘self-resizable’ frame on mouse-hover if the frame is already resizable.
* Settings/Integration: If the ‘Command’ field contains only `-nosingle` and no `-run`,
  don't add `-run` BEFORE `-nosingle`.
* gh-1395: Settings/Integration: Force Explorer to use hotkey if '&' is specified.
* gh-1369: Some more logging on changing window style.
* gh-1355, gh-1393: Fix backscrolling with pager (git bash started from connector).
* New image-base for ConEmuHk64: 0x7E1100000000.


2018.1.8
* A lot of resize fixes.
* Fix snap to desktop edges on Win8 when caption is not hidden and ‘Frame width’ set to non-negative value.
* Fix wrong StatusBar size (it was greater) when caption is hidden.
* Proper ‘OriginalFilename’ in version info.
* Proper sizing cursor for caption-less window with positive Frame width.
* During text selection IBeam cursor was set for many superflous areas.
* Fix wrong Aero peek position for caption-less window with positive ‘Frame width’.
* Fix window size and TabBar/StatusBar/Workspace position when caption is hidden and ‘frame width’ is zero.
* Don't force show frame during dragging the ConEmu window.
* Fix GDI resources leak (564d6449 regression).


2017.12.26
* Resize fixes.
* gh-1364: Fix missed slash in the installer temp directory for `%TEMP%\ConEmuYYMMDD`.
* gh-348, gh-1231, gh-1372: Let background image cover VCon pad areas too.
* gh-1373: Fix `NestedCallLevel <= 2` assertion in ConEmu-Inside when parent window has zero size.
* gh-1374: Explorer context menu integration didn't start console in the folder, if starting task has `/dir %CD%` in the task parameters.
* gh-1269: Special keys were applied multiple times for GroupInput in xterm mode.
* Add GetConsoleKeyboardLayoutName result to `ConEmuC -checkunicode`.


2017.12.17
* gh-1349: When reopening Settings dialog, show last selected section.
* gh-165: Allow to move Quake console between monitors by hotkeys.
* gh-275, gh-1345: Resize changes in caption-less mode.
* gh-1350, gh-1351: Fix wrong VCon position and gaps colors in split-screen mode.
* A lot of internal changes fixing deprecated string functions warnings.
* Use BASE addresses above 4GB for better ASLR optimization (ConEmuCD64, ConEmuHk64).


2017.12.5
* gh-1345: Hide visible frame under TaskBar in maximized mode.
* gh-1347: Fix crash when setting hotkey for a task (per-mon-dpi regression).
* gh-1346: Tabs didn't appear when ‘Tabs on bottom’ is set.
* gh-1346: Refresh Tabs position after ‘Tabs on bottom’ change.
* gh-935: Workaround for injection failure in Windows 7 on some processes (in progress).
* StatusBar: show current window and tile modes for debug purposes - column ‘ConEmu window mode’.
* StatusBar: fix wrong painting position during resize with mouse in some cases.


2017.12.3
* Hotkey `Apps+C` didn't update ‘Hide caption always’ checkbox.
* gh-1329: Fix progress detection in console window title.
* gh-1206: correct position after `こんばんはGood Evening`.
* gh-1321: Close tabs to the right (menu, hotkey, macro).
* gh-1236: Proper fix for 1638b9b5 (kernel debug log to fill on Win10).
* gh-275, gh-1226: Resize refactoring: dialogs, per-monitor dpi, caption-less mode etc.
* Fix yanking while dragging the window by its contents with ‘Snap to desktop edges’ enabled.
* Connector: Fix infinite waiting on shell exit.
* gh-1331: Delay in response to any keypress on connector shells.


2017.11.17
* Option ‘Dynamic scrollbar range’ was not working for not-hooked console applications (e.g. wsl.exe).
* gh-1306, gh-460: Perhaps this fixes unexpected ‘Tool window’.
* In some cases ‘underline’ and ‘reverse’ had no effect.
* Switch `-cur_console:hXXX` was ignored on console restart.
* Connector: Enable log input to file `connector-XXXX-in.log` with `--log`.
* gh-1317: GuiMacro `SetOption("bgImage", "C:\background.jpg")`.
* gh-1051, gh-1111, gh-1138: Cursor position fix for Win10 after CJK glyphs.
* gh-1311: Connector: Input may entirely stop functioning over time.
* gh-1318: If checkbox ‘Support UNC paths in cmd.exe’ is not checked, rely on real registry value.
* gh-1271: Fix for caret position when our dialog is active.
* gh-1204: Get mount root prefix from connector automatically.
   It is used on paste paths to cygwin/msys consoles, e.g. when you
   paste `C:\My Sources` you'll get `/cygdrive/c/My\ Sources`.
* gh-275: Fix dialog glitches moving between monitors.
* gh-275: Fix GUI glitches while moving ConEmu window to monitor with different DPI.


2017.11.9
* XLat from Far didn't change keyboard layout in ConEmu.
* GuiMacro: Select(2) cancels active selection.
* gh-1307: Turn on ‘Long console output’ when user runs `script.py` associated with `py.exe`
  The script is executed by Far3 via ShellExecuteEx(script.py),
  which in turn runs CreateProcess(py.exe, script.py) in background thread
* gh-1236, gh-1303: When GetConsoleKeyboardLayoutName not implemented stop calling it
* gh-275, gh-1102: Support PerMonitorV2 DPI awareness for Windows 10 Creators Update.
* gh-1304: Use ‘Bold’ ANSI sequence (`\e[1m`) to bright text color (partial revert of gh-1288).
* `ConEmuBaseDirShort` environment variable had wrong path if `ConEmuBaseDir` contained relative parts.
* gh-1312: Don't autoquote cygwin/msys paths on paste/drop.


2017.10.25
* connector#15: Support graphics output in some versions of mc.
* gh-1265: Fix crash in Windows 7 on starting elevated console.
* gh-1271: Update caret position to help accessibilty tools (e.g. Magnifier).
* gh-661: Disable ‘Close ConEmu with last tab’ if it's prohibited.
  Some switches (`-MinTSA`, `-NoAutoClose`, ...) tells ConEmu
  to stay or minimize (into TaskBar status area) instead of
  termination ConEmu process when all its consoles goes out.
* gh-1284: Globally registered (WinAPI) hotkeys may use only general modifiers (e.g. Ctrl instead of RCtrl/LCtrl).
* Add ‘swap’ to hotkey description (Split: Exchange (swap) with ...)
* Change button name to ‘Add/refresh default tasks...’
* gh-1261: Improve gh-1164 workaround (Win10 conhost bug with cleared contents on resize).
* gh-1288: Use ANSI to underline text.
  Since now, ambiguous sequences like `ESC[1m`, `ESC[3m`, `ESC[4m`, `ESC[5m`
  are not used to increase the brightness of background/foreground colors,
  instead they are used to set ‘bold’, ‘inverse’ and ‘underline’ attributes.
  To set bright text or background colors one may use sequences `ESC [ 90…97 m`
  or `ESC [ 100…107 m` accordingly.
* Let `ConEmuC -CheckUnicode` output samples with extended attributes.
* New option ‘Dynamic scrollbar range’ on ‘Appearance’ settings page.
  When enabled, ConEmu tries to determine filled area in RealConsole.
* Improve `-new_console` description.
* gh-1293: LastError was erased on `printf`.
* gh-1298: Force to load `.profile` in WSL.
* gh-1291: Support wsl.exe and ubuntu.exe - turn on/off XA modes automatically.


2017.9.10
* gh-1227: Let ‘Context help’ button open corresponding page on conemu.github.io.
* gh-1213, gh-1246: Clicking anywere below the prompt line caused prolonged cursor blinking.
  ConEmu tried to move text cursor to the clicked position, which caused numerous ‘Right arrow’ clicks.
  Since now ConEmu would not try to advance text cursor forward, if user clicks on the empty
  space (line) below the prompt.
* gh-1247: Button `Startup dir...` on Tasks settings page didn't insert space-separator.
* gh-1243: GroupInput blocked input on terminals.
* gh-1245: When user runs `ConEmu -reuse -min -run ...` don't restore existing window, but minimize it.
* ConEmu content was erased on decreasing window height or splitting.
* gh-1249: Fix the gap on the right of the child GUI window, when scrollbar is set to be always shown.
* gh-1241: Fix crash on text selection (mouse double click).
* gh-1244: GuiMacro: Use SetOption to change color palettes.
  * `SetOption("Scheme", "<SchemeName>")` changes color palette for the whole ConEmu window
  * `SetOption("VConScheme", "<SchemeName>")` changes color palette for the active console
  For example, user may execute from the active shell prompt:
  ConEmuC -GuiMacro SetOption Scheme "<Tomorrow>"


2017.8.19
* gh-1164, gh-1216, gh-1219: Workaround for Window 10 conhost bug when content is erased on resize.
* gh-1212: After ‘Unfasten’, unfastened console loses arrow key capability.


2017.8.14
* gh-1224: Process dead chars AltGr+~ and AltGr+` in XTerm emulation.
* Settings\Debug: Show XTerm keyboard and mouse sequences in ‘Input’ mode.


2017.8.7
* Switch `-fork` was not working (e.g. `ConEmuC -fork -c powershell`).
* gh-1220: Fix AltGr+Key sent with XTerm keyboard emulation (e.g. tilde and square brackets on german keyboard).
* gh-740: Flexible config allowing or disallowing POSIX paths conversion.
  * If mount prefix is disabled with `-new_console:p:-` switch than autoconversion is disabled.
  * GuiMacro `Paste` doesn't do autoconversion with exception of mode `Paste(8)` which does.
  * Checkboxes ‘Allow Windows to POSIX path conversion’ on ‘Paste’ and ‘App distinct’ setting pages.
* Add `-settings` switch to ConEmu.exe.
* Escape special symbols in POSIX path autoconversion on paste (e.g. `/c/Program\ Files \(x86\)/Adobe/`).
* Add wiki link to each settings page.


2017.8.5
* gh-1211: Pressing `Enter` in nano editor didn't insert new line.
* Fix missed icon for `{Bash::bash}` task.
* gh-1209: Node and `undefined` in the `process.env.foobar`.
* Show proper terminal modes in Settings/Info dialog page.
* Conversion from POSIX to native paths improved.
  * Proper prefix is used (autodetected or specified via `-new_console:p:/mnt` switch).
  * Paths `~` and subpaths are ignored for now, we can't even map `~` from WSL to native.
* XTerm mouse wheel emulation changes.
  * VIM emulation `\e[62~` .. `[65~` is removed.
  * If console application has not requested mouse events, ConEmu
    sends Wheel events as Up/Down arrow key presses, and Shift+Wheel
    events as PgUp/PgDn key presses.
* In come cases when using Connector ANSI sequences were not processed by ConEmu.
* gh-999: Fix ‘RuntimeError: Failed to beep’ when running Python in ConEmu.


2017.7.30
* Unchecked option ‘Use credentials for network resources only’ was ignored (f9805dccf regression).
  Entered credentials were used only for network resources regardless of the option value.
* gh-811, gh-1199: Fix race while starting applications requesting XTerm emulation (WSL, cygwin, msys).
* gh-1194: Button ‘Clone’ in Settings/Tasks.
* Use conemu-cyg-64.exe with wslbridge.exe to run WSL bash.
  This concerns to {Bash::bash} task created by default,
  if cygwin's wslbridge files exist in `%ConEmuBaseDir%/wsl`.
  Connector version 1.2 is required. wslbridge added to ConEmu distro.
* gh-648, gh-1117: Support xterm mouse emulation (mc, WSL, etc.) Connector is required!
* Try to find all installations of cygwin (32bit and 64bit) to create default tasks.
* Find MSYS2 installations to create default tasks {Bash::Msys2-32} and {Bash::Msys2-64}.


2017.7.23
* gh-1198, gh-1136, gh-1009: XTerm keyboard emulation for Ctrl+key.
* gh-1200: 'Sync dir' feature was broken for bash.


2017.7.9
* gh-1175: Take into account modifier keys (Ctrl,Alt,Shift) pressed in the hotkey settings field.
* New environment variable `ConEmuBaseDirShort` contains short path like `C:\PROGRA~1\ConEmu\ConEmu`.
* gh-1082: New environment variable `ConEmuCfgDir` contains directory where xml file was loaded from.
* gh-1178: Use short path to connector for launching from git-cmd. Recreate defult tasks to obtain changes
  or edit task command manually (change `%ConEmuBaseDir%` to `%ConEmuBaseDirShort%`).


2017.7.5
* Cygwin/Msys connector is updated to version 1.0 (https://conemu.github.io/en/CygwinMsysConnector.html).
  Hooks are not injected into cygwin/msys applications if they were runned from connector.
  As a result some speed up execution and elimination of any BLODA conditions is expected.
  If one needs ConEmuHk to be loaded into some process, e.g. while starting
  non-cygwin application like cmd.exe from cygwin shell, they may use ConEmuC.exe
  as loader. For example, run "ConEmuC.exe -c cmd.exe" instead of "cmd.exe".
* Use connector in new default cygwin/msys/git-for-windows tasks.
* gh-1008: Add hotkey `Apps+Alt+G` to group input for selected panes.
  So one may add or remove console to input group by activating it
  and pressing the `Apps+Alt+G` (configurable). Consoles may belong
  to different splits/tabs.
* Far Macro: ConEmu.CtrlNumber.lua to switch panel modes by `Ctrl+Shift+Numbers`.
* Use `Shift+LClick` or `Alt+LClick` to mark the end of selection.
  User may start selection (by `Shift+LClick`, `Shift+Arrow` or any other way)
  and after that extend it by `Shift+LClick` to clicked postion.
  To create block selection use `Alt+LClick` to mark one selection corner
  and second `Alt+LClick` to mark opposite corner.
  Inspired by https://superuser.com/q/1218047/139371
* Option ‘Use credentials for network resources only’ in ‘Create new console’ dialog (from Peter.Maksimov).
  Switch `-new_console:e` is available in Tasks and command lines.
* Create/restart console dialog redesign.


2017.6.22
* gh-136: Swap nearest panes with `Apps+Alt+X`, swap in direction with `Apps+Alt+Arrow`.
* Let `Apps+Shift+G` group input for all consoles (instead of only visible panes like `Apps+G` does).
* Use by default `LCtrl+Numbers` to switch consoles (instead of `Win+Numbers`).
* Use by default `Win+Shift+Q` for ‘Switch next console’ by default. Leave hotkey `Win+Q` to Windows.
  The `Win+Shift+Q` may be useful to switch Tabs when ChildGui is active.


2017.6.5
* gh-1149: Fix crash in wide consoles, when the cursor goes over 200 col (f8907a1 regression).


2017.5.17
* gh-1039: Use `Win+Shift+G` as default hotkey for ‘Attach to...’ action.
* Add option ‘Leave opened’ in the ‘Attach to...’ dialog (Win+Shift+G).
  Would be useful to examine output of some long running script after it finishes.
* gh-1098: Add ‘Rename tab’ option for ‘Double click on tab’.
* Use ‘Rename tab’ as default option for ‘Double click on tab’.
* gh-1097: Don't count ‘System’ process as running process (close confirmation).
* Cross-click closing confirmation was not shown if ‘Confirm tab’=Off and ‘Confirm window’=On.
* Detach improvements:
  * GuiMacro: Detach(3) for seamless updating from Chocolatey
  * Try to set the console font to same size as ConEmu uses
  * No debug assertions
* GuiMacro: Close(2) is asynchronous now.
  This is because of GuiServer thread waiting for synchronous macro completion,
  but this thread is required to be terminated when ConEmu window is closing...
* Use Win7 TaskDialog for ‘Add default tasks’ confirmation.
* DefTerm: Take into account xml file specified by -loadcfgfile switch.
  Default Terminal options have to be saved by ‘Apply’ button on the settings page.
* gh-661: When ConEmu started with ‘-Detached’ switch (implied by DefTerm in some cases) option ‘Close ConEmu with last tab’ was unchecked.
  If old behavior is required, the switch ‘-NoAutoClose’ may be used.
* Admin shield was not shown on TabBar if ConEmu was started under Admin.
* Real console font size dialog: show hint if created font height differs.
* gh-1012, gh-1121: Dirty workaround for AVDefender/Bitdefender bug raising a crash in the RegQueryValueEx.
  Warning! ConEmu physically can't fix 3rd-paty bugs!
  This commit just skips process bitness detection if we already may be sure about it.
  But the bug/crash may appear in some other situations,
  so it's better to report the problem to the authors.
* gh-156, gh-805: Detach powershell console during Chocolatey's update ConEmu package.
* gh-1135, gh-1021: Create default tasks for Visual Studio 2017 and x64 targets.
* gh-1051, gh-1111, gh-1138: Workaround for Windows 10 bug with cursor position after CJK glyphs (Also: gh-1083, gh-1096).
* gh-1051, gh-1111, gh-1138: More Win10 bug workarounds (cursor position after CJK).


2017.4.2
* gh-1085, gh-1087: Git 1.9.5 had failed to rebase (regression: 597d81f; ref: gh-688, gh-1063).


2017.3.26
* Move window to active monitor by ‘Minimize/Restore’ hotkey if ‘Restore to active monitor’ is checked (ref gh-255).
* Don't force ConEmu window to ‘active monitor’ unless `-monitor XXX` switch or ‘Restore to active monitor’ are specified.
* Minor fix in startup pos/size adjustment (Win10, FixWindowRect).
* Run as ‘System’ failed when session was opened via RDP.


2017.3.16
* gh-787: Improve scroll by prompts by skipping empty lines above prompts.
* gh-1058: Apply button was not auto-enabled on entering negative X coord in the Settings dialog.
* gh-1061: Fix GUI crash if Far panels has no column titles.
* Make magnetic snap to edges friendly for Windows Aero Snap feature.
* gh-1047: Display ampersands (&) in tab titles.
* gh-688, gh-1063: Fix ‘Long console output’ in Far 1.x and 2.x.
* gh-1067: Log errors in GetConsoleScreenBufferInfo.


2017.3.5
* Microsoft/BashOnWindows#1668: Fix wrong ANSI processing from Vim started in tmux.
* gh-1055: Fix ‘Delete word lefward to the cursor’ at the bottom of the screen.
* gh-787: Keyboard shortcut to scroll by prompts.
  Ctrl+Alt+PgUp/PgDn will jump between commands entered in the shell prompt.
  Take into account that prompt must pass to ConEmu the code
  `ESC]9;12ESC\` (ConEmu default) or `ESC[?7711h` (mintty implementation).


2017.2.27
* gh-284, gh-472, gh-1000: Fix gaps in Windows 10 on snapping. Halt window size changing on show/hide the frame.
* gh-945: Temporary fix for doubled CJK on non-CJK Win10 14959+.
* Due to invisible part of the frame in Windows 10 (ref broken coordinate system)
  the ‘physical’ coordinates do not match ‘visual’ ones anymore.
  Let show ‘virtual’ 0x0 coordinate in the settings, if the window
  is docked to the upper-left corner of the screen without gaps.
* Improve default pos/size if the window exceeds monitor's working area on startup.
* gh-988: Alternative font unicode range was not parsed properly without 'prefix: '.
* gh-988: Hints for alternative font's controls were updated.
* Update AnsiColors24bit.ps1 for powershell in WSL
  Powershell is available for linux and also woks in Bash on Windows (WSL), see https://github.com/PowerShell/PowerShell
  [Console]::SetWindowPosition(0,$y) and [Console]::SetCursorPosition(0,$y) do not work there, so an escape sequence is used instead.
* Fix crash on exporting some manually edited configurations.
  ref: https://groups.google.com/d/msg/conemu_ml/yDzPaCnd_5U/2AgUZEazCAAJ
* gh-1044: Don't move the cursor by click above the line with prompt.
* Prompt click position fix for multiline prompts.
* gh-1000: Retain client size during changing window border on mouse hover.
* Try to install injects in Wine without LdrGetDllHandleByName.
  ref: https://groups.google.com/d/msg/conemu_ml/owVNAuQzC_s/xWnKfyysCwAJ
* gh-318: Snap to desktop edges now works with magnetic effect.


2017.1.18
* Pasted paths to WSL bash were not converted to Unix style (/mnt/...).
* connector#10: Unicode \u23CE ⏎ character preceding every prompt in ConEmu.
  Ref: gh-586, Maximus5/connector#10, fish-shell/fish-shell#789
  Check: Maximus5/connector#19
* ConEmu's `echo` and `type` commands were cropped sometimes.
  If RealConsole (conhost window) was created larger than expected by ConEmu GUI,
  than `echo` and `type` printed text using this larger size and after shrinking
  conhost window (up to Windows 8.1) part of data was cropped.
* gh-451: Support multi-line (wrapped) hyperlinks (URLs) for Ctrl+Click.
* gh-986: Don't change prompt text cursor position by LClick *above* the prompt.
* gh-1007: Add more logging to mouse wheel processing.
* Moving some prompt features to GUI (Click & CtrlBS).
  Ref: gh-986, gh-317, gh-845
  Now ‘Change prompt text cursor position with Left Click’
  and ‘Ctrl+Backspace - delete word leftward to the text cursor’
  are process by ConEmu GUI without posting command to ConEmuHk.
  The feature requires properly reported by the shell prompt start pos.
  For bare cmd.exe it's done automatically by ConEmuHk.
  All other shells must report the start of the prompt with ANSI.
  * https://conemu.github.io/en/AnsiEscapeCodes.html#ConEmu_specific_OSC
  * https://conemu.github.io/en/CygwinMsysConnector.html
  For example, while using bash and connector you may add to the end
  of your `PS1` the following sequence: `\[\033]9;12\007\]`.
* Improve hyperlink detector on 'git diff' outputs.
* gh-1007: Disable ENABLE_QUICK_EDIT_MODE by default.
* Add logging of console mode changes.
* Improve hyperlink detector on #include-s with absolute paths.


2016.12.6
* gh-970: Pasting windows path in cygwin produces truncated result (77eb4e6 regression).
* Allow to pass empty string via -cur_console:m:"" (set no mount prefix for Unix path conversion).
* gh-552: Templates %m...m, %M...M - show mark ‘...’ for active (m) and inactive (M) tab.
  So, if you want to see ‘• ’ mark on the active tab (to emboss active tab)
  just change your console tab template to smth like: ‘%m• m<%c> %s’.
  https://conemu.github.io/en/SettingsTabBar.html#id2106
* Don't show Assertions in ‘Stable’ releases.


2016.12.3
* StatusBar. new column ‘Cell Info’ shows information about cell under cursor: UCS & ConAttr.
  CellInfo is turned on by default in ‘-basic’ mode to simplify bugreporting.
* gh-809: Support mount root for unix-path conversion.
  ConEmu tries to choose mount root automatically, if user have not defined
  it explicitly with ‘-cur_console:m:/mnt’ switch.
  For example, to use ‘/cygdrive’ just run your console with switch:
  ‘-cur_console:m:/cygdrive’.
* In some cases ConEmu window was closed unexpectedly during initialization.
  That happend if delay between consoles initialization was greater
  than first console run duration. So, ConEmu was closed before second
  console process was created.
* gh-943: Rename option to ‘Change mouse cursor if busy’.
* Add switch `ConEmuC -IsRedirect` to determine if CONOUT is redirected.
* Force enable mouse events processing in KeyEvents.
* gh-964: Let default {Far} task load plugins from FARPROFILE.
* gh-927: Appropriate behavior while posting chars with AltGr pressed.
  Example: `print("*")` when Lithuanian keyboard layout is selected.
* Support clickable links like 'example-protocol://someurl'.
  Origin: http://superuser.com/q/1152465/139371


2016.10.22
* gh-910: Fix regression: slower startup.
* File `wsl-con.cmd` was created by msi in wrong folder.
* Far Macro. Some improvements in ConEmu.CtrlNumber.lua
* Console test (ConEmuC -checkunicode) improved.
* gh-919: Fix misprint.
* Some internal changes in hooking: support KernelBase for installing injects.


2016.10.9a
* gh-896: Fix regression: cygwin/msys process creation was broken.


2016.10.9
* GuiMacro: Allow {Task} arguments in `Shell` function.
* Reuse previous palette on Unfasten/Re-Attach.
* gh-888: Allow to use ConEmu as default console in third-party applications.
* DefTerm. Reinit some functions in SetAllHook
* gh-830: Fix: Significant dwm.exe CPU time when renamed ConEmu tab is active.
* gh-886: Settings / Integration: When ‘Shift’ is pressed during ‘Register’ button click,
  ConEmu's ‘Here’ and ‘Inside’ items are registered as ‘extended’ menu items,
  and they are shown by Explorer only when ‘Shift’ is pressed.
* Show process startup time in SysInfo and LogFiles.
* Far macro emulating `Ctrl+Number` on `LCtrl+Shift+Number` keypress.


2016.10.2
* gh-879: Fix doubled CJK glyphs on Windows 10 build 14931.
  Windows 10 (since 14931) has changed behavior for double-cell glyphs. Now they are
  doubled (COMMON_LVB_LEADING_BYTE/COMMON_LVB_TRAILING_BYTE) even for UTF-8 codepage.
* gh-871: Selection was not working in Alternative mode.
* Turn on certain StatusBar columns on `-basic` switch.
* Switch `/OMITHOOKSWARN` was passed improperly to server when `/log` was defined.
* Sample file demonstrates ability to use 256 colors in Windows Subsystem for Linux
  started in ConEmu tab.


2016.9.14
* gh-863: Unchecking option ‘Kill ssh-agent with ConEmu’ had no effect.
* Suggest `%UserProfile%\ConEmu\Logs` as default location for ANSI logs.


2016.9.13
* Add option to kill `ssh-agent.exe` processes started from ConEmu's consoles
  on ConEmu termination. Read more at: https://conemu.github.io/en/SshAgent.html
* Installer was signed without timestamp.


2016.9.4
* GuiMacro: Detach(1) didn't disable confirmation.
* gh-841: Support COMMON_LVB_REVERSE_VIDEO console attribute.
* gitextensions/gitextensions#3263: Inside mode: Don't run console ‘As Admin’ if Shift is pressed.

  Remove ambiguous option to run started elevated console (Run As Admin).
  If ConEmu was started by some shortcut with `Shift` key,
  user faced the unexpected UAC confirmation.

  If user want to run elevated console, they may use special Task
  with `-cur_console:a` switch. Example: {cmd (Admin)}.

  If developer want to run ConEmu console in elevated mode,
  they may add `-cur_console:a` switch *after* `-run` switch.
  Example: `ConEmu.exe -run cmd.exe -cur_console:a /k <some command>`.


2016.8.28
* gi-821: Fixed crash on startup if Explorer is not started.
* Support sha256 checksum in chocolatey package.
* gh-832: Fix crash on erasing ‘Settings->Keys & Macro->Mark/Copy->Exceptions’.
* gh-766: Prefer 'TEMP' env.var over GetTempPath function.
* GuiMacro: Let Detach(1) do the work without confirmation.


2016.7.24
* gh-780: Fix crash on drawing certain text data.


2016.7.10
* gh-766: ConEmuSetup improvements and error handling.
  * Don't show MessageBox in auto mode (chocolatey, autoupdate);
  * Log error messages to log-file in the exe's folder;
  * In case TEMP directory is inaccessible, just use exe's folder.
* gh-740: Try to convert paths to cygwin style if clipboard doesn't contain `\n` while pasting to cygwin/msys shells.
* In some cases ‘Alternative font’ was not used for first cell in a row (1536b94 regression).


2016.7.7
* gh-752: Fn keys were not processed by Keys GuiMacro.
* gh-742: Improve installer error reporting, don't show error code twice.
* gh-739: New option ‘Compress long strings to fit space’ is turned on by default.
  By unchecking that option you'll get ‘old’ behavior, when ConEmu just trims text,
  which overruns dedicated space. Read comments in the issue for details:
  https://github.com/Maximus5/ConEmu/issues/739
* In some cases old text was not cleared properly with a consequent garbage on the screen.
* gh-741: Text compression/expansion logic changed, using ‘elasticity’ now.
* In some cases Font changes were not applied properly.
* gh-741, gh-722: Glyphs widths evaluation and alignment were changed.
  So, symbols are expected to be painted properly, uncropped.
  Examples: U+276F (❯), U+2794 (➔), U+27F6 (⟶).
* gh-761: Support ‘Terminate all but shell’ for git-cmd.exe.


2016.6.19
* Command ‘ConEmuC -ConInfo’ prints current console tech info.
* Let intercept GetWindowLong(GWL_STYLE) for console window handle (ref gh-727, gh-719).
  Far 3.0 since build 4698 tries to query GWL_STYLE for console window?
* l10n. New language resources.
* gh-735: Add all marked tasks to Jump List, use TaskBar history limit value only for History items.
* gh-740: Conversion to linux path on paste was not working for ‘Single line’ mode.
* Option ‘Autoupdate’ on Settings/TaskBar/Windows 7 Taskbar.
  If checked, Jump Lists will be updated automatically when user check
  the ‘Taskbar jump lists’ checkbox in Task properties.
* Do not add new Tasks to Jump List by default, let user explicitly check ‘Taskbar jump lists’.
* Installer (MSI): Don't suggest Far Manager's folder by default.


2016.6.12
* Terminal modes were not displayed on Settings/Info page.
* gh-716: Cygwin/msys connector output was broken after starting nano.
* gh-722: Treat Unicode range U+2700..U+27BF as double width glyphs.
* gh-718: Minimal cursor size option was ignored for invalid console cursor size (zero size).
* gh-719: Write cursor information and console window rect to log file.
* Print more console information in `ConEmuC -checkunicode`.
* gh-723: Let ‘Minimize/Restore’ hotkey act in spite of ‘Always on top’ mode.
* Don't process (append) environment variable twice (ref gh-724).
  Example: `PATH=%ConEmuBaseDir%\Scripts;%PATH%;C:\Tools\Arc`
  So, do not add `%ConEmuBaseDir%\Scripts;` and `;C:\Tools\Arc`
  if they already exist in PATH. Only explicit comparison is done,
  so, if `C:\Tools\Arc` is in the middle of current `%PATH%`,
  it would be processed (appended).
* Fix: Console progress `0%` was detected during tab startup (regression 69439a3).
* Default task {Far}: don't double plugin folders to avoid doubled lines in F11 (Far 1.x and Far 2.x `/p` switch problem).
* gh-700: Show tab icon for Far editors and viewers if ‘Far windows’ option is off.



2016.6.9
* gh-712: Total consoles count was not displayed in the title properly (regression 7ed745b).
* gh-678: Selection vanished from screen after multiple page selection.
* System menu item ‘Debug’ -> ‘Dump screen’ saved empty png file.
* Fix Shift-Home selection in cmd.exe prompt after Tab-completion.
  First Shift-Home is expected to select the typed command without prompt.
  Sequential Shift-Home keypresses select and unselect prompt part.
* Let Shift-Home select multiline commands in cmd.exe prompt.
* gh-687: Settings page ‘Integration’ -> ‘ANSI execution’ to control allowed code and macro.
  This allows [ConEmu specific OSC](https://conemu.github.io/en/AnsiEscapeCodes.html#ConEmu_specific_OSC)
  to be executed: `^]]9;6;"*macro*"^]\` and `^]]9;7;"*cmd*"^]\`.
  Since now, they allowed by default in `cmd.exe` only (were implemented for `GitShowBranch.cmd`).
  User may also disable or enable they for any process.
  Also, there is a list of allowed commands. Commands are case-sensitive, one line - one command.
  User may use `*` to allow bunch of commands by ‘mask’.



2016.6.7
* Settings simplification: radio buttons were removed from ‘Settings/Mouse/Mouse button actions’.
  In Far Manager RBtn and MBtn clicks are bypassed to console if `<No-Mod>` is selected.
* Non-unique hotkey modifier check was improved.
* Warning fixes (from Michael Lukashov).


2016.6.5
* User was enable to enter list of executables on AppDistinct settings page (regression).
* Option ‘New window’ in the create new console dialog started ConEmu with wrong arguments (no xml, etc.)
* DefTerm. Option ‘Register on OS startup’ did not use specified xml file.
* gh-698: Fix crash on copy selected text in HTML format if raster font is used.
* Fix conditon for `<BS>` key posting (ref: gh-641).
* gh-667: Alt+GrayPlus+HexNumbers changes.
  * Alt+GrayPlus is bypassed to Far Manager by default. User still may
    set up explicit hotkey for ‘Start Alt+Number mode’ action.
  * Option ‘Alt+NumpadAdd - unicode hex codebase’ on the ‘Keyboard’ page
    (has no effect in Far Manager).
* gh-629: Try to enable xterm keyboard emulation automatically (BashOnWindows).


2016.5.29
* gh-457: Support DefTerm feature for Idle (Pythonw.exe) and VisualStudio Code (code.exe).
* DefTerm: ConEmu crashed if it's closed during DefTerm initialization.
* DefTerm: Don't warn user if requested process is already closed.


2016.5.22
* gh-682: Multi-line paste Enter confirmation setting was not being saved.
* gh-681: Allow NodeJSPortable.exe to run node in the same ConEmu tab.
* gh-654: Feature ‘Drag ConEmu window by client area’ may be disabled on ‘Mouse’ Settings page.
* gh-370: Option ‘Auto save/restore opened tabs’ saved wrong split config in some cases.
* Maximus5/conemu-inside#23: Don't show Min/Max/Close buttons in the ‘Inside’ mode
* StatusBar was painted using wrong ‘fade’ status in some cases (ConEmuInside).
* ConEmu ‘Here’ and ‘Inside’ improvements (Integration Settings page).
  Now the command will be registered and displayed properly if ConEmu was
  started with special switches like `-LoadCfgFile`, `-LngFile` and others.
* Recommended: `-reuse` over `-single`. `-reuse` does not enforce ‘single’ mode in the started instance.
* gh-573: Support ANSI sequence to set cursor style (DECSCUSR, VT520).

  CSI Ps SP q - Set cursor style (DECSCUSR, VT520).
		Ps = 0  -> ConEmu's default.
		Ps = 1  -> blinking block.
		Ps = 2  -> steady block.
		Ps = 3  -> blinking underline.
		Ps = 4  -> steady underline.
		Ps = 5  -> blinking bar (xterm).
		Ps = 6  -> steady bar (xterm).

* If ‘Multiple consoles ...’ were unchecked and ConEmu window is empty
  (either `-detached` or not closed with last closed tab)
  than it was impossible to reuse empty window to create new console.
* Use proper parameters for new window (e.g. started from ‘Create new console’ dialog).


2016.5.15
* ConEmuInside: In some cases (VisualStudio pane) ConEmu failed to detect ‘focused’ state.
* Split settings page ‘Controls’ into ‘Keyboard’ and ‘Mouse’ (alignment pending).
* Settings page ‘Quake style’ for pull-down related options.
* Settings for ChildGui moved to separate page (Integration / Children GUI).
* cmderdev/cmder#929: Fullscreen was not activated properly in some cases (part of ConEmu was obscured by TaskBar).
* gh-673: GuiMacro SetWindowPosSize: fix changing size w/o changing pos (by @jcsullins).
* Was not able to use xml file from drive root.
  Now it's possible to run, for example: "ConEmu -loadcfgfile Z:\ConEmu.exe".
* Show version stage in the Settings and About dialog titles.
  E.g.: ‘About ConEmu 160506 [64] {Preview}’.
* More Settings/Debug/Exec improvements.
  CD was not captured in some cases, as a consequence
  contents of `@file` was not captured too.
  Also, `@file` processing is doing synchronously now.
* Avoid using of deprecated googlecode location for version information.
  If user had old build of ConEmu installed, and old version location info
  was stored in the xml, they would fail to receive new versions.
  Now, old deprecated locations are ignored and ConEmu uses the default
  place instead.


2016.5.4
* gh-660: Fix crash on ConEmu.exe exit (32-bit).
* Separate process creation from module/inject activities.
  On Settings/Info/Debug page new ‘Exec’ option shows only
  ShellExecute and CreateProcess activities.
  The ‘Shell’ options is unchanged: ‘Exec’ + injects + modules.
* l10n: Update resources (Debug activities).


2016.5.3
* gh-661: If ConEmu started with `-detached` switch, option ‘Close with last tab’ couldn't be changed.
* Improve debug shell logging (source of `@file` without paths).
  Settings/Info/Debug has ‘Shell’ option which shows processes creation information.
  E.g. if you run project make, and make executes `lnk @arguments`, the `arguments`
  is usually temporary file, which contains actual agruments for linking.
  ConEmu tries to locate the file (passed to `lnk` without path) and shows its
  contents in Settings/Info/Debug.


2016.4.28
* gh-472: One more fix for custom frame width (Quake) and ‘gaps’.
* Revert gh-621 patch. Just post KeyUp(Alt) before pasting.
* New feature ‘Adjust lightness of indistinguishable text’ on the ‘Colors’ settings page.
  The idea is to make text readable if certain foreground and background colors
  are indistinguishable for current palette. ConEmu will try to change the lightness
  of the foreground text.
* Draw triangles (‘’ and ‘’) internally if ‘Enhance progressbars and scrollbars’ is checked.
  This solves two problems: cleartype artifacts in statusbars (vim airline for example);
  and triangle color for adjusted lightness of indistinguishable text.
* New ConEmu.exe switch `-Frame <value>` changes desired ‘Frame width’.
* Many internal changes in font descriptors creation.


2016.4.16
* gh-629: Once more ‘Bash on Ubuntu on Windows’.
  It's recommended now to run bash with `-cur_console:p` switch.
  **Delete trailing `1`** if you have {bash} task already.

    -cur_console:p[N] - pty modes, N - bitmask, default is 1+4
       1 - XTermKeys, 2 - BrPaste, 4 - AppCursorKeys

* Support underlined text attributes (fish autocompletion).
* ConEmu.exe switches `-run` and `-runlist` are introduced to take the place of `-cmd` and `-cmdlist`.
  * Actually, `-cmd` and `-cmdlist` are supported for compatibility reasons,
    but `-run...` switches are more convenient to avoid confusion with `cmd.exe`.
  * As before, both `/switch` and `-switch` notations are supported.
  * Also, ConEmu internals were changed to `-switch` notation.
* gh-641: Correct posting `0x7F` (which is `<BS>` on xterm) to console.
  It was posted with LEFT_CTRL_PRESSED in dwControlKeyState. We are posting `<BS>`, but not a `<Ctrl>-<BS>`.


2016.4.13
* Task for ‘Bash on Ubuntu on Windows’ was not created properly in 32-bit ConEmu on 64-bit Win10.
  Also, it's named now just a {Bash::bash}.
* New StatusBar columns: ‘Terminal modes’ and ‘RealConsole modes’ (generally for troubleshooting).
  * ‘Terminal modes’ shows keyboard modes and some flags:
    Windows, Xterm, App cursor keys, Bracketed paste, Cygwin, msys1, msys2 or clinK.
    E.g. `XC` means `X`term keyboard mode and `C`ygwin active console application.
  * ‘RealConsole modes’ shows current values of GetConsoleMode for ConIn and ConOut.
* GuiMacro: `TermMode(<Mode>[,<Action>])`.
  Ref gh-629: To ‘fix’ arrow keys in vim in bash on Ubuntu on Windows
  one may set hotkey for macro `TermMode(2)` and switch keyboard mode
  manually when vim (linux process) is started and exited.

~~~
TermMode(<Mode>[,<Action>])
  - changes active terminal modes
    Mode==0: Keyboard emulation (Xterm/Windows)
    Mode==1: Bracketed paste
    Mode==2: Application cursor keys (DECCKM)
    Action==0: Disable mode
    Action==1: Enable mode
    Action==2: Switch mode (default)
~~~

* Suppress error message ‘Can't open console data file mapping. ErrCode=0x00000002’
  when started smth from Far and close ConEmu.
* Terminal modes and performance counters were not shown properly on first open of ‘Info’ settings page.


2016.4.11
* gh-629: Support xterm keyboard emulation for ‘Bash on Ubuntu on Windows’.
  conhost does not do keypressed translation, if they were posted directly to console input.
  That's why switch `-cur_console:p1` must be used to turn on internal xterm emulation in ConEmu.
  So, the task {Bash-on-Ubuntu} would be:

      %windir%\system32\bash.exe -cur_console:p1

* New default task {Bash::Bash on Ubuntu} for Windows 10 (if the feature is turned on in Windows).
* gh-637, gh-626: Access vialation on entering plugin ‘ConEmu Background’.
* Environment variables: `ConEmuArgs` and `ConEmuArgs2`.
  * `ConEmuArgs` now contains only ConEmu.exe's ‘switches’ (before `-cmd` or `-cmdlist`).
  * New variable `ConEmuArgs2` contains the command only: `-cmd ...` or `-cmdlist ...`.
* Reuse `ConEmuArgs` when starting new ConEmu instance from cmd autorun.
* gh-614, gh-616: Handle commas as decimal separators in the in-console progress detection.
  This fixes `curl -# -O` looping between 0 and 9%.
* Do not apply the icon from {Task} if option ‘Show overlay icon’ is on, to avoid two similar icons, one over another.


2016.4.3a
* gh-620: ConEmu shows assertion when terminating SSH session in stermc.
* gh-624: Defaults on Settings\Integration were lost after reactivating page.


2016.4.3
* ComSpec setting page moved under DefTerm.
* Avoid attempt to hook DefTerm from multiple processes in Aggressive mode.
* Improve logging of DefTerm internals.
* gh-604: Some improvements on cmd automatic attach.
  The method may be registered on the ‘ComSpec’ settings page.
  However, it's not a recommended option, because ConEmu has very slight
  control over it, and even the logic ‘when we need to attach or not’
  is fuzzy.
* gh-604: Registration buttons were not processed properly on ConSpec settings page.
* Corrections in `-new_console` switch trimming procedure.
  * The space was not trimmed in `/C "C:\Temp\run.cmd -cur_console:o"`.
  * Unexpected assertion removed in `/C "C:\Temp\run_pause.cmd "-cur_console:o""`
* Don't run the command started by Shift-Enter from Far Manager via ConEmuC.exe.
  If one needs the command to be started in new ConEmu tab,
  than install the Macro: `ConEmu/Far3_lua/ConEmu.ShiftEnter.lua`.
* Don't bypass MouseMove events to Far Menus when selection modifiers are pressed.
* gh-621: Try to mimic standard Windows Alt+Numbers behavior.


2016.3.29
* Redesign ‘Keys & Macro’ settings page. Let `Alt+F` put focus into the ‘Filter’ field.
* Hotkey `Ctrl+Alt+Break` was not processed properly.
* LogFile was not created when ‘Internal LogFiles’ checkbox was on.
* Simplify switching between Tasks on the ‘Tasks’ settings page (Up/Down keys if checkbox/button has focus).
* gh-404, gh-322: Fix crash in the integrated applications after ConEmu update (DefTerm).
  The effect will be noticed on the **next** update.


2016.3.28
* New default hotkeys for process termination:
  * `Win+Alt+Break` - Terminate all but shell processes in the current console;
  * `Ctrl+Alt+Break` - Terminate active process in the current console.
* gh-605: Fix regressions on ‘App distinct’ settings page (EOL).
* gh-294: Add ‘Filter’ field to ‘Keys and Macro’ settings page.
* gh-318: With ES_NUMBER user can't enter negative value (X/Y).
* gh-318: Get rid of gap in Quake mode when frame width is less than 3 pix.
* gh-165: Allow to drag Quake consoles between monitors.
* Show `Ctrl+Break` but `Pause` in the hotkeys list.
* l10n. Update resources
* gh-304: Use full monitor working area for maximized/fullscreen Quake mode.


2016.3.27
* Add palette change logging. Ref: gh-599, searching for bottle neck
* gh-593: Background color index was cropped to 8-color palette after `\e[9999;1H`.
* gh-587: Fix text selection when cursor passes the selection anchor (downright).
* Update chinese translation.
* Improve double-click (word) selection.
  For example, select `daily` by double-click inside brackets of `ConEmu [daily]>`.
* ANSI: Sequence `ESC [ 1 4 t` reports terminal window size in pixels as `ESC [ 4 ; height ; width t`.
* gh-605: Fix regressions on ‘App distinct’ settings page.
* Log extended information during console shutdown.
  Ref: gh-604: Last conemu versions often can't attach to started console


2016.3.24
* Unify LogFile names: `ConEmu-gui-...`, `ConEmu-con-...`, `ConEmu-srv-...`.
* To start console as ‘System’ use `-new_console:aA` switch.
* Update {Show ANSI colors} and fit in 76 chars.
* Show compiler version and colorize output of `-Args`.
* Try to show and re-apply `-new_console:XXX` switches in ‘Recreate’ dialog.
* gh-581: Restart ConEmu after automatic update in the same directory it was started before.
* Update chinese translation.
* Update Russian translation.
* If ConEmu started with `-detached` switch, don't close it automatically when last tab is terminated.
* ConEmuC: Don't fall into `Press Enter or Esc to close console...` if invalid arguments were specified.
  This is critical, especially if our process was started under non-interactive account,
  than ExitWaitForKey causes the infinitely running process, which user can't kill easily
* ConEmuC: Don't fall into `Press Enter or Esc to close console...` if server was not connected to GUI.
  Avoid situation when `ConEmuC /ROOT` was started from running console (bare `cmd.exe`)
  and ConEmuC (our started server) was not connected to GUI, then we get infinite loop
  when ConEmuC waits for cmd termination and vice versa.
* Avoid ‘Unknown state’ appeared in the StatusBar during console startup.
* LogFiles may be enabled permanently via Settings -> Features -> ‘Internal LogFiles location’.
* CmdInit.cmd: Reset colors on each prompt (`$E[m`).
* gh-587: Fix text selection when cursor passes the selection anchor (changing selection direction).
* gh-598: Improve pasting options for `Shift+Ins` and `Ctrl+V` (multi-line text).
  Now, `Ctrl+V` will insert all lines, space-separated, and `Shift+Ins` insert
  multi-line text as before. User may change actions on the ‘Paste’ settings page.
* gh-101: Switch `-UseExport` may be specified before `-GuiMacro` to export result as env.var.
  Without `-UseExport` specified before `-GuiMacro`, ConEmuC.exe will not try
  to export GuiMacro result as environment variable `ConEmuMacroResult`
  to the parent process.
* Variable `ConEmuMacroResult` was skipped during environment exporting.
* Settings pages names localization.


2016.3.13
* On WinXP/Vista the icon in the TitleBar was unexpectedly changed to active tab icon.
* Intelligent selection: RClick over selected region will Paste selected text,
  bypassing Windows' clipboard, and Reset selection region.
* Fix garbage displayed in VCon during console startup on WinXP.
* gh-571: `ConEmu -demote ...` starts process for the wrong user.
* Log current SessionID, improve Desktop and Title representation.


2016.3.10
* TaskBar icon fixes (Overlay icon on any OS, update icon on Restart console).
  * Option ‘Show overlay icon (Win7 and higher)’ now works on any system,
    and need to be renamed. So, if TaskBar uses small icons, ConEmu shows
    icon from active console via WM_GETICON.
  * Icon was not updated on restart console with another icon.
* Updates on Intelligent selection.
  * Double and Triple clicks selection do not require modifiers.
  * Click outside selection region - would reset active selection.
  * Do `Internal Copy & Paste` if LBtn is still down and RBtn is clicked.
  * Avoid blinking on double/triple clicks.
  * Selection: In some cases Shift+DblClick slipped to console.
* gh-328: Improve double-click word selection logic.
  * Don't select space after word.
  * Don't select pseudographics before/after alphabeticals.
  * Trim trailing punctuations.
  * Trim leading punctuations except dots (e.g. `.bashrc`).
* Fix wrong quotation rules on Settings/Environment. Was not working properly:
    echo ""
    echo """C:\Program Files\Git\bin\git.exe"" fetch --progress ""--all"" "


2016.3.8
* Option ‘Retard inactive panes’ was ignored in some cases.
* Trailing dot was not trimmed after md-style hyperlink.
* gh-420: Do not enable by default option ‘Process start’.
* Debugging purposes: `ConEmuC.exe -struct %ConEmuPID%`.
* In prompt, Shift+Home/End selects command text first, second press expands selection to line start/end.
* If selection was started from keyboard, than Del/Shift-Del/Backspace removes selected text.
  ConEmu tries to ‘map’ single Del/BS to series of keypresses to remove whole selected block.
  Only one-line selections are processed.
  Shift-Del do copying to clipboard before erasion.
* Allow persistent mouse selection. Selection will reset on Paste or Typing.
* When selection crosses anchor, behave same way if selection was started in that direction.
* ANSI: Implement `ESC ] 9 ; 12 ST` to store end of prompt message.
* l10n: Update chinese translation.


2016.3.1
* gh-562: Environment was not applied to elevated consoles.
* Window icon was changed by mistake when starting task with defined icon.
  This must happen only for startup task.
* StatusBar was not updated after root process termination.
  Especially for consoles started with `-new_console:c0` or `-new_console:c1`.
* gh-561: Tab macro `%d` was not trimmed to ‘Max tab width’.
* For TaskBar with small icons show current console icon instead of ConEmu default (option ‘Admin shield’).
* GuiMacro: `GetInfo("Root")` XML-result changes.

  Ref: Maximus5/conemu-inside#8

  State: Empty, NotStarted, Running, Exited.
  PID and ExitCode: unsigned integers.
  UpTime: milliseconds.
  Examples below.

  * If there are not consoles in ConEmu.

    <Root State="Empty" />

  * If console initialization is in progress (`ping localhost -t` for example).

    <Root State="NotStarted" Name="ping.exe" />

  * If root process was started and is running. Note, `259` in `ExitCode` is `STILL_ACTIVE` constant.

    <Root State="Running" Name="ping.exe" PID="7136" ExitCode="259" UpTime="3183" />

  * If root process was finished (terminated by `Ctrl+C` as example).

    <Root State="Exited" Name="ping.exe" PID="7136" ExitCode="3221225786" UpTime="10195" />

  * Another example for `cmd.exe` normal exit.

    <Root State="Exited" Name="cmd.exe" PID="6688" ExitCode="0" UpTime="1825" />


2016.2.28
* Fix crash when mouse wheel was scrolled over search edit box.
* Warning fixes (from Michael Lukashov).
* Intelligent selection mode was not working in Far userscreen (Panels turned off).
* gh-560: Fix true-color scrolling issues in Far 3.0.4525.
* Alt+Numbers mode improvements.
  * Hotkey (unassigned): Start Alt+Number mode to enter unicode symbol by its hex codebase.
  * Allow mode start by GuiMacro: `AltNumber([Base])`.
    * Base==0: Start Alt+Numbers in ANSI decimal mode (‘ANSI’ actually means UNICODE code points 32..255)
    * Base==10: Start Alt+Numbers in OEM decimal mode
    * Base==16: Start Alt+Numbers in hexadecimal mode
  * Alt+Numbers: If mode was started by Alt+Key (user-defined), do paste on Alt release.
  * Alt+Numbers: Show collected codebase and hints about mode in the StatusBar.
* KeyEvents v4.3: Unicode characters were not printed correctly.


2016.2.22
* gh-555: Aliases support was broken (771ab79 regression).
* Maximus5/conemu-inside#13: ConEmu-Inside position was not updated in some cases.
* Understandable error message if bad `-loadcfgfile` was specified.
* Don't erase default MSZ setting value, if one not found in xml.
* Let `-new_console:c1` consoles stay open silently even on Esc/Enter.
  When all processes in console are finished:
  * ConEmu does not close the console automatically;
  * Confirmation message is not written to console;
  * All keypresses are ignored.
  So, user may either close console via ConEmu interface
  (kill hotkeys or close menu items), or parent process
  (when ConEmu is working in the ‘Inside’ mode) may close
  the console via GuiMacro `Close(0,1)`.


2016.2.19
* Task may be executed in the running console with `ConEmuC -c {TaskName}`.

  Actually, first command of the named task is executed,
  and rest of command line is appended as arguments.
  For example, you may start Far editor in the **current**
  console by executing in the prompt:

    ConEmuC -c {Far} /e text.txt

* Support tasks nesting.

  Simple nesting is allowed, so one may create their own task,
  which starts {cmd}, {powershell} and {VS 14.0 x86 tools prompt},
  even in splits or with extra arguments. For example:

    {cmd} & echo Extra args
    {powershell} -new_console:sV

* New predefined environment variables: `ConEmuTask` and `ConEmuPalette`.
* TaskBar JumpList icons fix.
* Far Macro: ConEmu.Editor.lua was broken (Far3 latest builds).
* Far Tabs were not updated in ConEmu after plugin call `Plugin.SyncCall(ConEmu,100)`.


2016.2.18
* GuiMacro. New function `Write("Text")` writes "Text" to console output (dangerous).

  Use it at you own risk! Calling this function may cause unexpected behavior
  of running console application! That is because function changes console
  contents and cursor position directly, bypassing detouring standard
  ConIn/ConOut processing queue.

  In most cases **safe** functions `Paste`, `Print` and `Keys` are preferable!

  However, with `Write` you may implement some interesting features,
  like printing sort of ‘hints’ in shell prompt:

    Write "\e7\e[90mEcho \"Hello world!\"\e[m\e8"

  Ref: Maximus5/conemu-inside#3

* gh-550, gh-372, gh-234: Unassigned by default hotkey ‘Reset terminal’ (dangerous).

  I'm still sure that this operation is harmful and dangerous:
  <https://conemu.github.io/en/ClearScreen.html>.
  But since GuiMacro `Write` exists, anyone may create a macro
  for `Write("\ec")`, which the hotkey actualy executes.

  TabMenu item ‘Edit -> Reset terminal’ is available too.

  BTW, with `Write` macro anyone may push to console several colored lines,
  using ANSI sequences, to ‘mark’ some point in real-time logs (tail -f).

    Write "\n\n\e[91m========== '\e]9;8;\"time\"\e\\' ==========\e[m\n\n"

* Bring here: Just move window to the upper-left corner of active monitor.
* ANSI: Let `ESC ] 9 ; 8 ; "*env*" ST` supports `date` and `time`.


2016.2.17
* gh-541: Chinese translation (from @ulin).
* Maximus5/conemu-inside#4: Don't warn `ConEmu's parent window was terminated abnormally` if we have no VCon.
* Maximus5/conemu-inside#4: Don't show ‘Can't create new virtual console’ error if parent was killed during initialization.
* Maximus5/conemu-inside#12: Query GuiMacro result via callback function.
  ConEmuCD.dll and ConEmuCD64.dll now export `GuiMacro` function.
  https://github.com/Maximus5/ConEmu/commit/ffd3774eb037fb73828ff969464ef57a97dda1a4
* Don't install hooks in `ConEmuC.exe`.
* ConEmuC internal `-echo` able to expand environment variables by `-x` subswitch.
  Example: ConEmuC -echo -x "Version: %ConEmuBuild%"
* Maximus5/conemu-inside#3: Write user-defined text to console on startup.

  Commands `echo` and `type` are processed internally by ConEmuC now.
  For example, it's possible to add into the Settings/Environment.

    echo -x "Welcome to ConEmu %ConEmuBuild% terminal^nPress Win-Alt-P to show Settings dialog"

  Alternatively, you may add `echo` or `type` before the command itself,
  when you create new console, or in the Task definition. Example.

    type -utf8 "%ConEmuDir%\Hello.txt" & cmd /k "%ConEmuBaseDir%\CmdInit.cmd"

* Implement `-Args` to show how ConEmu's command line parser works.
  Example: ConEmuC -args "Test1 & ^ "" Test2" "Test "" 3"

* Two double-quotes are replaced with one double-quotes in NextArg.

  So, the command:

    ConEmuC -args "Test1 & ^ "" Test2" "Test "" 3"

  must produce following output:

    1: `Test1 & ^ " Test2`
    2: `Test " 3`

* Changes in `ConEmuC -echo` feature.

  * Arguments are processed one-by-one, strings with special characters
    must be framed with double-quotes, two sequential double-quotes are
    replaces with one double quotes, multiple spaces between arguments
    are treated as single space.

  * If `-r` subswitch is **not** specified, than following replacements are done.

    * `^^` -> `^`
    * `^n` or `^N` -> (char)10 {\n : LF}
    * `^r` or `^R` -> (char)13 {\r : CR}
    * `^t` or `^T` -> (char)9  {\t : TAB}
    * `^a` or `^A` -> (char)7  {BELL}
    * `^b` or `^B` -> (char)8  {\b : BACK}
    * `^e` or `^E` or `^[` -> (char)27  {ESC}

  * If `-x` subswitch **is specified**, than `%EnvVars%` are expanded.

~~~
$ ConEmuC -echo "A1 "" A2"   "A3" A4"
A1 " A2 A3 A4

$ ConEmuC -echo "Line1^nLine2"
Line1
Line2

$ ConEmuC -echo -r "Line1^nLine2"
Line1^nLine2
~~~

* Settings/Environment has priority over console command line.

  Commands `echo`, `type`, `set` and others, defined in on the ‘Environment’
  settings page, are executed before commands, defined in the Task or console
  command line.

  So, if ‘Environment’ has following line

    echo -x "Welcome to the ConEmu %ConEmuBuild% terminal"

  And {cmd} Task is defined like following

    echo "Initializing {cmd} Task..." & cmd /k "%ConEmuBaseDir%\CmdInit.cmd"

  Than you'll see in the terminal

    Welcome to the ConEmu 160217 terminal
    Initializing {cmd} Task...

* Log system date on `-log` start and date change.
* Show (StatusBar) and log PID of started console server.
* GuiMacro: `WindowMode("HERE")` moves ConEmu to monitor with mouse cursor.
* Add hotkey for ‘Move ConEmu window to the monitor with mouse cursor (Bring here)’.
* gh-240: Create a workaround for ‘Maximum real console size was reached’.

  Looks like MS-Bug in conhost leads to abnormally large font set in real console,
  if tab was started As Admin in Windows 10 and Win-L pressed.

  > C:\ConEmu\ConEmu64.exe -basic -max -size 12 -visible -log -cmd {cmd (Admin)}
  > rundll32 user32.dll,LockWorkStation


2016.2.11
* Initial steps for localization.
  More information in docs: https://conemu.github.io/en/l10n.html
* gh-539, gh-535: Option ‘Default task for new console’ was ignored (d93b5d9 regression).
* gh-540: In some cases ‘Enhance preudographics’ was skipped.
* Avoid spare RealConsole resize on HideCaption changes.
* Fix broken Far's Editor/Viewer close from TabMenu (7631ffd regression).


2016.2.7
* Alt+HexNumbers: Dump collected codebase to console on ‘invalid’ input or GrayPlus.
* gh-534: Fix wrong background drawing in Far (TrueColor).
* gh-532: ‘Apply’ button failed to return ‘Normal’ mode in ‘Quake’ style.
* gh-78: Rename <Always> to <No-Mod> (modifier for ‘Highlight and goto’ and some others).
  Purpose of this option - process when no modifier (Ctrl, Alt, Shift, ...) is pressed.
* gh-489: Fix TaskBar jump-list problems.
  * Default Tasks for `SDK::VS *` were not created by ConEmu64.exe.
  * Wrong icon was set for tasks `SDK::VS *` in jump-list.
* Default extension (`xml` for example) was not appended if user fails to print it in the ‘Export settings’ dialog.
* Warning fixes (from Michael Lukashov).


2016.2.4
* Support `Alt`-`+`-`HexNumber` input internally, including surrogate pair generation.
  ConEmu is able to convert entered codepoints to surrogate pairs,
  so you may enter uncommon symbols outside from BMP. Examples below.
  * Double-struck ‘𝔸’: press `Alt`-`+`-`1D538`.
  * Sushi emoticon ‘🍣’: press `Alt`-`+`-`1F363`
  More information: https://conemu.github.io/en/AltNumpad.html
* Screen was not updated if shell (cmd for example) was activated back
  from closed Far Manager, if close has been done by cross-click
  and ‘Safe Far Close’ macro.
* gh-524: Deal with entangled window list returned by Far API.


2016.2.2
* New TabMenu items hints (shown in StatusBar when hovering menu with mouse).
* Show confirmation if Shift is pressed when selecting menu items:
  * Kill active process
  * Kill all bat shell
* gh-241: Close consoles refactoring (close Far tabs with single click).
  If Far Manager was started from other shell (from `cmd.exe`, for example)
  than using ‘Safe Far Close’ macro leads to return to the shell prompt,
  instead of termination of this console.
  Also, unchecked option ‘Safe Far Close’ was ignored for `far.exe`.
  In progress actually. We have to simplify close/terminate calls.
* Warn user if automatic action was called without initialized settings.
  The example of command: `ConEmu.exe -SetDefTerm -Detached -MinTSA -Exit`.
  If there is no settings file, user will see FastConfiguration dialog,
  which is unexpected for automatic action (`-SetDefTerm` and `-Exit`).
  If one needs to run ConEmu without settings, they may use `-basic` switch.
* Double-width glyph in the col 1 was cropped in Far editor/viewer.
  For example, if the following text
  中英文Block mode复制初步修复。
  was started from the leftmost console cell,
  than glyph `中` was cropped to one cell.
* GitShowBranch.cmd: Support git branches with dots in branch name.
* gh-515: Internal changes of OnShutdownConsole.
* Add default task {Tools::Docker}.
  Docker is detected by environment variable `%DOCKER_TOOLBOX_INSTALL_PATH%`.
  Also, `bash.exe` (Git, Cygwin or MSys) have to be installed to run `start.sh`.
* Add default task for NYAGOS (if found in %PATH%).
* gh-517: In Quake mode Maximized/Fullscreen was dropped after ConEmu restart.
* conemu-inside/gh-1: Mouse text selection does not work in the Inside mode.
* conemu-inside/gh-4: Avoid crashes when parent process is terminated during startup.
* conemu-inside/gh-4: Correct warning messages and don't show them if parent was terminated during startup.
* Allow to start new tab in current detached instance in one-console mode.
  If option ‘Multiple consoles in one ConEmu window’ is disabled,
  than new console is started in new ConEmu window, but this is impractical
  if there is no consoles in current instance.
  For example: "ConEmu -detached" or existing console was closed.
* Protect from possible ‘locks’ during startup.
* StatusBar column ‘Create new console’ was not updated in some cases.


2016.1.24
* gh#509: Fix crash when checking ‘Explicit executable’.
* Use bare {Far} task name for first `Far.exe` found in our folder.
  To simplify portable and testing installations, if Far Manager
  is copied into our program folder, don't change its task name
  (don't add version/bitness suffixes).
* gh#507: Get rid of MsgBox on attach errors, print info to Console instead.
* gh#514: Fix broken pseudographics representation if ‘Alternative font’ was off.
* Prefer `bash.exe` over `sh.exe` when creating default tasks.
* gd#516: Support ‘Application Cursor Keys (DECCKM)’.
* Update `terminals` module to v0.7.4
* Let characters 0x1F300..0x1F5FF be double-width.
* gh#517: Radio-buttons Maximized and Fullscreen were not working (Apply is required though).


2016.1.11
* Fix bad XML format for GuiMacro GetInfo Root.
* gh#491: Example Far Macro `ConEmu.CtrlShiftT.lua` had wrong hotkey.
* Add ‘Anti-aliasing’ option for alternative font.
* Far Manager was not resized after splitting with Ctrl-Shift-O/E.
  Implement helper ForceFarResize and utilize it in both sync and async modes.
* gh#502, gh#446, gh#447: The algorithm of text drawing has changed significantly.
* Prevent double execution of script specified in "AutoRun" cmd's registry key.
  For example, when "cmd /k CmdInit.cmd" was started (default for {cmd} task)
  triggering `ver` command caused execution of `test.cmd` again.

  [HKEY_CURRENT_USER\Software\Microsoft\Command Processor]
  "AutoRun"="test.cmd"

* gh#494: Fix clink double initialization.
* connector#3: Let Left/Right/Up/Down/Home/End post sequences `ESC[X`.
* connector#8: Fix `top` output lines.
* Update `terminals` module to v0.7.3.
* Updating progress was not changed during downloading (10% till 99%).
* gh#297: Fix keyboard delay (Windows 7).
* gh#471: Far plugin ‘ConEmu Panel Views’ was broken (da926ba regression).


2015.12.24
* All 64-bit binaries are built with VS14.
  32-bit binaries are still built with VS9 (WinSDK7) to be compatible with old systems.
* gh#486: Use https for github links.
* gh#488: Full paths were shown in Far's editor/viewer tabs (6ce49af regression).
* GuiMacro: Return xml instead of json for `GetInfo Root`.
* API GuiMacro: In-process GuiMacro execution improvements.
  Prototype: int __stdcall ConsoleMain3(int anWorkMode, LPCWSTR asCmdLine)
  Example: ConsoleMain3(3, L" -GuiMacro:1234 Print \"exit\\n\"");
  Note: anWorkMode==3, asCmdLine must begin with space.


2015.12.22
* gh#465: Treat Ctrl-Z as ‘EndOfStream’ in ReadConsole (Go input streams).
  To use, on new line press Ctrl-Z and Enter. Option (Features page) disabled by default.
* gh#469: TabBar/ToolBar is too large.
* gh#473: Support Ctrl+LClick on paths surrounded by brackets.
* connector/gh#4: AltGr+Char was not working with cygwin/msys connector.
* gh#470: Double click word selection was broken.
* conemu-inside/gh#3: New switch `-new_console:c0`.
  It suppress writing to console confirmation messages
  like "Press Enter or Esc to close console...", but let server
  to wait for `Enter` or `Esc` nonetheless.
* ConEmu.Core - Nuget package for Nuget.org, for referencing the stuff from Visual Studio projects.
  Unlike Choco's, this one has to carry all of the payload files inside and not on an URL.
  The nuget with conemu WinForms control references this nuget, so just adding a nuget to your project
  sets it up for using the conemu control out of the box.
* Internal. Fix package name
* API: ConEmuCD exports function ConsoleMain3 to enable ‘in-process’ GuiMacro calls.
  Prototype: int __stdcall ConsoleMain3(int anWorkMode, LPCWSTR asCmdLine)
  Example: ConsoleMain3(0, L"-GuiMacro:1234 Print \"exit\\n\"");


2015.12.17
* AnsiLog was not written properly in some cases.
* Reuse HandleKeeper to determine console handle properties properly
  * ANSI coloring is supported while redirecting text to `CON` from batches.
    Example for cmd prompt: `call cecho "Redirected output" > CON`.
  * Output of msvcrt linked applications, like `PING` or `TRACERT`,
    may be logged (Settings\Features\Log console output).
* gh#461: Fix AeroPeek VCon offset when frame is non-resizable.
* gh#210: Minimizing other windows causes ConEmu to be restored (Quake).
* First try to draw non-spacings/combinings/surrogates/double-width in ‘proper’ size.
  For example, combining accents/umlauts must be shown over preceding letter,
  CJK double-width characters must use two cells to avoid overlapping.
  But that raise some other problems if console application don't care about this.
  For example: Far Manager frames may look corrupted after CJK file names.
* Don't try to pop up console menu by Shift+RClick while LBtn selection is present.
* Make IDM_CLOSE (Tab/Console menu item) behavior more conistent.
  * If menu's opened by RClick on console or by hotkey:
    do ‘Close console’.
  * If menu's opened by TabBar's RClick and it's a group with several tabs:
    do ‘Close tab group’.
  * Otherwise: do ‘Close tab’.
* ConEmu Inside: Terminate our process (ConEmu.exe) if parent window was killed.
* Don't try to hide to TSA in Inside mode.
* gh#467: Startup crash if startup task was renamed.
* Arbitrary shells (not a Task) were not accepted in FastConfiguration dialog.
* Let's save integers as user-friendly 10-based numbers (new xml configs).
* Allow AutoUpdates to ‘Stable’ builds.
* GuiMacro: GetInfo("Root") returns information of current console root process (JSON).
  * If there's no console at all - macro returns either empty string,
    or somthing like "FAILED:Specified ConEmu instance is not found".
  * On errors you may receive `{"Status":"Unknown"}`.
  * Normally, JSON object is expected. Example below, `//` for comments.

~~~
{
"Running": false,  // true or false
"Name": "cmd.exe", // name of root process executable
"PID": 1234,       // PID of root process
"ExitCode": 1,     // 259 if still running, or its exitcode
"UpTime": 12418    // milliseconds
}
~~~

* GuiMacro: Avoid `VConRequired` error macro was received before RCon created.
* GuiMacro: If `ConEmuC -GuiMacro` was started before ConEmu GUI finishes initialization,
  wait for ConEmu window appears or ConEmu.exe process terminates.
* Option ‘Skip click on activation’ was not working on ‘touch’.
* gh#310: Chars entered by Alt+Numpad were not working.
* Warning fixes (from Michael Lukashov).


2015.12.10
* Add batch to build all binaries
* Trim too long console titles in ‘Close confirmation’ dialog.
* Backscroll buffer was not restored after exiting man, vim (608fe12 regression).
* Show internal AppID in the About dialog, log AppID source.
  This ID is used for Win7+ TaskBar (pinned apps).
* In some cases Win7+ pinned TaskBar icon was not reused.
* gh#461: Fix AeroPeek VCon offset when using captionless mode.


2015.12.8
* gh#459: Characters disappear after readline `Ctrl+R`, ..., `Enter`.
* ConEmu Inside: Fix detection of ‘ConEmu has focus’.
* ConEmu Inside: Don't resize VCon or RCon if parent is minimized.
* ConEmu Inside: Show TaskBar progress on parent window.
* ConEmu Inside: Show flashing on parent window.
* Updater. Fight against wininet cache before downloading.
* In some cases ConEmu tried to set abnormally large console size.
* GuiMacro: `GetInfo("ActivePID")` returns PID of active console process or 0.


2015.12.7
* gh#438: No newlines in log files after prompts (cygwin/msys).
  Cygwin/msys shells do not write LF to screen unless they
  were started from ConEmu's cygwin/msys connector.
  Therefore we have to do some magic to ‘detect’ line feeds...
* Update terminals module to v0.7
* In some cases PID of terminal-connector was not shown in the StatusBar.
* Xterm's alternative screen was not cleared on activating.
* gh#351: Allow changing URL for retrieving version location on Settings/Update.
* gh#351: Use `https://conemu.github.io/version.ini` by default.
* Changes in processing of default hotkey `Win+X`.
  * It runs whole task contents, but not only first ‘tab’ from task;
  * If no one task was marked as ‘Default shell’, run default `COMSPEC`
    with arguments ` /k "%ConEmuBaseDir%\CmdInit.cmd"`.


2015.12.5
* Show cygwin/msys/clink flags on Settings/Info.
* Post Fxx keys ncurses-friendly in the xterm mode emulation.
* gh#442: In text selection pressing `Ctrl+Shift+Arrow` increases selection faster.
  `Ctrl+Shift+Left/Right` jumps by words if possible, or by 10 chars.
  `Ctrl+Shift+Up/Down` jumps by screen halfs.
* gh#455: Redirected output from batch files to `CON` device was not working.
* gh#438: No newlines in log files after prompts.
* Do logging of Far prompt (only screen copy) if ‘Log console output’ is ON.
* Update cygwin/msys connector to v0.6: https://conemu.github.io/en/CygwinMsysConnector.html


2015.12.2
* When ConEmu was started as a child window (InsideParent) it behaves as it has no focus.
* Ensure that all child windows are closed properly on termination (InsideParent).
* Option ‘Activate split/pane on mouse hover’ was not working in InsideParent mode.
* Execution of ‘-GuiMacro:PID’ was failed if ConEmu.exe was in InsideParent.
* Don't allow to execute ‘-GuiMacro:...’ on wrong instance.
* Increase debugger backscroll even if it was started in ConEmu tab.
* XTerm keys fixup (F1..F4, BackSpace, Alt+Char).
* Disable ‘Ctrl+Backspace - delete word leftward to the text cursor’ in cygwin/msys connector.
  Ctrl+BS is posted as "\x1F" and it may be configured in the `.inputrc` as following:
    # Ctrl-BS - kill word on the left
    "\x1F": "\C-w"
* ANSI: Implement `ESC c` - Full reset (clear screen, backscroll, move cursor to the upper-left corner).
* ANSI: Fix errors in `ESC [ *n* @` and `ESC [ *n* P` sequences (insert/delete characters).
* ANSI: Support byobu status line.
* ANSI: Fix extended attributes errors on automatic line scrolling.
* ANSI: Implement `ESC E`, `ESC D`, `ESC M` sequences.
  | ESC E | Same as `\r\n` |
  | ESC D | Same as `\n` but preserves X coord |
  | ESC M | Reverse `\n` |


2015.11.29
* ANSI: Implement (xterm) codes to save `ESC 7` and restore `ESC 8` cursor position.
* ANSI: Sequences `ESC ] ... ESC \` were not processed properly in some cases.
* cygwin/msys connector v0.4
* Warning fixes (from Michael Lukashov)


2015.11.26
* First try to create cygwin/msys terminal connector:
  https://github.com/Maximus5/cygwin-connector/releases/tag/v0.3
* JumpList icon was not created properly for Task in some cases.
  If `/icon` switch was not specified for Task parameters,
  and first line of Task commands started with specials `*` or `>`,
  JumpList icon was not created properly.
* gh#431: Fix crash in EmergencyShow (Win10, closing ConEmu).
* Show in the StatusBar cygwin/msys connector's PID as AltServer.
* Pass UTF-8 encoded strings to debugger (ANSI debug logging).
* ANSI: Implement `ESC [ 3 J`: dispose all backscroll lines (from xterm).
* ANSI: Implement `ESC ] 9 ; 10 ST` - Request xterm keyboard emulation.
* Testing purposes: Options `-a` and `-s` in `ConEmuC -type`.
  `-a` writes text to console using MBCS functions.
  `-s` writes text to console byte-by-byte (streaming).
  Example: `ConEmuC -t -a -s UTF-8-broken.txt`.
* Improve UTF-8 support. In some cases, console output was broken.
* Internal. Reset m_Term on tab restart
* ANSI: Support xterm bracketed paste mode.
  Console application should write `\e[?2004h` to enable and `\e[?2004l`
  to disable bracketed paste mode.
  When mode is enabled, ConEmu sends pasted text to console input buffer
  framed into `\s[200~` ... `\e[201~`.
* ANSI: Long OSC sequences written splitted by writes were processed improperly.
* Don't treat cygwin/msys connector as ‘Incomplete operation’.
* Warnings fixes (from Michael Lukashov).


2015.11.22
* Minhook related: Try to change our imports to ease use of trampolines.
* Append optional switches to single-command tasks.
  For example, there is default task `{cmd}` which has single command:
  `cmd /k "%ConEmuBaseDir%\CmdInit.cmd"`.
  Now you may to run `{cmd} /git` from NewConsole dialog or via `-cmd`
  switch of ConEmu.exe. So, the result will be:
  `cmd /k "%ConEmuBaseDir%\CmdInit.cmd" /git`.
* ConEmu here: Suggest to start `{cmd}` task instead of bare `cmd` by default.
  * So the default command for ‘ConEmu Here’ will be `{cmd} -cur_console:n`.
    * **Note**. Prepend `/reuse /cmd ` before task name, if you want to reuse
      running ConEmu window: `/reuse /cmd {cmd} -cur_console:n`.
  * Default command for ‘ConEmu Inside will be `{powershell} -cur_console:n`.
* DefTerm. Workaround for some weird command lines (CodeBlocks).
  For example, in CodeBlocks:
  `C:\Program Files\CodeBlocks/cb_console_runner.exe "C:\sources\app.exe"`
  MSDN recommends to quotate paths containing spaces and specials,
  but CB ignores this guideline.
* Try to bypass `start` if `-new_console:z` specified (in `cmd.exe` prompt).


2015.11.19
* gh#412: Failed to restore window position on secondary monitor (d3da351 regression).
* Far Manager plugins ‘ConEmu Background’ and ‘ConEmu Underlines’ were not working on Windows 7.
* First user palette was multiplied on sequental TabMenu calls ‘View (palettes)’.
* On ‘Debug active process...’ always show ‘New console’ dialog.
  So user may run debugger in a split or even change debugger comand line.
* Allow to set hotkeys for debugging menu items.
  * Debug active process (default is `Win+Shift+D`);
  * Active process memory dump;
  * Active process tree memory dump.
* For debugger NewConsole dialog suggest '30%' for split and don't autoselect command.
* Debugger. Switch `/AUTOMINI` will create sequential mini-dumps.
  * So, it may be useful for creating ‘mini snapshots’ of running
  application with specified time intervals.
  After `/AUTOMINI` switch user may specify interval.
  Milliseconds: `/AUTOMINI 500` or `/AUTOMINI 500ms`;
  seconds: `/AUTOMINI 5s`; and minutes: `/AUTOMINI 1m`.
  * Create sequental dumps of 64bit PID=1234 with 500ms interval:
  `ConEmuC64.exe /DEBUGPID=1234 /AUTOMINI 500`
  * Note. Press `Win+Shift+D` (default hotkey) to open NewConsole
  dialog with prefilled command to start debugger on the active
  process in the active console.
* GuiMacro: `Debug(<Action>)` allows to create debugger console or memory dumps.
    Action=0: Debug active process (confirmation dialog with options)
    Action=1: Active process memory dump...
    Action=2: Active process tree memory dump...


2015.11.15
* gh#415: GetLastError returned `6` after WriteFile even on success.
* `Shift`+`Debug active process` allows to run debugger in a split.
  If menu item `Debug active process` is called with `Shift` key pressed,
  NewConsole dialog is opened (allowing to run debugger in a split).
* ConEmuC Debugger. Don't suggest to create MiniDump on MS_VC_THREADNAME_EXCEPTION.
* In some cases ConEmuC64 was started as server for 32-bit root process.
* gh#94: Gray window on PuTTY when connected via local proxy command.
* Correct condition for attaching console app started from ChildGui (from gh#94).
* gh#419: Cygwin-friendly paths were pasted into Clink's prompt.
* Option ‘Suppress bells’ added to ‘Features’ settings page.
  It suppresses annoying bells produced by echoing char(7), Beep
  and MessageBeep functions. ‘Inject ConEmuHk’ is required.
  Instead, ConEmu window (Frame/Title and TaskBar button)
  will flash one time if ‘Disable all flashing’ is not checked.
* Let palettes list (TabMenu) will not be too long.
  There are 25 predefined palettes now, and if user creates
  user-defined palettes, the menu had unhandy scrolling.
* Detection of ‘Active process’ is almost rewritten.
  * Since now, ‘Active process’ is the last process started in console (same as before);
  * But process used to select AppDistinct options must be interactive. For example, you
    have defined AppDistinct settings, with palette `<PowerShell>` for `powershell.exe`
    and palette `<ConEmu>` for `bash.exe` and `git-bash.exe`. Than, palette will not be
    changed anymore when you just run `git status` from powershell's prompt, it will be
    changed if only `bash.exe` is started directly from powershell's prompt.
    That was impelemented to suppress colors flashing during non-interactive command.
* StatusBar column ‘Active process’ shows ‘Interactive’ and ‘Plugin is loaded’.
  * Asterisk `*` after process name: process is reading keyboard input.
  * Sharp `#` after process name: ConEmu plugin is loaded in Far Manager.
* Add ‘ConEmu Underlines’ and ‘ConEmu Background’ items to Far's F11 menu (panels, editor, viewer).


2015.11.9
* Move checkbox `Activate split/pane on mouse hover` to the `Controls` settings page.
* Write process list changes and active process name to log (ConEmu -log).
* Write CtrlC/CtrlBreak and other console events to log (ConEmu -log).
* Don't restart PC without confirmation after `CUP ALL` (chocolatey update).
  https://groups.google.com/d/topic/chocolatey/UvVVLpoBnCg/discussion
* Improve ConEmuC debugger output.

* A lot of ANSI fixes generally for [plink fork](https://github.com/Maximus5/plink#readme).
* ANSI. Primary buffer was not restored properly if there was no backscroll.
* ANSI. Support tmux status line.
* ANSI. Fix some scrolling issues.
* ANSI. Sequence `ESC [ *a* ; *b* r` addresses working area coordinates.
  ANSI aware applications don't know about backscroll (upper invisible area)
  buffer, they intend to work within ‘working area’ instead.
* ANSI. New sequences are supported.

| ESC [ *n* @ | Insert *n* (default 1) blank characters. |
| ESC [ *n* P | Delete *n* (default 1) characters. |
| ESC [ *row* d | Moves the cursor to line *row* (absolute, 1-based). |
| ESC [ 7 m | Use inverse colors |
| ESC [ 27 m | Use normal colors |
| ESC [ ? 47 h | Same as ‘ESC \[ ? 1047 h’ |
| ESC [ ? 47 l | Same as ‘ESC \[ ? 1047 l’ |
| ESC [ ? 1047 h | Activate xterm alternative buffer (no backscroll) |
| ESC [ ? 1047 l | Restore xterm working buffer (with backscroll) |
| ESC [ ? 1048 h | Save cursor position |
| ESC [ ? 1048 l | Restore cursor position |
| ESC [ ? 1049 h | Save cursor position and activate xterm alternative buffer (no backscroll) |
| ESC [ ? 1049 l | Restore cursor position and restore xterm working buffer (with backscroll) |

* ANSI. Report ‘xterm version 136’ on request to avoid problems in Vim,
  accessed by ssh on Unix machines, just let it think it's an xterm terminal.

| ESC [ *>* c | Reports `ESC > 0 ; 136 ; 0 c` |


2015.11.1
* gh#401: Fix: `Ctrl+~` doesn't work on build 151029.
* gh#399: Use mouse for ConEmu's selection instead of passing to cygwin's vim.
* gh#398: Fix: Taskbar previews don't match tabs order.
* Fix: Win7 taskbar aero peeks appeared in wrong position if pad size was not null.


2015.10.29
* Add `vertical block` marker to clipboard while copying rectangular selection.
  Borland and Microsoft IDE-s are supported.
* Warn if two instances of ConEmu plugin were loaded in Far Manager.
  If due to installation or configuration errors two dll libraries were
  loaded, they both will fail to work properly. So, warn user about the
  problem in detail, show suggestion, and stop plugin initialization.
* Warn user if wrong version of ConEmu plugin was loaded in Far Manager.
* gh#364: Ignore Minimize/Restore hotkeys pressed while Quake animation is not finished.
* Don't try to inject hooks into ConEmuC processes.
* Menu item ‘Active process memory dump’ did not suggested to create dump automatically.
* Add note about maximum length of backscroll buffer (32766 lines).
* Improve configuration detection while reusing running ConEmu instance.
  For example, running `ConEmu -quake` must not create new tab
  in the existing ConEmu ‘non-quake’ instance.
* Some corrections in Single-instance logic.
* Source file codepage was ignored in `ConEmuC -t` switch.
  NB. `ConEmuC /TYPE ...` or its alias `ConEmuC -t ...`
  may be used to type any text file with ANSI sequences.
  Check out full syntax and examples in docs:
  https://conemu.github.io/en/ConEmuC.html#EchoAndType


2015.10.25
* gh#373: Don't decrease window height with AutoTabs (show/hide/show/hide/...)
* gh#388 (gh#295?): Don't change buffer height for cygwin/msys versions of vim.
* gh#359, gh#84: Fix vim color issues on scrolling.
* Don't change buffer height when starting `vim` with `--help` or `--version`.
* Vim terminal mode was not finished properly on exit.
* ANSI `\e[K` has not cleared rightmost cell.
* Checkbox ‘Desktop mode’ was removed from settings.
* gh#336: Don't poll Far 2.x current directories while Editor/Viewer is active.
* gh#17: Send WM_ENTERSIZEMOVE/WM_EXITSIZEMOVE to ChildGui during resize.


2015.10.15
* gh#21: Multi-monitor support improvements.
  * ConEmu takes into account monitor working coordinates when
    using same xml between different PCs.
  * ConEmu tries to guess the monitor where user want to open the window.
  * New `ConEmu.exe` switch `-Monitor <1 | x10001 | "\\.\DISPLAY1">`.
    Where may be specified either monitor 1-based index,
    or HMONITOR (hex descriptor), or monitor name.
    User may check these values in the ‘ConEmu About dialog’
    on then ‘SysInfo’ tab (Win+Alt+A).
* gh#368: Fix thread handles leaks.
* gh#353: Jump lists were created improperly if ConEmu was started with `-single` switch.
* gh#337: Convert pasted paths to cygwin's style if dropping files/folders from Explorer and others.
* On paste filepath by Ctrl+V (Paste first line of clipboard) convert path
  to cygwin style, if active application is cygwin/msys.
* Add `<ConEmu>` color scheme and use it by default (for new configs).
* gh#357: Fix ConEmuHk conflict with python's TKinter dropdown control.
* ANSI: Brightness (back/fore) was not reset in some cases.
  For example: `\e[96mA\e[36mB` - `B` and `A` had same color.
* Implement copying colored text using ANSI sequences.
  The feature works like ‘Copy as HTML’ implemented before.
  Option on the ‘Mark/Copy’ settings page,
  menu item ‘Edit’ -> ‘ANSI sequences’, and GuiMacro(3).
  ConEmu puts to clipboard **real** ESC codes, so only
  certain editors (or shells) are able to **paste**
  these sequences. Far Manager is working nice.
* Only active split was updated after choosing palette from DDCB.
* Improve bCurrentThreadIsMain detection in ConEmuHk (especially for cygwin/msys forks).
* Support ‘Drag&Drop’ from Settings/Colors page onto any place on screen (drag colored square).
* Use v140 toolset for ConEmuHk in ConEmuHk14.vcxproj.
* GuiMacro: `TaskAdd("Name","Commands"[,"GuiArgs"[,Flags]])`.
  Create new task and save it to settings. Example command for
  PowerShell> ConEmuC --% -GuiMacro TaskAdd "Far" @"set ""FARHOME="" & ""%ConEmuDir%\Far\far.exe"" /w /p""%ConEmuDir%\Plugins\ConEmu;%FARHOME%\Plugins"""


2015.10.6
* Disable old workaround for gh#272 (revert eaaf96b).
  There were reports of broken redirections: gh#341, gh#323.
* Add `<Cobalt2>` default color scheme.
* gh#345: ‘Run as Administrator’ was crashed in some cases.
* gh#350: Fix slowdowns when running commands in ConEmu.
* gh#322: Fix crash in hooked applications while updating DefTerm module.
* gh#344: Fix abnormal resize of maximized window if TabBar is auto-shown.
* DefTerm. Improve error message, version, process name.
* Temp fix for GetEnvironmentVariable stack overflow.
* Print handles information in `ConEmuC /checkunicode`.
* Fix wrong background from ‘ConEmu Underlines’ in some cases.
  If "Far /e ..." was started from Panels,
  and only ‘Editor’ coloring was enabled in ‘ConEmu Underlines’,
  than wrong background was painted after exit Editor Far.exe process.
* Don't autoclose ConEmu window while error message box is waiting user interaction.
* ConEmuHk termination refactoring.


2015.9.13
* ConEmuLn. Add separate settings for Editor and Viewer underline colors.
* gh#321: Temp fix for Vim display issues.
* gh#297: Show option ‘Delay between consoles initialization’ on the ‘Startup’ page.
* Internal bugfixes from Michael Lukashov.


2015.9.10
* gh#272: Fix crash on exit when NVIDIA CoProcManager dlls are loaded (workaround). Thanks to @kraml for testing.
* gh#290: Far Manager Background plugins were broken (minhook regression).
* Feature ‘Change prompt position with LClick’ was not working with clink.
* Don't try to position cursor on higher line to avoid numerous beeps (bash, clink, etc.)
* Don't hook Kernelbase.dll in Windows 7 (MultiRunX64 was printed unprocessed ANSI).


2015.9.8
* ConEmuHk. Some internal changes (store function index, fix init/deinit steps).
* gh#279: ConEmu window grew in size after relaunch if size was defined in pixels or percents.
* gh#279: Unchecked ‘Align ConEmu window size to cells’ was ignored on startup.
* Fix unexpected resize to integral size on startup.
* Don't create two default tasks {Bash::Git bash} for `git-cmd.exe` and `bin/sh.exe`.
* Win2k: Remove static link to GetConsoleSelectionInfo.
* Win2k: Adapt ‘Pause’ feature to lack of GetConsoleSelectionInfo.
* gh#216: Mouse wheel only works on first console in split window.
* Don't count `git-cmd.exe` and `git-bash.exe` while checking for ‘Incomplete operations’ during tab/window close.
* Correct close tab/window confirmation message (‘incomplete operations’ was not shown).
* DefTerm. The switch `-new_console:z` was ignored by host application in some cases.
* Print Hex and Dec ExitCode on shell exit errors larger than 255.
* Fix handle leak (GetProcessBits, handle is not freed).


2015.8.21
* Article in wikipedia [was proposed for deletion](https://github.com/Maximus5/ConEmu/issues/289).
* Support `/dir %CD%` in Task parameters.
  Than task will be started in the active console working directory.
  [Configure your shell properly](http://conemu.github.io/en/ShellWorkDir.html)
  [Launch task in specific directory](http://conemu.github.io/en/LaunchNewTab.html)
* Task parameter `/dir` was ignored if task was started by `Win+X` hotkey (‘Default shell’ checkbox).
* GuiMacro: Use `ConEmuC -Silent -GuiMacro ..` to suppress GuiMacro result printing.
* gh#287: Fix crashes while starting threads.
* Some internal changes in ConEmuHk.
* Set gcc debug make destination to 'Debug' dir.


2015.8.16
* gh#268: Support DefTerm for CodeBlocks. User have to add `codeblocks.exe|gdb.exe` to hooked executables.
* gh#255, old#1065: Add option ‘Restore to active monitor’ to the ‘Size & Pos’ settings page.
  It moves window to active monitor from inactive by Min/Restore hotkey even if window is visible.
  Option is implied by `-quake` ConEmu.exe switch.


2015.8.14
* Use minhook for hooking. Absolutely different method may eliminate
  a lot of weird problems (import pointers are not changed anymore).
* In some circumstances ConEmu ‘drawing’ almost hangs during mouse text selection.


2015.8.13
* Default task {Shells:cmd-32} to run 32-bit cmd.exe on 64-bit OS.
* Updater. Show in the confirmation message URL of downloaded version.ini.
* Up to date supplied documentation files (About, License, etc.)
* GitShowBranch.cmd: Fix `unexpected apparance: (`. Force to use english.
* Mark ConEmuC.exe as dpiAware (manifest).
* Some internal fix of TabBar activation during startup.
* Add more logging of RealConsole window size and used font.
* Rename settings page to ‘Tab bar’.
* Let `-new_console:w0` force ‘Insert’ mode and `-new_console:w1` force ‘Overwrite’ mode.
* Don't load/save `ConInMode` option from settings. There is `-new_console:w[0]` instead.
* Add ZoneId check and unblock for ConEmu's binaries.
  Under some circumstances ConEmu binaries may be marked
  as ‘Downloaded from internet’. That, in turn, may cause
  blocking by SmartScreen or antiviral software.
  ConEmu will do checking of Zone.Identifier NTFS stream
  and warn user if it's found. User may let ConEmu try to
  unblock files automatically or do this themselves.
  More info here: http://conemu.github.io/en/ZoneId.html
* Let default task {cmd} be used for `Win+X` ConEmu hotkey.
  That is the configurable hotkey for ‘Create new ‘cmd.exe’ console’ action.
* gh#224: Try to fix 'Maximum real console size was reached' error.
* DefTerm. Add ‘Apply’ button to settings page.
* DefTerm. Add option to log all ‘exec’ activities of hooked processes (debug purposes).
* Update PortableApps icons.
* A LOT of internal fixes.


2015.7.28
* Updater. Show user-friendly information download fails, add ‘Retry’ button in the error dialog.
* Issue 1899: Java 7 has been crashed with java.lang.InternalError.
  If Java.exe was executed from symlinked location, the exception
  was occurred in some circumstances:
  Exception in thread "main" java.lang.InternalError: Should not get here
  at sun.nio.fs.WindowsNativeDispatcher.GetFinalPathNameByHandle(Native Method)


2015.7.27
* DefTerm. Support Lazarus' console applications debugging.
  User must add `lazarus.exe|gdb.exe` to the hooked executable list.
* Downloader. Switch `-debug` may be used to show console and print progress even if output is redirected.
* Downloader. Improve logging of self-update activities.
* Updater. Empty proxy server field is used for proxy-autoconfiguration.


2015.7.22
* gh#129: ‘Restore’ button didn't restore width if TaskBar was auto-hidden.
* GuiMacro: Tab(11,"Name"): activates tab by name, title or process name
* Describe some switches in the About dialog.
* Some additional logging while resizing window.
* Write to Log information about used storage location (xml-file/reg + config).
* For debugging purposes SEH is disabled in this release.


2015.7.16
[!] Now user may use any external downloader tool if ConEmu's internal does not suite.
[*] Implement new switch `-update` to force automatic update procedure.
[*] Describe switch `-LoadRegistry` in ConEmu's About dialog.
[*] Force Win7 TaskBar to use different taskbar buttons for different configs
    selected by one of the following switches:
    `-config <name>`, `-loadcfgfile <file>`, `-loadregistry`, `-basic`.
[*] Allow to delete several tasks at once, just select them with Shift or Ctrl pressed.
[*] Button ‘Add default tasks’ behavior was changed. Confirmation dialog suggests to
    either to add absent tasks or add and recreate all default tasks.
    Recreation will affect tasks' commands and parameters.
[*] gh#213: Improve update error reporting, more logging.
[*] Switch processor refactoring (code moved to CConEmuStart class).
[*] Internal changes in threads creating/killing.
[*] Some more logging for toolbar buttons and window resizing.


2015.7.7
[*] This build changes the download procedure used within automatic updates.
    ConEmu.exe (GUI) do not call WinInet functions anymore, instead it calls
    the downloader tool (ConEmuC.exe is an only option at the moment).
    This will eliminate accidental crashes of GUI after resume from sleep.
[*] The downloader itself has new options.
    If user omit dst file name - try to get it from Url.
    If "-" was specified as dst file name or output is redirected - just write contents to stdout.
    New switch ‘-agent <name>’ was implemented.


2015.7.5
[*] Script "ConEmu/GitShowBranch.cmd" was improved.
[*] Highlight & goto was broken at least for powershell scripts (c8c386a regression).
    Only file name (path) was highlighted without following line number.
[*] Highlight & goto detector was failed if mouse was before first backslash of the path.
[*] gh#205: TabBar was not shown on startup in some monitor configurations (bacc66d regression).


2015.7.1
[*] Add optional ‘/Silent’ switch to suppress environment exporting messages.
    ConEmuC [/SILENT] /EXPORT[=CON|GUI|ALL] [Var1 [Var2 [...]]]
[*] gh#193: Fix wrong condition: ‘Warn if MacType hookers are loaded’.
[*] Omit ConEmuC export variables message in GitShowBranch.cmd.
[*] gh#174: Let paste to all ‘grouped input’ consoles at once.
[*] Show actual hotkey instead of default Ctrl+BackSpace in Settings.
[*] Vert/Horz text cursor was displayed in wrong position especially on DBCS systems.
[*] Ctrl+BackSpace feature was not working on DBCS systems.
[*] Redirect chocolatey downloads to github.
[*] gh#204: ConEmu hung on startup in some cases while initializing default tasks.


2015.6.29
[*] Attach (Win+G) was not succeeded if ConEmu has different bitness.
[*] Grab palette from Win+G attached consoles (Vista+) and create new
    if matching one was not found. These palettes ‘#Attached:XX’ are not
    saved automatically, but will be when user presses ‘Save settings’ button
    in the settings dialog.
[*] gh#193: Show hookers warning once per day.
[*] Show real names for ‘Win+Number’ and ‘Win+Arrows’ on the Controls page.
[*] Search for static text control in the Settings dialog was failed.
[*] Issue 1977: Don't change RealConsole height on tabs auto-show/hide,
    resize ConEmu window height instead.
[*] Add some urls to ConEmu.nuspec (chocolatey).
[*] When tabs are auto shown icon was not loaded for the first tab.
[*] Environment variables export was improved (some internal fixes).


2015.6.21
[*] Use recommended launcher for Git-For-Windows bash (default tasks).
[*] Try to create default task for GitSDK bash.
[*] Let Settings\Environment page use one line for one command.

    This will make concrete set commands with quotation marks.
    Following two commands are equal.

      set "PATH=C:\Program Files\ConEmu;%PATH%"
      set PATH=C:\Program Files\ConEmu;%PATH%

    But you still have to use quotations to keep trailing spaces

      set "VarName=This is my value   "

[*] Support empty lines and comments on the Settings\Environment page.
    You may comment lines with '#', '//', '--' or 'REM '.
[*] gh187: Highlight and goto did not work when filename not finished by :[space] or :[number].
[*] Improve default task names unification and sorting.
[*] The arrow char was inserted into Far Manager prompt after selecting text with Alt+Mouse.
[*] Fix xml search path for Git-For-Windows package.
    Correct one is /opt/share/conemu/ConEmu.xml while ConEmu.exe is placed
    in /opt/bin folder.
[*] Error code was not shown properly if DefTerm inject fails.


2015.6.10
[*] Simplify `set` usage in Settings\Environment.
[*] gh#179: Fix broken environment inheritance (ca9e31a regression).
[*] Ensure that `set` commands in the task/command line will override ConEmu's default environment (settings page).
[*] GuiMacro: Make Task and Shell functions synchronous to be able to use Context function after it.
[*] GuiMacro: Return more information about wrong macro.
[*] GuiMacro: Easify calling functions with int arguments. "Sleep 500;" was not working.
[*] GuiMacro: Sleep function have not returned "OK" on success.
[*] Allow using `-new_console` and `-cur_console` switches to set DosKey aliases.
[*] Support aliases set up on the ConEmu Settings/Environment page.

    Note! These console aliases are processed by `cmd.exe` and `far.exe` only.
    If you need to set up aliases for other shells (PowerShell, bash, etc.)
    please refer to their manuals.

    Defining aliases are similar to `doskey.exe`. Actually, you may define:

      alias alias=doskey $*

    After that you can use `alias` in the `cmd.exe` prompt started in ConEmu:

      alias sudo=ConEmuC -c $* -new_console:an

    That is just an example. It's more handy to add `sudo` definition into
    ConEmu Settings/Environment page.
    And when `sudo` is defined you may run from `cmd.exe` prompt, for example:

      sudo diskpart

[*] gh#176: Avoid creating two tabs while starting "git-bash.exe --command=usr/bin/bash.exe -l -i".

    However, preferred way to start Git-For-Windows in ConEmu tab is:

      git-cmd.exe --command=usr/bin/bash.exe -l -i

[*] Update ConEmuPortable.ini with Environment information.


2015.6.8
[*] Quake mode enabled by `-quake` command line switch was not shown in Fast Configuration dialog.
[*] Suggest the task user specified by `ConEmu.exe -cmd {cmd}` in Fast Configuration dialog.
[*] Don't set default task in Fast Configuration dialog, use exact `-cmd ...` command specified by user.
[*] gh#151: Do (quake) animation after starting RealConsole creation.
[*] Add `-here` switch description in the About dialog.
[*] Ensure all default bash tasks names will be unique.
[*] Always reset FARHOME env.var when creating default Far tasks.
[*] Move checkboxes ‘Add ConEmu??? to PATH’ to separate page ‘Environment’.
[*] gh#171, Issue 1655: Add option to skip ‘... brought ConEmu OnTop. Revert?’ confirmation.
[*] gh#173: Attach of detached console ignored new ConEmu instance.
[*] gh#173: Implement Unfasten of console tabs (ChildGui not yet). Tab menu item, hotkey and GuiMacro.
[*] Implement ‘Settings\Environment’ page.
    User may define here multiple "set varname=varvalue" commands
    or set default console code page with "chcp utf-8", "chcp 866" and so on.
    Environment %variables% in 'varvalue' are allowed and would be expanded before do set.
    One line - one command (set or chcp).
[*] Create folder "ConEmu\Scripts" by installer.
    May be useful for storing user scripts (bat-files and so on).
    It would/may be added to PATH in the Settings\Environment page.
[*] Git-For-Windows: Search for xml in /share/conemu while ConEmu.exe is intended to be in /opt/bin.
[*] Log and warn (debug assertion) long alternative buffer loading.
[*] Many MINGW-build related fixes from @Alexpux.


2015.5.13
[*] Don't show [reg] or [xml] in Fast Configuration dialog because there is the storage location field.
[*] gh#142: Win+Left/Right didn't snap window if it was maximized.
[*] gh#139: If Quake was hidden when user presses Win key (Start menu), ConEmu was unexpectedly slided down after second Win press (after menu was hidden).
[*] Garbage was shown sometimes while searching in Settings dialog.
[*] gh#143: Add CygWin bash default tasks by checking registry (for new config).
[*] RealConsole pause refactoring.
[*] Execute RedrawWindow in the server process to avoid access violation.


2015.5.4
[*] Jump list command was built erroneously if there was ‘-FontDir ...’ or some other switch.
[*] The field ‘Startup task’ was not filled in the ConEmu Fast Configuration dialog.
[*] Fix ChocolateyAbout.cmd script, correct PATH suggestion and powershell command.
[*] Check if Chocolatey is already installed and show the path (ChocolateyAbout.cmd).
[*] gh#127: ConEmu did not stay minimized if a new console tab was opened in background.
[*] gh#106: ChildGui turned black after ConEmu was restored.


2015.4.28
[*] Reset `FARHOME` env.var when creating default {Far} task without full path to `far.exe`.
[*] Default/startup task may be not initialized properly if saved config was partial.
[*] Show proper error code in StatusBar if restart console was failed.
[*] gh#121: Selecting 'No' when restarting console as admin produced error state.


2015.4.27
[*] gh#112: Python with Tk: rightclick menu window not showing.
[*] Set `FARHOME` env.var in default created Far tasks.
    That is because otherwise FARHOME may hold wrong value
    and plugins may be loaded from wrong place.
    So, the example task {Far Manager::Far 3.0 x64} will be:
      set "FARHOME=C:\Program Files\Far Manager" & "%FARHOME%\far.exe" /w /p"%ConEmuDir%\Plugins\ConEmu;%FARHOME%\Plugins"
[*] Show link to ConEmuArgs.html on bad switch using.
[*] If tab is renamed manually or via `-new_console:t:???` new name will be shown in ConEmu window title.
    Now it's possible to create some AHK scripts checking ConEmu title.
[*] xterm keys: Ctrl+Home, Ctrl+End, Ctrl+Ins, Ctrl+Del, Ctrl+PgUp, Ctrl+PgDn.


2015.4.20
[*] Warn if MacType hookers are loaded in ConEmuC/ConEmuC64. User have to exclude these processes in the MacType configuration.
[*] Allow to quit ConEmu by cross-clicking in the ‘Fast configuration’ dialog.
[*] Startup task field was not filled properly in the Fast configuration dialog sometimes.
[*] User had to press `Enter` to start find text from SearchBox if the match was above visible area.
[*] Clean up ConEmu_Tilde.xml from default settings.


2015.4.19
[*] DefTerm. First VisualStudio debugging session was not processed by DefTerm.
[*] Default settings were not applied on first start (suggested startup task).
[*] gh#104: Add default task for Git-for-Windows-v2.
[*] gh#107: Quoted Task names were not working after ConEmu.exe `-cmd` argument.
[*] Warning 'Maximum real console size was reached' was appeared sometimes during several splits tab closing.


2015.4.16
[*] gh#96: DefTerm was failed to hook VS Debugging console applications. Avoid deadlocks.
[*] Issue 1965: Correct 3rd state condition for ‘Change prompt text cursor position with LClick’.
[*] gh#99: Make Update confirmation dialog a child of main ConEmu window.
[*] Show in the update confirmation dialog the type of action: x86/x64 for installer or (7-Zip).
[*] Allow using tasks in ‘Recreate’ dialog.
[*] Let's create default tasks {Bash::Msys2-64} and {Bash::Msys2-32} in new configs.
[*] Add tab icon to default tasks: {Bash::MinGW bash}, {Bash::CygWin bash}, {SDK::WinSDK x.x}.
[*] Use "CmdInit.cmd" instead of direct "set PROMPT=..." in default cmd's tasks.


2015.4.9
[*] gh#63: Option ‘Auto save/restore tabs’ was conflicted with unchecked ‘Quit on close’.
[*] Some of GuiMacro functions must be executed in the main thread only.


2015.4.8
[*] Far plugins folder can't be configured in MSI-installer anymore.
    They are installed in `%ConEmuDir%\Plugins`.
    If you need separate Far installations - use "Far.exe /p..." switch.
[*] Issue 1590: Speed up cygwin commands execution.
[*] Show process information in the 'Injecting remove failed' message.
[*] Don't add spare default Far tasks, UnExpand paths if possible.


2015.4.5
[*] Redesign ‘Fast configuration’ dialog. Add ‘Start command’, ‘Palette’, ‘Quake style with HotKey’.
[*] Choose preferred startup Task for new configs (Far -> TCC -> NYAOS -> cmd).
[*] Fix wrong position of duplicate hotkey warning balloon.
[*] Detect console buffer corruption and log it.
    Sometimes during kmk build script execution something very bad happens
    with console buffer and lines like following were written to log
    RefrThread CurSize={-18544x31} :ReadConsoleInfo (skipped=1)
    After that an assertion appears like
    nNewWidth>0 && nNewHeight>0 at RealBuffer.cpp:1784


2015.3.31
[*] gh#88: Allow ‘Apps’ key to use as single hotkey.
[*] GuiMacro. Bugfixes and new function.
    * Function delimiter ‘;’ was ignored without brackets.
    * Support escapes in C-strings with "ConEmu -GuiMacro ...".
    * ‘Shell’ function without args must create new console.
    * Some functions will be postponed when RCon initialization finishes. To force postponing add ‘@’ prefix.
    * Add ‘Recreate’ function (‘Create’ is an alias).
      It can open ‘New console’ dialog, create default shell without confirmation,
      restart current tab (pane), optionally as Administrator.
      Following example shows ‘New console’ dialog, and inserts into started
      command prompt: ‘echo "Hello world"’.

      ConEmu.exe -Detached -GuiMacro "Create(0,1); Context; print(\"echo \\\"Hello world\\\"\");"


2015.3.27
[*] All links were updated to ‘http://conemu.github.io’.
[*] Default StatusBar columns were changed.
[*] In some cases font size (StatusBar, TabBar) was smaller than expected in new configs.
[*] Allow to stop buzzing when started with '-basic' switch.
[*] Сhocolatey packets are released officially now.


2015.3.19
[*] Some required switches were not used while creating jump lists (/FontDir, /FontFile, etc.)
[*] PostPromptCmd was not working with Far 3.
[*] Added hotkey to activate ConEmu window and do ‘CD’ to the last (top in Z-order) Explorer window path. GuiMacro is available:
    PasteExplorerPath (<DoCd>,<SetFocus>)
      DoCd: 1 - ‘CD’, 0 - paste path only
      SetFocus: 1 - bring ConEmu to the top, 0 - don't change active window


2015.3.16
[*] Issue 1931: Fix crash and broken Far frames after resize (regression).
[*] Inform user about some project events using TaskBar status area notification.
    Click on the icon or information balloon will show extended information
    dialog where user may stop showing this notification.
[*] Translate mouse wheel into escape sequences when ConEmu emulates xterm (vim especially).
    If you want to use mouse wheel in Vim (official version was tested), just add to vimrc:
    """"""""""""""""""""""""""""""""""""""
    " let mouse wheel scroll file contents
    """"""""""""""""""""""""""""""""""""""
    if !has("gui_running")
        set term=xterm
        set mouse=a
        set nocompatible
        inoremap <Esc>[62~ <C-X><C-E>
        inoremap <Esc>[63~ <C-X><C-Y>
        nnoremap <Esc>[62~ <C-E>
        nnoremap <Esc>[63~ <C-Y>
    endif
[*] Let user set up hotkey for ‘Detach’ action. Add GuiMacro ‘Detach’.
[*] All HotKeys are stored now in the "HotKeys" settings subkey.
[*] If anyone like to hide cursor in the inactive consoles just have to set inactive ‘Fixed cursor size’ to ‘0%’.


2015.3.11
[*] Try to fix full-width hieroglyphs drawing.
[*] Hangul syllables were not defined in CJK range.
[*] We need real width of CJK hieroglyphs, they might not be double as large.
[*] Don't try to use invalid fonts from registry (TrueTypeFont) on DBCS systems.
[*] Current unicode range was doubled in drop-down.
[*] Apply changes in unicode ranges immediately if was selected from drop-down.
[*] Do not uncheck ‘Monospace’ on DBCS systems by default.


2015.3.10
[*] Mouse events were sometimes unexpectedly sent to the console during selection.
[*] 150309 regression. "ConEmu.ico" was looked in wrong folder.
[*] Overlay icon on Win7 TaskBar was not shown in some cases.
[*] Name checkbox ‘Alternative font ...’ instead of ‘... pseudographics font’.
[*] TaskBar aero thumbnail of active console was not live-updated if ConEmu was minimized.
[*] Don't use ‘Enhance progressbars and scrollbars’ for cells with bg==gf unless it is 100% filled block.
[*] Search panel was too small in some cases.
[*] Issue 1939: Tab bar height too big since version 150307.


2015.3.9
[*] Issue 1937: ‘Admin shield’ in TabBar was broken.
[*] Only use "ConEmu.ico" name as possible external icon.
[*] Logging. Log ConEmu icon loading, created startup consoles, overlay icon actions.


2015.3.7a
[*] Issue 1931, gh#67: ConEmu's output was blocked after maximizing window.


2015.3.7
[*] gh#65: Min size for active cursor changes were not saved.
[*] Create toolbar buttons as large as the size of the tabbar.
[*] Take current dpi into account while creating tab icons.
[*] Issue 1929: Quake position was changed unexpectedly after Win+D / restore.
[*] Issue 1792: Unexpected console resize happens after Win+D Win+D.
[*] gh#66: New tab template ‘%f’ shows shell's current folder name. Check wiki ShellWorkDir.


2015.3.5
[*] Wrong tab was activated sometimes by mouse click if there was a scroll buttons on the TabBar.
[*] Do not do tab flickering while switching them by mouse clicks.
[*] White background flickering was occured sometimes during ConEmu startup.
[*] Default tasks were created sometimes not properly quoted.
[*] Add ‘Ranges’ drop-down list to pseudographics font settings with some predefines.
[*] Issue 1927: Key-Up event for ‘Space’ and ‘Enter’ in ReadConsoleInputA.
[*] gh#63: Switch `-cur_console:d:...` was not stripped from Task while running shell sometimes.
[*] While creating 'Auto save/restore' task add all `-cur_console` switches before the shell itself.


2015.3.3
[*] Issue 1925: Single character between two gray blocks was obscured (ex. OEM ‘B1 C1 B1’).


2015.3.2b
[*] Far Tasks. Show bitness x86/x64 in the task name.
[*] Far Tasks. If only one Far installation found - just use {Far} as task name.
[*] Far Tasks. Sort default Far tasks by version.
[*] When dropping files in the Far Manager prompt, show ‘+ Enter’ menu items first.
[*] TCC tasks were not created by default.
[*] Issue 1923: ‘ConEmu here’ was forced to "%USERPROFILE%" from certain folders.
    If user starts ‘ConEmu here’ from "%ConEmuDir%", "%windir%" or "%windir%\system32"
    ConEmu was switched to "%USERPROFILE%". That's because these folders may be used
    if user starts ConEmu (or just cmd as DefTerm) from bare Win+R.
    So, the switch "/here" was implemented, it's not shown in the Settings dialog.
    User needs to re-register ‘ConEmu here’ existing commands.
[*] Process ‘ConEmu[64].exe’ returns exit code of last terminated shell.
[*] Switch "/QuitOnClose" forces ConEmu window closing with last tab.


2015.3.2a
[*] Issue 1921: Regression: Fix a crash on last tab close (WinXP).


2015.3.2
[*] Show current tab icon as Windows 7 taskbar overlay icon.
[*] Visible region lock (scrolling) was unexpectedly dropped sometimes.
[*] Add all installed (and found) Far Manager installations while creating default tasks.
[*] Issue 1920: Fix visual defect in window padding area during Quake style slide down animation.
[*] Allow Quake window resizing and moving.
[*] Fixed resize issues after Quake slide up/down.
[*] Add to the TabMenu items ‘Split to right’ and ‘Split to bottom’.
[*] Untick ‘Auto minimize to TSA’ when turning Quake mode off.
[*] ToolBar buttons min/max/close were not properly shown/hidden on some options changing.
[*] gh#57: Cannot restore prevoisly opened tabs if there was a task marked as ‘Default for new console’.
[*] Consoles were not resized sometimes after Win+Left/Right (snap window to left/right monitor edge).
[*] After restoring snapped window the snapped state was dropped (window was put to ‘Normal’ position).


2015.2.24
[*] One more correction of keyboard input processing.
[*] Option ‘Treat font height as device units’ was not saved in new config.
[*] Pseudographics font was incorrectly sized on some dpi-s.
[*] HotKeys. Implemented ‘Kill all but shell’ function.
    Default hotkey Win+Shift+Delete for new configs.
	Also it is accessible from TabMenu or SystemMenu and
    GuiMacro: terminate all but shell process Close(10), no confirm Close(10,1)
    Note. If there is a shell only - confirm user to kill the shell.
[*] Don't do "ConEmuCpCvt" conversion if some chars were failed.
[*] Ability to change ‘processor affinity’ and ‘process priority’ for all running processes.
    The function affects all running processes in the current console (tab/pane).
    Available from TabMenu and SystemMenu item ‘Affinity/priority...’,
    HotKey and GuiMacro AffinityPriority([Affinity,Priority]).
    Unless you specify ‘Affinity’ or ‘Priority’ in GuiMacro function
    ConEmu will show dialog with affinity/priority options.
[*] Issue 1911: Do not scroll out of found position after clicking in the console to allow select text there.
[*] Option ‘Skip click on activation’ was not working sometimes.
[*] Allow physical scroll down of the console until the cursor remains visible.
[*] Internal. Fix wrong logging message for WA_ACTIVE
[*] During excessing keyboard activity console contents was updated slowly.
[*] Switch "/bypass" creates processes with normal priority.
[*] gh#59: Message ‘Failed to start task in user mode, timeout’ was appeared after updating.
[*] gh#56: Do not use RVAL_REF with GCC
[*] LogFiles were not created for far.exe sometimes.
[*] Do not flush logs after each line to avoid lags.

2015.2.24a
[*] Issue 1917: Avoid ‘Win+Shift+Delete is not unique’ error.


2015.2.18
[*] Issue 1817: Fix dropped or garbled keypresses sent from AHK.
[*] Don't suggest by default xml storage on Windows 2000.


2015.2.16
[*] GuiMacro. Issue 1411, gh#58. WindowPosSize("<X>","<Y>","<W>","<H>")
    It changes window pos and size, same as ‘Apply’ button in the ‘Size & Pos’ page of the Settings dialog.
[*] GuiMacro. Simplify passing string arguments
    For example, the following commands will be equal now:
    ConEmuC -GuiMacro WindowPosSize "0" "0" "800px" "600px"
    ConEmuC -GuiMacro WindowPosSize 0 0 800px 600px


2015.2.15
[*] Add menu item ‘Online &Help’ to the SystemMenu.
[*] After AppDistinct settings change console was not redrawn properly sometimes.
[*] Sometimes true colors were not used while executing smth like "edit:<git log".
[*] Outscreen regions were not cleared by "cls" executed in "Far /w" prompt.
[*] Issue 1881: Newly catched admin consoles were unexpectedly scrolled to the bottom (DefTerm).
[*] Catched RealConsole (DefTerm) was hidden even if ‘Show real console’ was ticked.
[*] Use bitmap resource for ‘Search’ icon.


2015.2.9
[*] Issue 1897: Tear off started "ConEmu.exe" from "taskeng.exe" (switch /demote).
    Let process created from task sheduler runs indefinitely.
[*] Auto save window size & pos is turned on by default.
[*] Add test batch "utf-8-test.cmd" (check console unicode capabilities).
[*] Suggest ConEmu.xml storage for new configurations by default.
[*] Issue 1870: Rename dialog was shown out of screen if tabs were on bottom.


2015.2.6
[*] CP hack: Use ConEmuCpCvt to force output CP conversion.
    If some command uses wrong CP while converting ANSI to Unicode
    (the example may be perl.exe from "git add -p")
    set variable to correct its output. Use asterisk for all apps.
    This hack affects ONLY WriteConsoleW function calls.
    Format:
      <exename>:<badcp>:<goodcp>[;<exename>:<badcp>:<goodcp>[...]]
    Example:
      set ConEmuCpCvt=perl.exe:1252:1251;*:850:866;
[*] CP hack: Use ConEmuDefaultCp to change output CP if you don't want to use chcp.
    If you can't use "chcp <codepage>" to change whole console CP output,
    you may change it using environment variable ConEmuDefaultCp.
    It will affect only WriteFile and WriteConsoleA functions.
    So, if you need to run several apps in one console simultaneously...
      set ConEmuDefaultCp=1251
      ConEmuC -fork -c App1.exe
      set ConEmuDefaultCp=866
      ConEmuC -fork -c App2.exe
      set ConEmuDefaultCp=
[*] Add information about "-Async", "-Fork", "-Download" switches.
[*] Switch '-noquake' implies '-nosingle'.
[*] Use self-implemented UnExpandEnvStrings while creating default tasks.
[*] TaskBar jump list was created without directly specified xml configuration file.
[*] Button ‘Save’ instead of ‘Start’ was shown if bad startup Task was detected.
[*] The menu item ‘Clear history...’ was not working (the one in the `[+]` drop-down menu).
[*] Sometimes ‘Console script are not supported here’ error appeared after running a task from NewConsole dialog.
[*] Tasks may be organized with folders. Delimit task name from folder name with "::".
    For example, type "Shells::PowerShell" instead of "PowerShell", and so on.
    Only one level of folders is allowed. No need to reorder tasks of one folder
    continuously, folders are filled by name. Generally this was implemented for
    drop-down `[+]` menu.
[*] Create default tasks with folders (Shells, Bash, SDK, and so on).
[*] Find task by name with or without folder part (Startup page).
[*] Button 'Add default tasks' will not create task duplicates (checking by task name).
[*] Allow switch '/reuse' in task parameters (alias for '/single' yet).


2015.2.3
[*] Issue 1886: Change text cursor position with ‘LeftClick’ was not working when PSReadLine was loaded in your $profile. Look at RevokeMouseInput.ps1.
[*] github#20: ‘Ctrl-Left’ and ‘Ctrl-Right’ was not working in Vim/xterm.
[*] Create new console confirmation now if disabled by default.
    So ‘Win+W’ or ‘LClick’ on the `[+]` button creates new default task.
    The default task may be choosed in the ‘Tasks’ settings page.
    New console dialog (command, directory, as admin, and so on)
    may be shown with:
    * ‘Win+Shift+W’;
    * ‘Shift+LClick’, ‘RClick’ or ‘LongTap’ on the `[+]`;
    * ‘New console dialog...’ menu item (down arrow about `[+]`).
[*] Window and tab closing confirmations now are disabled by default.
    But if there are more than a two user processes running in the console -
    close confirmation may be shown. So, there are thee checkboxes now:
    * Confirm window closing (unchecked);
    * Confirm tab closing (unchecked);
    * When running process was detected (checked).


2015.1.28
[*] Add missed GuiMacro GetOption description.
[*] Debug. Show ConEmu build number in the _ASSERT dialog
[*] Issue 1878: GuiMacro. Add ability to get some environment from ConEmu.
    GetInfo("PID"[,"HWND"[,...]])
     - Returns values of some ConEmu environment variables
       GetInfo("PID") returns %ConEmuPID% and so on
       It's processed in GUI so the result may differs from RealConsole
[*] Search field sometimes disappeared after playing with toolbar visibility.
[*] Add small gap between search field and right window frame edge if toolbar is hidden.
[*] HighlightAndGoto: Add examples with 'cmd.exe /c ...'.

    cmd.exe /c "echo Executing "%3" & "%3""

    After Ctrl+Click on highlighted (underlined) file
    ConEmu will start cmd.exe in new tab and highlighted file will be executed.
    Documents will be opened using associated application.
    Add "-new_console:n" suffix to suppress "Press Enter or Esc to close console".
[*] Issue 1883: Search field activation hotkey was not working if toolbar buttons were hidden.
[*] AnsiEscapeCodes: Change behavior on wrong ST terminator of OSC detected (allowed 'ESC \' or 'BEL').
[*] Issue 1865: Deadlocks were happened sometimes, PipeServer termination sequence was changed.


2015.1.19a
[*] Issue 1876: Revert msvcrt.dll linkage.


2015.1.19
[*] Issue 1864: ExportEnvVar. Drop variable instead of setting it to empty string.
[*] Don't show both small and large icons in the confirmation/about dialogs.
[*] Internal. GuiMacro "Context" was not returned result as expected.
    BTW, usage example: print("abc"); Split(2); Context(); print("def")
[*] Minor change in 16x16 icon, add 256x256 icon, update icons in setupper.
[*] Allow ‘Debug active process’ while ChildGui is stopped by ConEmuReportExe on loading.
[*] Remove GetVersionEx warnings (internal).
[*] Debug purposes switch: ConEmuC -OsVerInfo. Sets errorlevel to OsVer. Ex.: Win7 -> 1537 (0x601)
[*] Link ConEmuHk[64].dll and ConEmuCD[64].dll statically with msvcrt.dll.
[*] Issue 1865: Fix weird hungs in LdrpAcquireLoaderLock (cmd.exe).
[*] Emulate AnsiCon environment variables.
    "ANSICON" = "WxH (wxh)", where W,H size of the buffer, w,h - window.
    "ANSICON_DEF" = "BF", (B)ackground and (F)oreground color indexes (hex).
    "ANSICON_VER" = "170", does not exist in the environment block.
[*] Support some more ANSI SGR codes (22, 23, 24).
    "ESC [ 22 m" - Unset BrightOrBold
    "ESC [ 23 m" - Unset ItalicOrInverse
    "ESC [ 24 m" - Unset BackOrUnderline
[*] Issue 1865: Allow ANSI escape sequences when redirecting to device CON.


2015.1.11
[*] New ConEmu icon.
[*] HighDpi fixes (if primary mon is 192dpi and secondary is 96dpi).
    * Search icon size on secondary monitor was huge.
    * Settings dialog controls were sized too large.
[*] DefTerm. Aggressive mode was not be able to disabled actually.
[*] GuiMacro. Allow to execute some GuiMacro after ConEmu window creation.
    Example: ConEmu -Detached -GuiMacro "Task(""{cmd}""); Settings"
[*] Issue 1861: GuiMacro. Context([<Tab>[,<Split>]]).
[*] Don't try to start clink if cmd is started just for single command execution.
[*] Fix incorrect buffer address passed when getting AutoRun reg key value.
[*] Small improvements for build settings in VS12 project.


2014.12.21
[*] Issue 1846: Script is not supported here (5909d9f regression).
[*] Split options set in the ‘Create new console’ dialog not take precedence of any specified in the Task itself (first task's command actually).
[*] CmdInit.cmd: Print Windows version while initializing.
[*] Add "ConEmuC /EXPORT=GUI [Var1 [Var2 [...]]]" for exporting vars to ConEmu GUI only.
[*] DefaultTasks. Use registry's ‘App Paths’ while searching for exe files.
[*] Let Git bash use git.ico and try to find it using registry.
[*] In some cases ConEmuHk was not properly deinitialized within cygwin/msys.
[*] Turn on ‘Activate split on mouse hover’ for new config by default.
[*] "ConEmuC /export" was unexpectedly exporting to all tabs.
[*] Change finalization sequence of ConEmuHk.


2014.12.17
[*] Reorder create console hotkeys.
[*] Now it's possible to choose ‘Default task for new console (Win+W)’ and ‘Default shell (Win+X)’.
[*] Let's choose which tasks add to Windows 7 jump lists (check box ‘Taskbar jump lists’).


2014.12.16
[*] Issue 1705: In some cases ConEmuBg config xml file was not loaded properly.
[*] Prefill MemoryDump Save as dialog with default dump file name.
[*] Debugger. Fix creation of several memory dumps at a time.
[*] Debug. Add menu item ‘SystemMenu\Debug\Active tree memory dump’.
[*] Tab was sometimes closed unexpectedly while recreating as Admin.
[*] Inherit environment variables while starting new tab from existing one (-new_console, start).
[*] Issue 1840: Administrator privilege was not persisting to child tabs.
[*] Fix ‘Numpad with NumLock is ON’, ‘Tab’ and ‘Shift-Tab’ processing within xterm keyboard emulation (Vim).
[*] LogFiles ‘ConEmu-Input-*.log’ were not created in some cases.


2014.12.8
[*] Issue 980: Far Manager was not resized properly after exiting NTVDM application.
[*] Status [Disabled] was not shown for ‘Delete word leftward to the cursor’ hotkey.
[*] While selection is present - force RClick to copy/paste internally if ‘Intelligent mode’ is on.
[*] Add status bar columns for VCon window sizes in pixels.


2014.12.6
[*] Issue 980: Fix resize issues with NTVDM (old DOS) applications.
[*] Some more internal logging.


2014.12.4
[*] Issue 1832: Some file size zeros was missed in Far's Tiles mode.
[*] Update counters FPS/RPS calculation.
[*] Add to counters keyboard performance (delay between keypress and console reaction).


2014.12.3
[*] Powershell's "get-help Get-ChildItem -full | out-host -paging" did not react to Space/Enter.
[*] LogFiles: Log ‘IsAdmin’ state and ServerPID changes.
[*] Fix Coverity warnings (from Michael Lukashov).


2014.12.1
[*] In some cases using ‘Cmd_Autorun’ was causing crashes.
[*] Far active directory was not refresed in Tab labels if macro ‘%d’ was used in template.
[*] Use simple "ConEmuC -IsConEmu" instead of "ConEmuC -GuiMacro IsConEmu" in ‘Cmd_Autorun’.
[*] Was not warned about wrong place (invalid switch) of "-new_console:a" with ConEmu.exe.
[*] Issue 1828: ‘Cmd_Autorun’ fails if processes were started under different credentials.
[*] Command was forced into new ConEmu tab even if `-new_console` was quoted with non-double-quotes.


2014.11.30
[*] Redesign ‘Features’ settings page.
[*] Sleep in background: don't force inactive tabs to high activity state on startup.
[*] More server-side logging of ‘sleep in background’.
[*] Fix multiple [Sleep]-s appeared in tabs (ConEmuSleepIndicator=TITLE).
[*] In some cases wrong installer bitness was used with autoupdate.
    If ConEmu.exe was started but both x86 and x64 versions were installed.
[*] Issue 1812: Bypass Windows 10 bug with GetConsoleDisplayMode.
[*] Changes in the setting ‘tab flash count’ field were ignored.
[*] Issue 1826: Changes of the checkbox ‘Aggressive mode’ were ignored.
[*] Let inform user about unhandles checkbox clicks.
[*] Don't leave flashed tab in highlighted state by default.
    If one need to leave it highlighted set flash counter to ODD value.
[*] InactiveFlash: Running Far ignore top visible line (with clock).
[*] InactiveFlash: Don't flash while Far is doing something with progress.
[*] InactiveFlash: Support flashing for Far viewers also.
[*] InactiveFlash: Use tab suffix instead of separate template.
[*] Issue 1825: Don't try to force Macro execution.


2014.11.26
[*] Issue 1590, Issue 1793: Slow input response in some cases (after startup or tab switching).
[*] Some controls on the ‘Features’ page were overlapped.


2014.11.25
[*] Issue 1821: Don't force "start /min ..." to be new ConEmu tab.
[*] Issue 1822: Option to disable forcing "start" to be new ConEmu tab.
[*] Don't block row/col highlight updating if mouse is inside VCon even if ConEmu is not a foreground window.
[*] Let switch and update row/col highlight simultaneously for all panes in group.
[*] Don't flash tab created in background.
[*] Don't flash just deactivated tab.
[*] Shorten color scheme name <Default Windows scheme>.
[*] Move ‘Schemes’ drop down to the top of ‘Colors’ settings page.
[*] Redesign ‘Fast configuration’ dialog.


2014.11.23
[*] Add <Base16> color scheme.
[*] LogFiles: Log Far plugin PID changes.
[*] LogFiles: Log Far macro execution.
[*] Show in the window title ‘{%%}’ if the progress was set to indeterminated state.
[*] Remove lag switching to inactive cmd's tab after window resize.
[*] Apps+G must group input only active panes.
[*] Issue 1161: Maximize/restore active pane. Apps+Enter, GuiMacro Split(3), optional DblClick on tab.
[*] Try to force set CF_LOCALE (optional setting "CTS.ForceLocale") while copying.
[*] Make GitShowBranch.cmd multi-process aware.
[*] Make close confirmation texts clearer.
[*] Win+Ctrl+Del closes active group.
[*] Issue 1807: Allow GuiMacro execution in specified tab or split.
    ConEmuC /GUIMACRO[:PID|HWND][:T<tab>][:S<split>] <GuiMacro command>
    <tab> is 1-based tab index
    <split> is 1-based pane index of selected/active group of panes
[*] Issue 1819: ConEmu broke cygwin's pipeline in some rare cases.
[*] Issue 1809: Inactive (invisible) tab flash on activity.
    Setting "TabFlashChanged". 0 - disabled, >0 - infinite, ODD - leave highlighted, EVEN - turn off after flashing.
    Setting "TabModified" set template for those modified tabs.
    Both settings are available on ‘Tabs’ settings page.
[*] Use keyboard hooks to process ‘Switch focus between ConEmu and ChildGui’.
[*] Use Win+Z (by default) for ‘Switch focus between ConEmu and ChildGui’.
[*] Was not able to set focus into ConEmu after CtrlWinAltSpace with ChildGui.


2014.11.17
[*] Default color scheme set back to <Solarized>.
    To get git's proper colored output for <Solarized> scheme run:
    git config --global color.diff.new "green bold"
[*] Extend fonts listboxes were not enabled properly.
[*] Esc was not working in the ‘Commands’ field on the ‘Tasks’ settings page.
[*] Apply button on ‘Size & Pos’ page was not working, size fields were rolled back after ‘Apply’ was pressed.
[*] Command "start cmd" from ConEmu tab must start new tab.
[*] Issue 653: New ConEmu.exe switches: -Wnd{X|Y|W|H} <Value>.
    This will force ConEmu window to position/size.
    Size supports cells (-WndW 80), percents (-WndW 50%) and pixels (-WndW 100px).
[*] Issue 1815: ConEmu panel view plugin does not despect AppDistinct palette overrides.


2014.11.16
[*] Issue 1812: Vertical scroll bar disappeared in latest Win10 build.
[*] Use modified <SolarMe> palette by default (for new configs).
[*] Show error box if Server and GUI has wrong protocol versions. Log errors also.
[*] LogFiles: Add root shell's start/exit logging.
[*] LogFiles: Log ‘CMD's AutoRuns’ strings from registry.
[*] LogFiles: Log Prompt/HookServer starts.
[*] Show actual 4-bit colors in the ExtendedConsole color selection dialog.


2014.11.15
[*] Show asterisk insted of minus in the ‘Visible region lock’ StatusBar column.
[*] AutoUpdate: Postpone was not working.
[*] AutoUpdate: Don't show spare close confirmation after ‘Close & Update’ confirmation.
[*] More logging of console buffer changes.


2014.11.14
[*] Scroll position was ignored when starting selection with ‘Freeze console...’ enabled option.
[*] Don't reset scroll position on KeyUp, only KeyDown are taken into account.
[*] New switch "-cur_console:R" to force start of hooks server in the parent process.
[*] AnsiEscapeCodes: Color change was ignored specified before ‘$E]9;8;"env"$E’.
[*] Add "CmdInit.cmd" to "%ConEmuBaseDir%". Set up pretty cmd prompt with optional git info.
[*] GitShowBranch: Take into account PROMPT settings was set in the "CmdInit.cmd".
[*] Redesign About dialog (tabs on the right).
[*] Add ‘SysInfo’ page to the About dialog.
[*] Issue 1799: Log clipboard operations.
[*] Fix dialog flickering while dragging to monitor with another dpi value.


2014.11.13
[*] Issue 1745: Fix overscaled dialogs.


2014.11.12
[*] Issue 1789: Far Thumbnails - current item was not changed if QSearch was active (Far 3 api break). Patch works with Far3bis 4188+ only.
[*] Far Thumbnails - fix arrow move if QSearch is active.
[*] Force using "%ConEmuDrive%" instead of "%SystemDrive%" when populating default tasks.


2014.11.11
[*] Group keyboard input for visible splits: Apps+G.
[*] Issue 1803: Unable to check quake-style setting ‘Auto-hide on focus lost’.
[*] Fix Coverity warnings (from Michael Lukashov).
[*] Fix broken theme on search control after quake activation.
[*] FileLineDetector: Fix broken "abc.py (1): ..."
[*] FileLineDetector: Fix broken mail detection, support stop on punctuations.


2014.11.10
[*] Issue 1802: GuiMacro: Add ‘Pause’ ability. When you press ‘Pause’ RCon is forced into
    ‘internal selection’ state which cause pausing of most console writing applications.
[*] StatusBar text color was broken after ‘Visible region lock’.
[*] Old ‘PicViewSlide’ hotkeys were removed.
[*] Donate link was changed.
[*] FileLineDetector: Fix broken "file.cpp(123) : error...".
[*] FileLineDetector: Support quotation trimming.
[*] Fix warnings and typos (from Michael Lukashov).


2014.11.09
[*] Issue 1801: FileLineDetector: In addition to a/ b/ support i/ c/ w/ o/ also.
[*] Move StatusBar's ‘Visible region lock’ column near to ‘Active console buffer’.
[*] GuiMacro. Add description of ‘Progress 3’.
[*] If ‘Copy on Left Button release’ was unchecked console was unexpectedly scrolled even if LButton was Up.
[*] Fix admin consoles initialization.
[*] Fix PVS warnings (from Michael Lukashov).


2014.11.07
[*] FileLine detector. Fix false detection of "index 621e2f9..d0abbf9 100644".
[*] FileLine detector. Support git diffs style: "a/src/ConEmu.cpp" and "b/src/ConEmu.cpp".
[*] Splits was not taken into account when resizing window by top/bottom edges.
[*] Hotkey Win+Alt+T shows ‘Tasks’ settings page.
[*] After palette change selected color option was ignored, was used ‘RRR GGG BBB’.
[*] Fix search pane size/pos (theming).
[*] Don't beep on Esc press in search pane.
[*] Lets stop search by F10 keypress.
[*] If search pane was empty clicking in the workspace was not stop searching.
[*] Lets drag window by free place of the TabBar.
[*] Fix Coverity warning (from Michael Lukashov).


2014.11.06
[*] When text is pasted immediately with RClick while selection is active - do not use Windows clipboard.
[*] Search control position fix.
[*] Rename tabs in the About dialog.
[*] Switch cross-highlighting under mouse cursor with Apps+X (row highlighting - Apps+L).


2014.11.05
[*] Some splits were not displayed on startup (d592a05 regression).
[*] ConEmuEnvironment: set ConEmuIsAdmin=ADMIN for those tabs/splits which were started elevated (UAC).
[*] Add colored prompt to default cmd's tasks.
[*] TabMenu was reorganized. Some menu items were moved into submenus.
[*] Internal. Try to wait a little if GUI was not in time with RCon server initialization.


2014.11.04a
[*] Issue 1792: RBTray caused console crop (ff25dbc regression).
[*] Use <Solarized> palette by default.


2014.11.04
[*] Issue 1790: Minimize/restore crops console size (ff25dbc regression).
[*] Fix Coverity warnings and leaks (from Michael Lukashov).


2014.11.03
[*] Don't snap-jump by Win+Arrow if About dialog is at foreground.
[*] Search for opened tab by full path instead of name only while Ctrl+Click on hyperlink (compiler errors).
[*] Far Macro: Use ‘`elseif`’ keyword.
[*] Far Macro: Use ‘`ACTL_SETCURRENTWINDOW`’ in ‘`ConEmu.Editor.lua`’.
[*] Use solarized colors for StatusBar by default.
[*] fix PVS warnings (from Michael Lukashov).
[*] Issue 1784: Ctrl+Click did not recognize: C:\Work\Test.php:36
[*] Change autoupdate source information to github.
[*] Fix wrong per-monitor-dpi jumps.


2014.11.01
[*] Was failed with creating new xml config if empty xml file with BOM was exists.
[*] Fix hung up after changing dpi with GuiMacro from command line.
[*] Fix messed Far window number in the ‘ConEmu - tabs list’ (another Far api break).
[*] Predefined palettes <Solarized> and <Solarized Light> were changed.
[*] Init by default extended colors (16..31) with standard windows palette.
[*] Support new parsing format in the colors edit fields ‘00BBGGRR’ (just for copying from "*.reg" files).
[*] Increase max text length in colors edit fields (copy/paste purposes).
[*] Add button ‘Default’ to the ‘Colors’ settings page. It resets colors 16..31 to standard windows palette.
[*] Add radiobutton styles of color formats.
[*] Minor RunQueue optimizations and other internal changes.


2014.10.29
[*] Show menu item hints in the StatusBar instead of tool tips.
[*] Issue 1731: Fix assertion on cancel split window dialog (user/password confirmation).
[*] Fix resize/minimize/restore lags and asserts.
[*] Don't create new console if user cancels new console dialog (split window, user/password confirmation).
[*] Between-monitor jump fixes (per-monitor dpi related).


2014.10.28
[*] Some listboxes in the Settings dialog was not filled properly. ‘EOL’ and ‘Back color’ were messed up.
[*] Foreground color for selected text was ignored.
[*] Show selection colors preview on the ‘Mark/Copy’ settings page.
[*] Far's ‘User screen transparency’ was not working properly.
[*] Selection status message was not dropped when ‘Find text’ dialog was closed.
[*] Create search control in the Tab bar. It may be focused by old shortcut (‘Apps+F’ by default).
    When search control is focused, one may open search menu by ‘Apps’ or RClick.
    Control may be shown/hid with checkbox on the ‘Appearance’ settings page.
[*] Issue 1777: Skip Far macro execution errors in some cases.
[*] Internal fixes of wrong MF_SEPARATOR usage.
[*] Force search scroll-buffer on search repeat (‘Freeze console’ must be on).


2014.10.25
[*] Issue 1321: Splitter calculation changed.
[*] Try to move splitter with mouse dragging.
[*] Consider monitor dpi in splitter size.
[*] Issue 1747: Menu -> Close or kill -> Close all zombies.
    This will close all dummy consoles, waiting for "Press Enter or Esc ..."
    Hotkey is available and new GuiMacro Close(9[,1]).
[*] Issue 1734: Try not to call FCTL_GETPANELDIRECTORY to get panel directories (ftp plugin issues).
[*] Fix wrong StatusBar's first column width evaluation.
[*] Due to useless Far3's window number let use 0-based window indexes as Far3build2798 and lower.
[*] Adapt "`ConEmu.ShiftEnter.lua`" to broken Far windows behavior.
[*] Add "%ConEmuExeDir%" before "%ConEmuBaseDir%" in "%PATH%".
    So user may copy batch from "%ConEmuBaseDir%" to "%ConEmuExeDir%",
    make desired changes and be sure it will not be overwrited
    after new update. For example, move "csudo.cmd" from subfolder
    with "ConEmuC.exe" to the folder with "ConEmu.exe" and change
    the option in the beginning to: "set ConEmuSplit=NO".
[*] Don't show "mp_RCon->m_GetDataPipe.Transact failed" errors, log them only.


2014.10.22
[*] Correct snap/tile ConEmu window to left/right/by-width/by-height.
[*] Show snap/tile status on the Settings/Info page.
[*] Rename maximize/tile hotkeys' descriptions.
    Maximize height / width -> Snap .. to top/bottom / left/right edges ..
    Tile ConEmu ... -> Snap ConEmu ...
[*] Update Far3/lua headers to build 4040.
[*] Let Plugin.SyncCall("4B675D80-1D4A-4EA9-8436-FDC23F2FC14B","...") returns result as string if succeeded.
    lua:far.Message(Plugin.SyncCall("4B675D80-1D4A-4EA9-8436-FDC23F2FC14B","IsConEmu"))
    lua:far.Message(Plugin.SyncCall("4B675D80-1D4A-4EA9-8436-FDC23F2FC14B","FindEditor(@\"C:\\autoexec.bat\")"))
[*] Hyperlink detector false detect: full directory paths.
[*] GuiMacro: New function `GetOption("<Name>")` return string representation of ConEmu option.
    Example for "Internal CtrlTab" option check (Far 3 lua macro)
    if Plugin.SyncCall("4B675D80-1D4A-4EA9-8436-FDC23F2FC14B","GetOption TabSelf") == "1" then
      far.Message("ConEmu 'Internal CtrlTab' is ON")
    end
[*] Issue 1772: Scroll page up/down stopped to work.
[*] Support another Far 3 API breaking change (tabs).


2014.10.20
[*] Try to hilight "folder\file" and do not hilight fakes and dirs.
[*] Internal. Helper script NewClass.ps1 for creating in-project cpp/h pairs
[*] Make possible to use "\e]0;text\a".
[*] Let process "^a" in "ConEmuC -e <string>" (-> "\x07").
[*] Issue 660: Switch "/AUTOATTACH" was not run asynchronously in some cases.
[*] Attach: Switch "/GHWND=NEW" may create garbaged command line.
[*] Attach: If "/AUTOATTACH" is specified, run server of same bitness as root/parent process.
[*] Scroll. Changing scrolling style.
    All scrollings in ConEmu are now processed virtually,
    RealConsole is not touched anymore.
[*] Add status bar column: Visible region lock.
[*] Favor first and grip status columns to be fully visible.
[*] Log tab activation errors (Far windows).


2014.10.17
[*] Far editor was opened at 1-st line instead of stored cursor position on Ctrl+LClick on filename without line number.
[*] Issue 657: Eager+recent tab switching doesn't cycle all tabs.
[*] Issue 1763: Assertion while starting something with redirection.
[*] Issue 1764: Some files/hyperlinks detector issues.


2014.10.16
[*] Issue 1758: Support file/line format for php: "C:\..\test.php:28".
[*] Hyperlinks: Check file existence before opening.
[*] Hyperlinks: If clicked file was not found, try to find it in subfolders.
[*] Hyperlinks: Try to make file path properly cased before opening (realconsole.cpp -> RealConsole.cpp).
[*] Issue 1754: SystemMenu was opened by RClick on the title bar was not working on some XP machines.
[*] Issue 166: Tab switch was not working from ‘ConEmu plugin -> T’.
[*] Do not turn on ‘Long console output’ during "edit:<command" operations.
[*] Tabs. SetTabs may fails for new Editor if it was opened from "edit:<command".
[*] Mouse wheel logging.
[*] Buffer was dropped (scrolling disabled) unexpectedly after "ConEmuC -c <command>" execution.
[*] Just for fun, add "-fork"/"-async" switch (sort of trailing ‘&’ in bash).
    For example, run from cmd.exe prompt and observe weird results :)
    ConEmuC -async -c dir & ConEmuC -async -c dir


2014.10.13
[*] Issue 1753: Cursor goes out of screen while executing commands from "far" without "/w".
[*] Issue 1754: Some changes with using WM_SYSCOMMAND.
[*] More logging of SystemMenu processing.
[*] If SystemMenu was opened by LClick on the title bar icon and closed by Esc promptly ConEmu window may be closed.
[*] ConEmu.ShiftEnter.*: Check if plugin is ready to process "ConEmu:run:" prefix.
[*] Do not request synchronous paint of the status bar from background threads.


2014.10.12
[*] Ensure that just installed (new config) ConEmu's window will not be larger that monitor working area.
[*] While converting old config do not get data from LogFont if it was not created yet.
[*] Use wiki page ‘Issues’ instead of ‘/issues/entry’ to avoid bad authorization redirection.
[*] Fix Apps+PgDn description misprint.
[*] Issue 1334: ConEmu plugin was not realized the attach is finished (call from plugin menu).
[*] Tab initialization fix for "far.exe /e ...".
[*] Ctrl+LClick was failed in some cases (Far editor, Lua macro).
[*] Issue 338: Fix attach external Far Manager console from plugin (not recommended though).
[*] Update application manifests to Windows 10.
[*] Attach list (Win+G) was failed sometimes with showing correct bitness of processes.
[*] Show new console size in the status bar during resizing with mouse.
[*] Issue 1568: Try to hold cursor position (bottom visible line) in the bottom after resizing.
[*] Restrict minimal GUI height to ({4,2} x {splits count}).
[*] Macro: ConEmu.CtrlO.*: the Far default behavior (CtrlO) mapped to CtrlAltO because CtrlShiftO is used for splitting.
[*] Issue 1752: ConEmuTh: add ‘Turn off’ to the plugin menu. Macro option: Plugin.Call(ConEmuTh,256).
[*] ConEmu.Editor.lua: Fix auto switch to Editor Tab macro.
[*] ConEmu.ShiftEnter.lua: Fix ShiftEnter (run command in new tab) macro.
[*] Fix some EmergencyShow multi-process issues.
[*] Issue 1745: DPI scaling issues with font's combo boxes.
[*] Many internal changes.


2014.10.04
[*] Auto switch hovered tabs while dragging files from/to Far panel.
[*] Don't try to copy files from "C:\1\" to "C:\1\" (same src and dst folders).
[*] Issue 1740: D&D was not started from Far 1.75.
[*] When creating default tasks, show WinSDK version in the tab label.
[*] Autocreate VS (vcvarsall.bat) tasks for new configs.


2014.10.02
[*] Preparing for Windows 10.


2014.10.01
[*] ConEmuPlugin was rewritten using classes (Far versioning).
[*] Don't activate Far Panels while Ctrl+LClick in Far Editor window.
[*] Issue 1717: Auto save/restore opened tabs renamed labels.
[*] AnsiEscapeCodes: 'ESC [ 90..97 m' high intensity foreground color, 'ESC [ 100..107' high intensity background color.
[*] Issue 1715: 'New window'+'Run as administrator' was created non-elevated window.
[*] Don't autoshow scrollbar on mouse hover while ConEmu is not in foreground.
[*] Far plugin. F11 -> 'ConEmu' -> 'Show all panels list'. Press enter to 'print' selected path into current Far window.
    Use macro (ConEmu.PanelsList.lua) to simplify menu call.
    Plugin.Call("4b675d80-1d4a-4ea9-8436-fdc23f2fc14b",11)
[*] Issue 1590: (workaround) Parameter 'StartCreateDelay' may be changed via settings (xml/reg). DWORD 10..10000, default 100.
[*] Debug. Some improvement in showing CP and console modes.
[*] Debug. Verbose WM_DEADCHAR warning.


2014.09.23
[*] Debug purpose switch: ConEmu.exe -LoadRegistry.
[*] Support automatic find/loading of ".ConEmu.xml" (dot prefixed) config file.
[*] Wrong dpi was used if starting on second monitor (9df4391 regression).


2014.09.22
[!] Internal: CSettings decomposition.
[+] GuiMacro may be used for changing Checkbox/Radio ConEmu's options.
    SetOption("Check",<ID>,<Value>)
      ID: numeric identifier of checkbox (ConEmu.rc, resource.h)
      Value: 0 - off, 1 - on, 2 - third state
    Example, turn scrollbar on: ConEmuC -GuiMacro SetOption Check 2488 1
[*] Issue 1703: 'file.ext:line:' in hyperlink detector error.
[*] File[:line:] hyperlink was not opened in Far editor sometimes (one more 'Desktop' drawback).
[*] It was impossible to resize splitters in some configurations.
    For example, area 3 was not available for resize:
    +-----+-----+-----+
    ¦  1  ¦     ¦  4  ¦
    +-----+  3  +-----+
    ¦  2  ¦     ¦  5  ¦
    +-----+-----+-----+
[*] Minor xml formatting fix (new line after last MSZ value).
[*] Fix false xml modified timestamps updates for Tasks and Palettes.
[*] Option ‘KeyBar RClick’ was not working with "Far /w".
[*] Wrong DPI was used if creating small window attached to the monitor edge.
[*] github#19: Don't post Enter/Space KeyUp events to the console input buffer.


2014.09.14
[*] Wrong macro was sended to Far 3 (Lua) on hyperlink click if file was already opened.
[*] Fix drop files to Far command line. Add menu items to press ‘Enter’ after goto/edit/view.
[*] Fix wrong ‘sleep/speed’ written to the log.
[*] Avoid numerous writing of equal lines to log (console size).
[*] Internal changes.
[*] Issue 1704: GuiMacro. User may change option "FarGotoEditorPath" on the fly.
    Multiple Highlight editors are available now. Just call GuiMacro SetOption
    function with preferred editor command line. Few examples with ConEmuC
      conemuc -guimacro setoption FarGotoEditorPath @"far.exe /e%1:%2 ""%3"""
      conemuc -guimacro setoption FarGotoEditorPath @"#notepad ""%3"""
[*] Issue 1711: Cut start/end quotes from double-quoted commands.


2014.09.09
[*] Verbose tab activation error information.
[*] Wrong hotkey was *displayed* on Tasks page.
[*] Debug log was not disabled on Settings window closing.
[*] ConEmu frame was not set to inactive state with ChildGui in the active tab.
[*] Log current session state changes (/log switch, Issue 1689 related).
[*] Wrong dpi value may be used in some cases (dialog sizes, etc.)
[*] If ChildGui was in focus, cross clicking was not closed all ConEmu tabs but only active ChildGui.
[*] Return focus to ChildGui on ‘Create new console’ dialog cancelling and tab switching.
[*] Do not do quake-flicker on Settings dialog opening.


2014.09.08
[*] Issue 1690: Give more weight to "/dir" ConEmu.exe switch than the same from Task parameter.
[*] Issue 1703: Force CD refresh before starting hyperlink (editor).
[*] Spare "cmd.exe" was appeared in the process root in some cases.


2014.09.05
[*] Issue 1684: Long startup of documents from network drives.
[*] Issue 1703: Prepare FarPlugin to send both panel CD's to GUI.
[*] When exporting settings suggest default for ConEmu.xml folder.
[*] Fix indents when creating new xml file.
[*] Do not update modified (timestamp) if xml was not really changed during config save.


2014.09.03
[*] Move Background image settings to separate page.
[*] In some rare cases background was not drawn.
[*] Background was not updated after some changes of ‘Placement’ field.
[*] Add dummy (yet) chord hotkey controls to settings.
[*] Explain LDrag/RDrag modifiers in hotkey list, show [Disabled] if it LDrag/RDrag is unchecked.
[*] Issue 1657: Treat Far space-visualizations as space symbols.
[*] Issue 1691: Make simple filenames Ctrl+LClick'able (open file in the editor).
[*] Reveal ConEmuC switches in release (/ErrorLevel and /Result).
[*] Issue 1696: GuiMacro. Attach([PID[,Alternative]]) allows attaching external console/ChildGui by PID.
[*] Keyboard hooks were not disabled when ChildGui has focus and user switching to another app.
[*] [Re]store tab working directories using option ‘Auto save/restore opened tabs’. Read more about ShellWorkDir.
[*] Issue 1643: gh#10: Try do not change ‘modified’ timestamp in xml if nothing was changed (Auto save window size and position on exit).


2014.08.19
[*] Issue 1666: Fix black squares in RDP sessions (non true-color display modes actually).
[*] Issue 1688: Crash while updating Task bar jump list (6307574 regression).
[*] Add ‘Remote session’ and ‘ScreenDC BITSPIXEL’ detection to Log.


2014.08.18
[*] New status bar columns are available: Zoom and DPI. Zoom is clickable.
[*] Let statusbar columns Focus/Foreground show process information.
[*] Ctrl+WheelClick reset font size to 100, same as GuiMacro Zoom(100).
[*] Make all ConEmu's dialogs per-monitor dpi aware.
[*] Fix console recreation and termination.
    If user cancel the UAC dialog during console [re]creation
    ConEmu fails to close the window by cross-click.
[*] Implement ‘%CD%’ maintaining in the RCon.
    * Automatic detection of ‘%CD%’ in "cmd.exe" or "tcc.exe";
    * Ability to inform ConEmu GUI about shell ‘CD’ using
      ANSI (\e]9;9;"CD"\e\\) or "ConEmuC -StoreCWD [dir]";
    * Display *CD* in the tab title using ‘%d’ tab template;
    * Reuse *CD* in the Restart and Create new console dialogs;
    * At last you may use "*%CD%*" variable with Shell macro function
      in the `Dir` parameter. Example, start new 'cmd' session:
      Shell("", "cmd", "", "%CD%")
[*] Issue 1680: Use ‘%CD%’ within hyperlink detector, warn if file not found.


2014.08.15
[*] Issue 1660: Support "/NoSingle", "/Quake", "/NoQuake" switches in Task parameters.
    They used while starting new Task from existing ConEmu instance.
[*] Quake window can't be hidden by taskbar button click.
[*] Some internal changes.


2014.08.14
[*] Issue 1672: Attach to a console window clears its window title.
[*] DefTerm. Use switch "/ROOTEXE" internally to let ConEmuC know the name of root executable.
[*] More tab switch fixed for Far Manager 4040 (‘Desktop’ is now has ‘0’ index).
[*] New status column for debugging purposes - ‘Keyboard hooks’.
[*] Advanced logging of monitor dpi.
[*] Wrong values was written to log in ‘Loaded pos’.


2014.08.12
[%] Issue 1669: Internal tab switching was broken from Far 4040.
[%] Issue 1670: Powershell + PSReadLine makes progress get stuck.


2014.08.11
[*] Issue 1667: Drag&Drop was broken from Far 4040.
[*] Issue 1666: Windows XP: Black squares on the toolbar (3fb706a regression)
[*] Issue 1334: New buffer scrolling hotkeys.
    * by half-screen - Apps+PgUp/PgDn
    * to the top/bottom - Apps+Home/End
    * to the cursor row - Apps+Backspace
[+] GuiMacro: Scroll(<Type>,<Direction>,<Count=1>)
    Do buffer scrolling actions
       Type: 0; Value: ‘-1’=Up, ‘+1’=Down
       Type: 1; Value: ‘-1’=PgUp, ‘+1’=PgDown
       Type: 2; Value: ‘-1’=HalfPgUp, ‘+1’=HalfPgDown
       Type: 3; Value: ‘-1’=Top, ‘+1’=Bottom
       Type: 4; No arguments; Go to cursor line

2014.08.10
[!] With courtesy of Certum, ConEmu's binaries now are signed as ‘Open Source Developer, ConEmu-Maximus5’.
[!] Per-monitor dpi awareness implemented (Windows 8.1).
    The checkbox ‘Admit monitor dpi with font size’ is turned on by default.
    It will affect the height of Tabs, Status and Main console fonts.
[!] Ability to ‘Treat font height as device units’ implemented.
    The checkbox is turned OFF by default for existing configs,
    but it is turned ON by default for new configs and after config reset.
[*] Releases builded via VisualStudio projects was not dpi-aware.
[*] Issue 1653: In some rare cases ConEmu.exe was locking shell working directory.
[*] New ConEmu.exe switches: -quake, -quakeauto (autohide on focus lose) and -noquake.
[*] Checkbox ‘New window’ was ignored if dialog was started from tasks menu with Shift+Click.
[*] Ensure that console started in the ‘New window’ will not be Quake-moded.
[*] Ctrl+Wheel changes the zoom value but not a font height from the ‘Main’ settings page.


2014.07.23
[%] Issue 1608: DefTerm. /config parameter registered for startup was cleared after OS restart.
[*] DefTerm. Started debugging session of Win32 app from VS was ignored DefTerm options.
[*] DefTerm. Support flickerless start of Win32 console app debugging session (same bitness as devenv).
[*] Make Win+S hotkey for ‘Duplicate root’ by default.
[*] Ensure cascaded window will not pass outside of monitor working area.
[*] Allow ‘Duplicate root’ even if injects were disabled.
[*] Do not leave ‘hunging’ tab if duplicating was failed.
[%] Tab title was not changed sometimes during command execution from Far panels.
[*] Due to many reports crashdump message was changed (aka MicrosoftBugs, ConEmuHk).
[*] Immediate reaction on "ConEmuFakeDT" changing in batch files (7a8e61f regression).
[*] Issue 1379: Use ‘Appearance -> Animation’ in ‘normal’ mode too.
[*] Many internal changes.


2014.07.07
[+] Show SystemMenu button on the toolbar (RClick opens Settings dialog).
[%] Issue 1125: ‘Run as’ was hooked in DefTerm if ConEmu window is already opened only.
[%] Issue 1628: Detach/Re-Attach was failed.
[+] Option to disable console detach confirmation.
[*] Fix [App Path] search sequence (‘far’ was not started from ConEmu folder).
[%] Error was occured while starting admin console (32779f4 regression).
[*] Internal changes.


2014.07.03
[*] Support tabs dragging (reordering).
[*] Highlight&Goto: Issue 1624: Don't warn after starting external editor successfully.
[*] Highlight&Goto: External editor may fails if located in system32 while ConEmu is 32bit on 64bit OS.
[*] Highlight&Goto: Start editor after LButtonUp.
[*] Highlight&Goto: Ensure started external editor get focus.
[*] New settings page ‘Confirm’, some confirmation options moved here.
[*] New setting ‘Confirm tab duplicating (Duplicate root menu item)’ on ‘Confirm’ page.


2014.07.01
[*] Wrong deinitialization ConEmuHk sequence may cause crash on application exit.
[*] HTML format copy: Eliminate line spacing and try to match font height.
[*] Stack overflow may occurs sometimes on ConEmu dialog popup.
[*] New switch: ConEmuC /IsAdmin - returns 1 as errorlevel if current user has elevated privileges, 2 if not.
[*] Issue 1626: Fix focus restore with some ChildGui on ConEmu window activation.
[*] Issue 1617: Fix performance drawback on GetSystemTime.


2014.06.28
[*] Fix attaching (Win+G from ConEmu) of *.vshost.exe console.
[*] GuiMacro. PasteFile able to skip lines started with "<CommentMark>" prefix.
    PasteFile(<Cmd>[,"<File>"[,"<CommentMark>"]])
[*] Issue 1620: Support PuTTY's duplicate session in ‘Duplicate root’ function.
[*] GitShowBranch.cmd: drop remote name from branch name (drop tail after first ‘.’).
[*] When reopening About dialog, show last selected section.
[*] Search in about dialog was on first page with found text.
[*] Update confirmation dialogs was not visible if ConEmu was ‘Always on top’.
[*] Do not hook ‘ssh-agent.exe’, console-outside process was blocking updating of ConEmuHk.dll.
[*] Move process creation to separate thread (ConEmu.exe).
[*] Added ‘Tomorrow’ color schemes (by Michael Mims).
[*] Support ‘Script.ps1:35 char:23’ error format. However, column is ignored as yet.
[*] Status ‘Console server started...’ sometimes was not cleared on startup.
[*] DefTerm. Feature was rewritten almost from scratch.
    * For accessibility reasons DefTerm settings are mirrored in registry [HKCU\Software\ConEmu].
      That means, for example, user may change ‘DefTerm-Enabled’ value to 0 to disable feature
      any time, even if ConEmu is not running at the moment.
    * Save to registry only from Settings window (DefTerm page clicks) or ConEmu startup (if DefTerm is enabled).
    * Update status bar during DefTerm installation.
    * It is possible to hook processes by their window class name.
    * New ‘Agressive’ mode of DefTerm hooking.
      Sample usecase:
      The `explorer.exe` was hooked (for example with ‘Register on OS startup’ option),
      when you start new `devenv.exe`, started process will be hooked from `explorer.exe`,
      even if you have not have ConEmu loaded at the moment of `devenv.exe` start.
    * Allow windowless ‘Register on OS startup’.
    * Server startup fails sometimes if console window was hidden.
    * Seamless startup from VC# debugger, no RealConsole flickering.
    * Many internal changes.


2014.06.15
[*] GuiMacro. Keys("Enter"), Keys("Tab"), Keys("Backspace") was not working.
[*] GuiMacro. Support alternative notation, e.g. Keys("{Enter}").
[*] Issue 1125: cmd.exe in administrator mode was not autoattached to ConEmu (Ctrl+Shift+Enter from start menu)
[*] Force working directory to %UserProfile% if ConEmu.exe was started from %WinDir%, %WinDir%\system32 or %ConEmuDir%.
    If you really need to use these working directories - force them with '/dir' switch:
    ConEmu.exe /dir C:\Windows\System32 /cmd PowerShell.exe
[*] Do not run spare 'cmd.exe' when running ""cmd"" ('cmd' from Windows start menu).
[*] Issue 1598: Let Ctrl+Shift+[F|D] start from current console startup directory (current directory in future).
[*] Issue 1564: Add tasks to history too.
[*] Issue 1615: Op 'New console' fails when used startup task.


2014.06.12
[*] VC14 solution files.
[*] GuiMacro. Two new options in `Copy(<What>[,<Format>[,"<File>"]])` function.
    * What==2: copy visible area contents.
    * File: if specified, save to file instead of clipboard.
[*] GuiMacro: New function `PasteFile(<Cmd>[,"<File>"])`, for pasting <File> contents.
    Paste <File> contents, omit <File> to show selection dialog
    Cmd==0: paste all lines
    Cmd==1: paste first line
    Cmd==2: paste all lines, without confirmations
    Cmd==3: paste first line, without confirmations
    Cmd==9: paste all lines space-separated
    Cmd==10: paste all lines space-separated, without confirmations
[*] Add search ability to the About dialog.
    Do not autoselect text in the About dialog (on Tab press).
[*] New design of search control in the Settings dialog.
    Add ability to search within hotkeys in the Settings dialog.
    Display found-hint in place of listbox/listview item.
    Add ‘(Quake-style hotkey also)’ to ‘Minimize/Restore’ hotkey description.
[*] DefTerm. Unchecked option ‘Use existing ConEmu window if available’ was ignored in C# VS debugger.
[*] DefTerm. Fix external console attach (Win+G) from ConEmu window.
[*] DefTerm. Hook ‘Command prompt (Administrator)’ too.
[*] Admin sign was not shown after auto-attach of external console.
[*] Show version state in the About dialog (stable/preview/alpha/obsolete).
[*] Do not show ‘Starting attach autorun’ for default terminal consoles (cmd as Admin).
[*] Speed up xml load/save.
[*] Issue 1611: GuiMacro. Optional <IsRelative> argument in SetOption function.
    Set IsRelative=1 to use relative instead of absolute for some options,
    for example, SetOption("bgImageDarker",-10,1) to make background darker.


2014.06.02
[*] Issue1598: When reopening Settings dialog, show last selected section.
[*] Allow prefix '^' in Far macros (through ConEmu) do not send keys to plugins (KMFLAGS_NOSENDKEYSTOPLUGINS).
[*] Opening compiler error (hyperlink) in Far editor fails if active plugin panel was processing ShiftF4 itself.
[*] Some new features in ‘Ctrl+LClick’ on compiler error (Highlight and goto)
    * Use dropdown for external editor (Ctrl+LClick on compiler errors).
    * New macro ‘%4’ and ‘%5’ for ‘slashed’ paths, so the full macro list is:
      ‘%1’ - line number, ‘%2’ - column number, ‘%3’ - C:\\Path\\File, ‘%4’ - C:/Path/File, ‘%5’ - /C/Path/File
    * New predefined (available in list) editor command lines for Vim, SciTE, Notepad++ and Sublime.
    * Prefix ‘#’ means ‘run editor outside of ConEmu tab’.
    * Check registry for ‘App Paths’ when no path was specified for editor executable.
    * Force run specified external editor instead of open file in the existing Far instance.
[*] GitHub#13: Was unable to save 'Highlight and goto' modifier.
[*] Issue1596: Rust-compiled apps were crashed in ConEmu.
[*] Use ‘PATH’ defined in the ‘App Paths’ registry key if running application without full path.
[*] Internal. Do not turn on session.SetSessionNotification on startup.


2014.05.29
[*] Hide tab error tooltip after receiving tabs from Far plugin.
[*] Active tab was not changed if Far window was switched from ConEmu plugin (F12 macro).


2014.05.28
[*] Issue 1588: Crash when setting ‘Settings > Main > Cell = -1’.
[*] Show Far editors/viewers tabs from all panes, but not active VCon only.
[*] Issue 1594: Do not expect space after ‘file.ext:line:’ in hyperlink detector.
[*] Update Far panel tab title immediately after pressing Ctrl-F10 in editor.
[*] Do not add trailing space while pasting with RBtnClick.


2014.05.23
[%] Do not push ‘background’ tabs on top of recent stack during task creation.
[%] Do not block tab activation (VCon actually) if VCon has the only tab or that tab already active.
[%] Issue 1582: Ctrl+Tab was broken if Tab bar is not visible (NewTabs regression).
[%] NewTabs: Fix empty tab title in some cases (VConMenu, etc.)
[%] Fix wrong behavior of right clicks on tool bar buttons


2014.05.22
[%] Some fixes related to new tabs internals.
[%] Issue 1583: Fix ConEmu.Editor.lua bug.
[%] Wrong startup directory used when starting at the drive root.
[+] Allow rename any Far tab, not only panels.
[+] Two new switches (commands actually) in ConEmuC: "-e" and "-t".
    ConEmuC -e [-n] [-r] [-b] "string" for printing some string
    ConEmuC -t [-r] [-b] "file" for printing some text file
    Read more in wiki: http://conemu.github.io/en/ConEmuC.html#EchoAndType
[*] Force "CHERE_INVOKING" in default tasks for cygwin.


2014.05.19
[!] Refactoring of Server startup.
[!] Refactoring of Tabs-related internal code.
[%] Typo: overrided -> overriden.
[+] Debug. Switches in ConEmuC: /Args, /CheckUnicode, /ErrorLevel, /Result.
[+] New environment variable ConEmuServerPID set during server init.
[%] Issue 1505: Fix attach of several ChildGui at the same time.
[+] Issue 1214: Support overtab clicks for activate/close/menu
[%] Fix panel tab title blinking during edit/view opening.
[%] Issue 436: Do not lose recent tab (editor/viewer) history after cmd execution from Far.


2014.05.05
[!] Limited logging of console contents.
    Option ‘Inject ConEmuHk’ must be enabled to get that feature!
    Only ‘Standard output’ will be logged (the same activity as processed
    with ‘ANSI X3.64’ processor). So, certain Windows console API functions
    will not be logged (Far Manager panels, for example).
    You may choose folder for storing log-files, default is "%ConEmuDir%\Logs\".
    Note! Default folder may be write-protected, if you've installed
    ConEmu to "Program Files". So, you may need to choose write-enabled
    folder.
    Each console will share its own log-file, example: "ConEmu-YYYY-MM-DD-pPID.log".
    So, if several processes will write to console output simultaneously,
    you may get unpredictable result in your log-file.
    By default, logging is disabled.
[%] ANSI. Fix ‘no-color’ on new line.
[%] ANSI. Fix ‘bad color cell’ on EOL.
[*] ANSI. Do not break "\r\n" in two physical writes.


2014.04.29
[%] Issue 1557: Switch -new_console:u:"other_user:password" may lock the account of other_user (another way).
    Also, bad behavior of "-cur_console" reverted (15cff21 regression)
[*] Some internal changes.


2014.04.28
[%] Shield was not set on ‘Restart’ button in ‘Recreate’ dialog.
[%] github#5: Console was not started as admin when ‘Create new console’ dialog was skipped.
[*] Don't hide row/col highlight on focus loose.
[%] Issue 1557: Switch -new_console:u:"other_user:password" may lock the account of other_user.
    In some cases starting new console without directly specified
    working directory (with -cur_console:d:... for example) may lock
    other_user account with reason ‘Bad password count exceeded’.
[*] Issue 1516: ConEmu fails to duplicate root when cmd.exe was catched as ‘Default terminal’.


2014.04.22
[+] GuiMacro. Sleep(Milliseconds).
    Because it is processed inside GUI process, Milliseconds are limited to 10000 (10 sec) max.
[+] GuiMacro. Break() for Ctrl+C and Break(1) for Ctrl+Break.
    However, these function may fails in some cases (in RealConsole for example).
    Also, they are processed by Windows asynchronously, so you may need
    to Sleep(ms) after them if your want to print("something") to console after.
[%] Clipboard use optimization - RClick Paste may fails sometimes.
[%] Fix hyperlinks underlining errors (c31f3cb regression).


2014.04.16
[*] Don't use hooks inside shell started from mintty (6b514d0 regression).
[*] Issue 1553: Mouse button actions modifier was not saved (vkCTSVkAct).
[*] Issue 1556: Ctrl+L not working in cygwin.


2014.04.14
[%] Issue 1544: Cygwin ssh forking fails.


2014.04.12
[*] Issue 1532: Show only critical status messages in the top-left terminal corner.
[*] Issue 1534: Use About() and Settings() GuiMacro for system hotkeys (Win+Alt+A, Win+Alt+P, Win+Alt+K)
    System hotkeys are fixed by design. But user can use GuiMacro
    to open About or Settings dialogs. Moreover, if you need to open
    dialogs with special page activated (if you need some page often).
[*] Add ConEmuEnvironment#Export_variables link to About dialog (Console tab).
[*] Issue 1546: Mark/copy with mouse appears very slow in some cases.


2014.04.04
[*] Show 1-based console coordinates in the status bar (was 0-based).
[*] Don't show size of the console visible rect by default in the status bar.
[*] Win8. Failed to set console width less than 19 after Ctrl+Shift+O (in progress).


2014.04.03
[%] Issue 1527: Regression 140327. PowerShell was not hooked.
[%] Issue 1528: Infinite mouse messages ChildGui<-->ConEmu in some cases.
[*] Settings Main page redesigned.
[*] Change clink homepage url, update ConEmu\clink\Readme.txt.
[*] Remove possible deadlock after closing AltServer.
[*] Some internal changes.


2014.03.27
[!] Console. Increase max buffer height to 32766 lines.
[*] Issue1504. Parenthesis issue in csudo.cmd.
[*] Ensure Cmd_Autorun.cmd always returns errorlevel==0.
[*] Quotation marks changes in Cmd_Autorun.cmd (possible parenthesis issues?)
[*] Use LdrDllNotification (Win8+). Will set up hooks before DllMain called (LoadLibrary).
[*] Ctrl+O Far macro was failed in some cases - Shell("new_console:b").
[*] Issue1509. Arg parsing failed for '/dir "C:\" /single' (01ed281 regression).
[*] Allow string arguments of -new_console to be resetted.
    For example, you are running task with '/icon nice.ico' in Task parameters.
    You may reset it in task commands if you are running several tabs at once:
      cmd -new_console:C:
      powershell -new_console:C:twice.ico
[*] Hook mouse_event and SendInput API.
[*] Allow '/icon' task parameter to change tab icon too.
[*] Restrict '/icon' task parameter to change already started instance window icon.
[*] New ConEmu.exe switch '/FontDir YourDir' allows to register fonts from several specified folders
[*] Issue1258. Ctrl+BackSpace delete words to the left including spaces.
    Actually, not only spaces are taken to account: >])}$.,/\"
[*] About dialog '-new_console' fixes.
[*] No need to unset hooks if our process is to be force killed by TerminateProcess (minor speed up).
[*] Issue1512. Warn on invalid prefix-switch in task command.
    Valid switches currently are
      /bufferheight <lines>
      /dir <workingdir>
      /icon <tabicon>
      /tab <tabtitle>
[*] Warn on invalid switches in task parameters.
    Valid switches currently are
      /dir <WorkingDir>
      /icon <ConEmuOrTabIcon>
      /single
[*] RClick on Close button - minimize to TSA again (02bf905 regression).
[*] Don't hook LoadLibraryW if possible
    Till now LoadLibrary will be hooked in:
      a) Windows2k, WindowsXP - all processes
      b) Far Manager (far.exe, far32.exe, far64.exe)
[*] Vim xterm arrow key lags happen sometimes.
    When Vim was switched to xterm mode, ConEmu sends corresponding
    xterm ESC-sequences instead of simple VK_xxx keypresses.
    Sometimes Vim don't catch whole sequence before any other event
    occures. For example, you press Right arrow and Vim does nothing
    before you just move mouse over console.
[*] Issue1511. Url was not detected after 'port': http://example:8080/TestTest/test?test=test
[*] Issue1516. Duplicate root failed for consoles started from TaskMgr via Default terminal feature.
[*] Consider console is to be started hidden if start X/Y==32767 (Hooks).
[*] Tooltip msg fix.
[*] Quake settings. Name 'Cascade' as 'Centered', enable 'Apply' on change.
[*] New option 'Retard inactive panes' on Features page.
    There is already 'Sleep in background' option which retard ConEmu window and
    its tabs when ConEmu is minimized/inactive.
    New option 'Retard inactive panes', disabled by default, retard inactive
    but visible split-panes in the active ConEmu window.
[*] Issue1518. Remove delay before being able interact with quake style console after slide-down.
[*] Wheel was not working while ConEmu's internal text selecting in Far.
[*] Issue823. Out of screen (upper border) selected text was not copied to clipboard.
[*] Fix wrong hotkey for menu item 'Close except active'.
[*] Issue1100. Don't show our scrollbar while GuiChild is visible.
[*] Allow RealConsole scrolling while GuiChild is hidden.
[*] Fix position of ChildGui (cut more pixels of the child frame).
[*] Fix position of ChildGui (chrome.exe, firefox.exe).
[*] ChildGui. Some applications can 'disable' Maximize button but they are still 'resizeable'.
[*] Issue1282. PortableApps. Seamless run of paf-applications, console like tcc.exe or GUI like KiTTY.
[*] Tab icon was not initialized properly if executable file was not in %PATH%.
[*] Many internal changes


2014.03.10
[+] Issue 1498: Prettify update confirmation dialogs.
[*] Indeterminated taskbar status during update confirmation.
[%] ConEmu's debugger was failed to start on elevated consoles.
[%] Internet errors was not displayed sometimes during update.
[%] Workaround for ssh crash when third-party thread terminated before ssh init finished.
[+] Issue 1502: GuiMacro new window transparency functions.
    SetOption AlphaValue <40..255>
        same as Transparency 0 <40..255>
    SetOption AlphaValueInactive <0..255>
        same as Transparency 2 <0..255>
    SetOption AlphaValueSeparate <0..1>
        same as Transparency 4 <0..1>
	Also, new mode in Transparency for inactive value relative change
	    Transparency 3 <-255..+255>
[*] Show actual (active/inactive) transparency value in status bar.
[%] Issue 1042: Quake, return focus to window which was active before showing ConEmu.


2014.03.04
[%] Issue 1490: Fix crash on ANSI scrolling sequences.
[%] Issue 1491: Don't erase customized directories when updating ConEmu PortableApps.
[%] Overflow of internally registered windows messages.
[*] AnsiDbg. Send predefined *.ans files to srv by Ctrl+1/2/3.
[*] Overwrite file confirmation in SaveAs dialog
[*] ‘Import...’ button in the Settings dialog.
    Note! Export AND Import settings (xml files) now works with
    unnamed (.Vanilla) configuration to unify settings exchange.


2014.03.02
[%] Regression 131211. (Issue 158) ConEmu PanelView was not updated after panel change.
[+] Internal. AnsiDebugger added to src folder.
[%] Regression 140227. "-GuiMacro:0" was executed in the first tab but not an active one.
[%] GUI child application fails to start inside ConEmu if ‘tab’ startup command
    begins with "set", "chcp", "title" (processed by ConEmuC before starting shell).
    Than, following GUI executable was started outside of ConEmu window.
[*] More logging of Mouse Wheel events
[%] Wheel over inactive mintty pane unexpectedly scrolls active pane below too.


2014.02.27
[*] Don't unlock working directory until ConEmu initialization finished.
    So, behavior of "-loadcfgfile" and "-savecfgfile" changed. If you
    specify xml file without path, if will be searched in the working
    (ConEmu.exe startup) directory, but not in the ConEmu.exe folder.
[%] In some cases Tab labels was not updated with console titles.
[*] Switch "-NoCloseConfirm" described in the About dialog.
[*] Don't highlight row/col during any popup menus (system, tab, etc.)
[%] Issue 1444: Put focus to left/right/top/bottom split was not worked as expected.
[%] Result of "ConEmuC.exe -GuiMacro:0" was not printed to StdOut.
[*] Don't try to export "ConEmuMacroResult" when "ConEmuC.exe -GuiMacro:0" was called.
[%] Fix "ConEmuC.exe -GuiMacro:PID|HWND" to exec macro in the exact instance or tab/split.
[*] Colorization test in "ConEmuC.exe /CHECKUNICODE".
[%] Wrong startup directory was displayed in console if startup command fails.
[*] Some internal changes.


2014.02.25
[*] Log Lock/Unlock/Logoff events.
[*] GuiMacro. Keys("Combo1"[,"Combo2"[,...]])
    Combo syntax is mostly similar to AutoHotKey syntax: [Mod1[Mod2[Mod3]]]Key
    Where ‘Mod’ may be: ^ - LCtrl, >^ - RCtrl, ! - LAlt, >! - RAlt, + - Shift.
    For example, if you want to ‘Ctrl+/’ post ‘Ctrl+_’ - use macro: Keys("^_").
[*] Support "\b", "\xFF" and "\xFFFF" in GuiMacro strings.
    Hexadecimal parser stops on first NON hexadecimal character. So, avoid ambiguous
    strings like "\x05five", this will be parsed as two strings "\x05f" and "ive"
[*] Support more that one string argument in Paste and Print GuiMacro functions
    Paste (<Cmd>[,"<Text>"[,"<Text2>"[...]]])
    Print("<Text>"[,"<Text2>"[...]])
    All strings will be concatenated before pasting into console.
    Example: print("123","\x1F","abc","def")
[*] Command line switch "ConEmu.exe /NoCloseConfirm" to disable confirmation of ConEmu's window closing.
[%] Issue 1488: Ctrl+Shift+O fails in ‘Cmd_Autorun’ consoles.


2014.02.23
[%] Hook abnormal termination of child processes (cygwin, mintty, vim, etc.)
[%] Issue 713: Far. After ConsoleDetach, 1st console does not work correctly.


2014.02.20
[*] Issue 1477: Fix Far panels detection (No column titles and No sort letter).
[*] Many changes within "-new_console" and "-cur_console" switches processor.
    * Allow multiple quoted switches in one -new_console:d:"C:\My folder":t:"My title"
    * Simple switches may be separated too: -new_console:c:b:a
    * Issue 1354: Switches will not be processed AFTER ConEmu's executables, read more in [NewConsole#Exclusions wiki]
    * Internal refactoring (allow ‘concatenate’ or ‘apply’ them correctly) and unit tests.
[*] Issue 1478: Allow !ChildGui activation with LClick.
[*] Some internal changes.


2014.02.16
[%] Fix crash after resizing ConEmu window in some cases.


2014.02.14
[*] RClick on Max caption button - Fullscreen switch.
[*] Restore default split mouse hover activation timeout to 500ms.
[%] Pressing Alt+F4 enexpectedly close all ConEmu's tabs instead of active (PuTTY) only
[*] Support "title" directive in Tasks and cmdline.
	Note! "title" is useless with most of shells like cmd, powershell or Far!
	You need to change title within your shell!
	  cmd /k title Your title
	  powershell -noexit -command "$host.UI.RawUI.WindowTitle='Your title'"
[*] Add ‘Tasks’ page to the ‘About’ dialog.
[*] Fix caption icon in the close confirmation TaskDialogIndirect.
[*] Force show icon in the TSA if taskbar icon is hidden (‘Desktop’ and ‘Quake’ modes).
[*] Fix ‘Intelligent selection’ conditions
    * Don't use in Far Manager viewers
    * Use in ‘Terminated’ console state
[*] Optional ‘Use existing ConEmu window’ with Default terminal feature.
    * New checkbox on the ‘Default term’ Settings page
    * Optional switch "-new_console:N"
[*] Far. Sometimes scrolling (buffer) was not removed after command finished.
[*] Optimize loading Far plugin (ConEmu.dll). Occasionally assertion box was appeared.
    ---------------------------
    ConEmuC: CheckResources started
    ---------------------------
    ConEmu ?????? [??].??: CreateFile(\\.\pipe\ConEmuPlugin????) failed, code=0x00000002, Timeout
[*] Some internal changes.


2014.02.05
[%] Was not working: "set ConEmuFakeDT=2013-11-30".
[*] New status line cursor info format: ‘(col,row) height [V|H]’.
[*] Show one info col instead of three cursor columns (by default).
[*] Issue 1431: Auto disable ‘Desktop’ mode when enabling ‘Quake’ mode.
[%] Long console output may fails in Windows 8 (Far Manager).
[*] Use static link of user32 in ConEmuHk.
[%] After "cmd -new_console" from "far /w" prompt, buffer was disabled unexpectedly.
[*] Issue 1464: Takes care of system ‘Active window tracking’ on 3rd-state of ‘Activate split on mouse over’.
[%] Issue 1165: Scrolling console buffer with mouse wheel in Far only works when mouse is over scroll bar.


2014.02.03
[*] Vim fails to react for window size change in the xterm terminal mode.


2014.02.02
[+] New ‘Intelligent selection’ mode.
    Now, you may start both block or text selection with mouse without modifier pressed.
    Type of selection will be determined by the direction of LButton mouse drag,
    when you start drag vertically - block selection, horizontally - text selection.
    If you set up and press selection modifier - mouse selection will start even
    if ‘Intelligent selection’ is disabled with exceptions.
    New mode may be disabled ‘totally’ or for specified processes only.
    For example, Vim knows about text selection and can process mouse internally,
    and Far Manager can use mouse for dragging files or text selection in Editors.
    When "far" specified in the exceptions without extension, you can use new mode
    in the ‘User screen’ (panels are off) and in Viewers.
[*] So, ‘Mark/Copy’ settings page redesigned
[*] GuiMacro. Paste(9), Paste(10) - One-line paste with or without confirmation.
[*] ‘Change prompt position with LClick’ works on left button release.
[*] Some internal changes.


2014.01.28
[+] New pasting mode ‘One line’ (useful with "git status" & "git add").
    When ‘Right mouse button action’ is set to ‘Auto’ you may press it during
    selection (when Left mouse button is still pressed) to paste all copies
    lines as a ONE space-delimited line.
[%] Issue 1416: ReAttach after Detach fails for non-console applications
[*] One more icon fix in MessageBox dialogs


2014.01.27
[+] AnsiColors24bit.ps1 - example how to print with 24bit color with PowerShell script.
[+] Support cppcheck erors in hyperlink detector.
[+] Issue 992: Support ‘file:///c:\...’ hyperlinks.
[%] Issue 1053: Disable hyperlinks detector on Far panels.
[%] Settings. Mouse button action fails to be changed.
[+] Allow ‘-’style switches in task params
[+] Hints in ‘Settings\Tasks’ and ‘Settings\Integration’.
[*] Small redesign of ‘Settings\Tasks’.
[%] Fix icon in some dialogs captions.
[%] Don't update xml if <CmdLineHistory> was not changed actually.
[*] Some internal changes.


2014.01.24
[*] Checkbox 'New window' in create dialog was ignored in 'Single instance mode'.
[*] Wrong error message was displayed if empty passwords are disabled in system policy.
[*] Use 'Fade when inactive' option for inactive splits.
[*] Ansi xterm 24-bit fails for RED=0..15.


2014.01.23
[*] Don't turn on ‘Quick edit mode’ in real console by default.
[*] Underline hyperlinks internally (don't use fontmapper).
[*] Some internal changes.


2014.01.22
[*] SetOption(AlwaysOnTop) described in the About dialog.
[%] Issue 1336: Vim, xterm256 drawing issues (T,S,K,J,L,M CSI commands).
[%] Don't try to export environment to ServerPID==0.
[+] Issue 823: Autoscroll console while select text with mouse.
[%] Some fixes in GitShowBranch.cmd.
[%] Console progress detector stucks sometimes.
[!] Issue 1441: Don't enable (ENABLE_QUICK_EDIT_MODE|ENABLE_INSERT_MODE) by default in new configs.
[*] Some internal changes.


2014.01.17
[*] New option ‘Show progress indicator’ on ‘Task bar’ page.
[*] GuiMacro. Some function must be executed in main thread.
[%] Issue 1434: GuiMacro ‘Status(1,"TEST")’ toggles statusbar.
[*] GuiMacro. Allow one-word string arguments with no quotas (powershell-style).
[*] GuiMacro. ‘Flash’ function allows to flash taskbar icon and/or window caption.
    Flash(0)
      - Stop all flashing
    Flash(0,1)
      - Simple flashing (see MSDN FlashWindow)
    Flash(1,<Flags>,<Count>)
      - Special flashing (see MSDN FlashWindowEx)
        Flags: 0 - stop, 1 - caption, 2 - taskbar, 3 - caption+taskbar, etc.
        Count: the number of times to flash the window
[%] Fix. ANSI. Wrong behavior of 'ESC [ n L' (VIM & xterm256)


2014.01.16
[*] Also show ANSI color indexes on ‘Colors’ settings page.
[*] Donate/flattr buttons in the ‘About’ dialog.
[*] Some more logging information to LogFiles.
[+] Issue 1430: Progress indicator for aria2 downloader (thecybershadow).
[*] Tab Admin shield/suffix. Separate settings, Shield was not be able to disabled.
[*] Tab templates. Avoid adding sequential spaces (e.g. if some vars was empty).
[*] New tab template var: ‘%a’ - admin suffix.
    1. Admin suffix must be enabled on ‘Tabs’ settings page;
    2. If ‘%a’ was not specified explicitly, suffix appended at the end;
    3. If you don't need suffix in tab at all - clear ‘suffix’ edit box.
[*] Apply ‘Skip words from title’ to admin console titles, but not tabs only.
[*] Some internal changes.


2014.01.14a
[%] Fix autoupdate msg box info.


2014.01.14
[%] Color artifacts in some cases after changing palette on-the-fly (cmd.exe).
[%] Fix. ANSI. Wrong behavior of 'ESC [ n M' (VIM & xterm256).
[*] GuiMacro. Add 'Palette' description to About dialog.
[*] Some code refactoring.


2014.01.13
[%] Quake contents was not painted during animation (Revert 4d4fec3f35).
[%] GuiMacro. Regression. Remove lags during Far F4 shell macro.
[*] ConEmu.Editor.* - F4 in panels. Execute in QSearch too.
[*] Issue 1214: MClick & RClick above tabs in fullscreen mode.
[*] Protect code from infinite close confirmations.


2014.01.12a
[*] Just for testing autoupdate from SourceForge.


2014.01.12
[*] Allow change of active VCon palette on the fly from Tab menu.
[*] GuiMacro. Palette function to change or get palette name
    Palette([<Cmd>[,"<NewPalette>"]]) or Palette([<Cmd>[,<PaletteIndex>]])
      Cmd=0 - return palette from ConEmu settings
      Cmd=1 - change palette in ConEmu settings, returns prev palette
      Cmd=2 - return palette from current console
      Cmd=3 - change palette in current console, returns prev palette
[*] Updater. Don't try to extract filename from URL, use predefined format.
[*] Shutdown server logging fixes.
[*] Issue 1396: ConEmu was not closed if console was terminated too fast.
[*] Remove warnings on GetVersionEx and other internal code changes.
[*] Memory leak in macro execution.
[*] GuiMacro. Parser refactoring, new syntax allowed.
    * Arguments may be delimited with spaces
    * Several macros in one cmdline may be delimited with "-GuiMacro"
    Usage example:
    ConEmuC.exe -GuiMacro palette 1 "<Solarized>" -guimacro WindowMaximize
[*] ConEmuC. Add linefeed after GuiMacro output if ConEmuC is not redirected.
[*] ConEmuC. Don't write terminating '\0' to redirected output.
[*] Show all (stable/preview/devel) versions when "Check for updates" called
    and no newer version was detected.
[*] Issue 1424: Show time in status bar (optional).
[*] Ready to new version.ini location. New (debug) switch -SetUpdateSrc <URL>.


2014.01.09
[%] Palette was failed to be set properly for elevated consoles.
[%] Elevated console was hidden even if "ConEmu /visible" was called.
[+] Allow '-'style arguments in ConEmu.exe cmd line.
[*] Default terminal. Remove real console flickering when starting console app from explorer.
[*] Issue 1340: Alternatively attached console was closed by Ctrl+C.
[*] Macro `Shell("new_console:a")` allowed.
[%] Update/fix 'RunAsAdmin' state on tab after attach.
[%] Crash if user cancelled console creation in some cases.
[%] Memory leak if user cancelled console creation in some cases.
[%] Excess logon dialog when running "cmd -new_console:u:<name>:".
[*] Win v6.1: conhost PID detection improved.
[*] Some internal changes.


2014.01.06
[%] Default terminal fixes.
[*] Don't show excess paths and quotes in title.
[%] Small memory leak while restaring tab on Win7.
[%] Don't force ConEmuC64 as root server when using "set" before command.
[+] Support "chcp ansi|oem|utf-8|<CodePageNumber>" internally by ConEmuC.
[+] Support '-'style arguments in ConEmuC.
[%] Issue 1421: PowerShell coloursed prompt displayed incorrectly.
[+] Downloader. New internal commands, default to async, and new switches:
    -otimeout <ms> - Our wait for async operation timeout
    -timeout <ms>  - WinInet data receive timeout
    -async Y|N     - Turn On/Off asynchronous mode.


2014.01.04
[+] All internet code (Updater) moved to ConEmuCD.dll.
    Side effect - you may download from http/https/ftp without any external tools.
    ConEmuC /download [-login <name> -password <pwd>]
      [-proxy <address:port> [-proxylogin <name> -proxypassword <pwd>]]
      "full_url_to_file" "local_path_name"
[%] Fix DirectoryExist for symlinks.
[+] Allow to choose another shell or directory if console startup failed.
    For example, if your saved named task was created for some directory,
    which was deleted at some moment. ConEmu will suggest to show standard
    'Create new console' dialog where user can change command and directory.
[+] ConEmu will check directory existence before creating new tab.
    If you type wrong startup directory for new process
    in the 'Create new console' dialog, ConEmu will check it,
    show warning and allows to change it to smth better.
[+] Issue 1410: Fix unexpected SetCurrentConsoleFontEx from PowerShell.
[%] Issue 1415: Some console output of ConEmuC was not able to redirecting.
[+] More information in "ConEmuC /?".
[+] Allow "ConEmuC /AUTOATTACH /GHWND=0x???" - attach to exact ConEmu instance.


2013.12.25
[!] Issue 1406: Sources was converted to utf-8 (mostly by Rick Sladkey).
[%] GCC makefiles and source fixes.
[%] DllMain was not called when compiled with GCC.
[%] InjectHookDLL cause crash in hooked process when compiled with GCC.
[*] File ".editorconfig" added into "src" folder.
[%] Issue 1404: Workaround for deadlock between AltServerStop and ReloadFullConsoleInfo (by Rick Sladkey).
[%] Issue 1404: Fix overlapped I/O for ReadFile like TransactNamePipe (by Rick Sladkey).
[%] Issue 1405: Don't wait for overlapped event unless the API assures us that I/O is pending (by Rick Sladkey).
[%] If no desktop dir is available - save dump into %TEMP%.
[*] Some internal code changes.


2013.12.23
[%] Issue 1379: Disable fade in effect on startup.
[*] Console font dialog - 'restart may be required'.
[%] Issue 1402: Prevent RM_ALTSERVER mode from warping CurrentDirectory (by Rick Sladkey).
[+] New ANSI sequences supported:
    "ESC [ n X" - erase n characters
    "ESC [ > c" --> Report "ESC > 67 ; build ; 0 c"
    "ESC [ c"   --> Report "ESC [ ? 1 ; 2 c"
    "ESC [ 5 n" -> Report status as "CSI 0 n" (OK)
    "ESC [ 6 n" -> Report Cursor Position as "ESC [ row ; col R"
    "ESC [ 1 8 t" --> Report the size of the text area in characters as "ESC [ 8 ; height ; width t"
    "ESC [ 1 9 t" --> Report the size of the screen in characters as "ESC [ 9 ; height ; width t"
    "ESC [ 2 1 t" --> Report window’s title as "ESC ] l title ESC \"
[%] ANSI xterm256. When line was wrapped (long prompt or output)
    * extended atributes was not shifted properly;
    * rest of line was printed char-by-char.
[%] Issue 1403: Seamless start with default ConEmu config in WinPE.
[%] Ready to create MiniDump in WinPE.
[*] Try to use 'Courier New' as border font if 'Lucida Console' fails
[%] Issue 1399: Angular quotation marks in the English translation.
[%] Issue 1400: Environment variables dont't work in update path to 7zip
[+] Portable_Test.cmd - creates simple one-file portable executable using WinRar.
[*] Some internal changes.


2013.12.19
[!] ConEmuHk linked with flags /DYNAMICBASE:NO /FIXED:NO /BASE:0x7E110000.
[*] GuiMacro Transparent&HighlightMouse described in the About dialog.
[*] Hide cursor during mouse-selection, show half-horz cursor during keyboard selection.
[%] Copy, Detect line ends. Allow one space on the next line beginning.
[*] Some hotkeys descriptions was changed
    * Highlighting: hyperlinks and compiler errors (FarGotoEditor modifier);
    * Highlighting: Switch ‘Highlight row under mouse cursor’.
[%] ANSI & xterm256 improvements:
    * Try to deal with ReadLine scrolling and xterm256;
    * Clear extened attributes after cmd's cls.
    * "ESC [ 0 m" set original colors instead of gray-on-black;
      ‘Original’ means colors was set in console before first
      ANSI color change (first write to console actually)
      in the current application (e.g. cmd.exe).
[*] Addons\git.cmd -> Addons\git_sample.cmd.
[*] Some internal and debug changes.


2013.12.15
[+] Issue 1362: Hotkeys for inc/dec transparency
    * GuiMacro: Transparency(<Cmd>,<Value>)
      Cmd = 0, Value = 40..255 (255==Opaque)
      Cmd = 1, Value = <relative inc/dec>
    * Hotkeys (not assigned by default) for inc/dec transparency by 20 'points'.
[%] Issue 1391: Extended fonts not applied to first visible line of buffer (by rick.sladkey).
[+] Highlighting row/col under mouse cursor.
    * Checkboxes on 'Highlight' settings page.
    * GuiMacro "HighlightMouse(<What>[,<Act>])". Affect ACTIVE console only.
      HighlightMouse(0) switch off/row/col/row+col/off/...
      otherwise
        What: 1 - row, 2 - col, 3 - row+col
        Act:  0 - off, 1 - on,  2 - switch (default)
    * New hotkey Apps+L switch row highlighting: HighlightMouse(1)
    * Some bugfixes
[*] Many changes in mark/paste/highlighting setting pages.
    * Page 'Mark & Paste' renamed to 'Mark/Copy'
    * New pages 'Paste' and 'Highlight'
    * Group 'Mouse button actions' moved to 'Controls' page
    * Group 'Copying format' added to 'Mark/Copy' page
    * Group 'Pasting text behavior' moved to 'Paste' page
    * Group 'Hyperlinks and compiler errors' moved to 'Highlight' page
[+] Issue 1392: Allow drop simple text from other apps (browsers, e.g.)
[%] Cmd line parsing, quotation issues.
[!] Internal changes. ConEmuHk, ShellProcessor.
[*] Internal changes. RealConsole: isGuiForceConView, ResetVarsOnStart
[*] Internal changes. Allow DontEnable in MainThread only


2013.12.11
[+] For life simplification and remove excess 'cmd' from process tree, ConEmu
    will process 'set' commands internally (ConEmuC) before starting root process.
    Example: set term=msys & "set PATH=C:\Program Files\GIT\bin;%PATH%" & powershell
[%] Issue 1387. Garbage in console if UpRight/DownLeft background placement.
[*] Internal changes. Support variable length in NextArg.
[*] Internal changes. ExtendedConsole was added to exclusion list of ConEmuHk.
[*] Internal changes. gbDontEnable -> DontEnable::isDontEnable.


2013.12.07
[%] Issue 1385. Fix wrong coloring of DBCS chars in 936/932 cp.


2013.12.05
[!] Some fixes in pipe processing.
[*] Some codeanalyze fixes.
[*] Some more debug info in MPipe.h.
[*] IsConEmu.cmd updated, returns errorlevel 0,1,2.
[%] Issue 881: ConEmuHk causes IBM Java applications to crash.
[%] Issue 1236: Far Manager. Pathname not fit in left panel causes right mouse click failure.
[%] Issue 1358: Allow multiple selections in 'Attach To' window.


2013.12.02
[!] Trying to fix MS bug with kernel crash in ReadConsole.
[!] Some fixes in pipe processing.
[%] Issue 1381. Portable distribution contains *.map files (ConEmu.Gui.map and ConEmu64.Gui.map).
[+] Issue 1253: Add selection information to status bar (stream/block, coords, length).
[+] GuiMacro. "Close(2,1)" will close ConEmu window, same as 'Cross' click, bug without confirmation.


2013.11.29
[*] Issue 1375. Xml file search priority changed. First found from following locations will be used:
    %ConEmuDir%\ConEmu.xml
    %ConEmuBaseDir%\ConEmu.xml
    %APPDATA%\ConEmu.xml
[*] Issue 1368. ConEmuBg. Suppress SYNCHRO in viewer/editor.


2013.11.25
[%] Issue 1367: ConEmuArgs, ConEmuBaseDir, ConEmuConfig, ConEmuDir was not initialized.
[%] Excess confirmations when closing Far consoles.


2013.11.24
[%] Crash fix on tabs closing.
[%] Initialize predefined palettes with "/reset" or "/basic" switches.
[*] Setupper. Featute name ‘clink readme’ and ‘Show git branch’.
[*] Issue 1354: Checkbox ‘Process -new_console and -cur_console switches’.
[*] New possible env values "ConEmuHooks=OFF,NOARG" to temporarily disable processing of -new_console and -cur_console switches.
[*] Clear "ConEmuFakeDT", "ConEmuHooks" on ConEmu.exe startup.
[*] ConEmuRelyDT renamed to ConEmuFakeDT.
[%] Some fixes in CSettings::GetString.
[*] Settings, FarMacro. Edits -> ComboBoxes.
[*] Contributors. ForNeVeR.
[*] Fix stack overflow using #Close(0) in SafeFarClose.
[*] Internal. Storing event handles in ConEmuHk.DllMain
[*] Internal. Some changed for Wine (dwLayoutName).


2013.11.19
[+] (Pull#2, ForNeVeR) ConEmuBg: Fit background text width.
[%] VConGroup.SetConsoleSizes fails on more than 2 splits.
[*] Fix close confirmation msg on WinXP.
[*] Default button set to Cancel in Assertion dialog.
[*] Issue 1345: Menu shortcuts &Edit and Sett&ings.


2013.11.17
[%] Live preview peeks were broken in Windows 8.
[+] New ConEmu specific ANSI OSC.
    ESC ] 9 ; 7 ; "cmd" ST - Run some process with arguments
    ESC ] 9 ; 8 ; "env" ST - Output value of environment variable
    Usage example:
    prompt $P$E]9;7;"cmd /cGitExportBranch.cmd"$e\$E]9;8;"gitbranch"$e\$g
[*] Don't print "nothing to export" when exported variable is not defined.
    ConEmuC /export=CON gitbranch
[*] 60 sec delay between each OnInfo_ReportCrash.
[+] Helper batch file ‘cecho.cmd’ may be used to colored print from batches.
    Call "cecho /?" for usage examples.


2013.11.15
[%] Issue 1339: Crash on close ConEmu window (multiple assertions actually, regression of 131114).
[+] ConEmuSetup.exe: `/p:x[86|64],adm` starts MSI as admin right away.


2013.11.14
[!] Issue 1333: Internal changes in WndProc, GWLP_USERDATA is not used anymore.
[*] Minor fix in "ConEmuC /export". Don't try to export to (a) direct parent of ConEmuC.exe process and (b) conhost.exe.
[%] Issue 581: Task "/dir" switch was ignored when starting second tab.
[*] Far Manager macros settings are moved to ‘Far macros’ page.
[+] Issue 1325 (Neverthness): ConEmuBg Far Plugin: VolumeFree may be used in Background.xml.
[+] ConEmuBg: Force check xml file on plugin enabled.
[-] GuiMacro: WindowMaximize(<Cmd>) - maximize window by width (Cmd==1) or height (Cmd==2). Same as doubleclick on the window frame edges.
[+] New hotkeys on ‘Keys & Macro’ page: Maximize width and Maximize height.
[%] Issue 1329: Support env.vars in the "/icon" task argument when creating Jump lists.
[%] Issue 1165: Scroll console (don't send wheel events) if console mode has ENABLE_QUICK_EDIT_MODE.
[+] New Environment variable "ConEmuRelyDT". That will cheat system and local current time for console processes.
    Use carefully! Console applications will think that time was freezed! ‘Inject ConEmuHk’ must be on!
    Some examples (cmd):
    set ConEmuRelyDT=%DATE% %TIME%
    set ConEmuRelyDT=2013-12-31T23:59:59.99
    set ConEmuRelyDT=2013-01-31 9:0:0
    set ConEmuRelyDT=2013-11-30


2013.11.07
[+] Now it is possible to execute GuiMacro from outside of ConEmu window.
    Would remind that you may call several macros, delimited with semicolon, in a time.
    Syntax: ConEmuC /GUIMACRO[:PID|HWND] <GuiMacro>
    PID is a ConEmu.exe process identifier. HWND is a %ConEmuHWND%.
    Also, you may call "/GUIMACRO:0" to affect first found instance.
[%] Split created with command "cmd -new_console:bsV" was left invisible.
[+] Compatibility section for Windows 8.1 added to the ConEmu manifest.
[*] Issue 1277: Far Manager shows ‘Copy’ in the window title instead of panel path.
[%] Issue 1312: Default Terminal: Visual Studio 2013 console window not hooked.
[%] Issue 1317: Task GuiMacro was ignored directory parameter.
[%] Issue 1319: Crashes as soon as opened.


2013.11.05
[%] Issue 1312:	Visual Studio 2013 console window not hooked
[%] Regression. ‘Always on top’ was not cleared after exiting FullScreen mode (Alt+Enter).
[%] Issue 218: Far Manager panels flickering while maximize/restore.


2013.11.03
[%] Issue 1079: Console hangs when running PHP console scripts.
[%] Issue 1195: Invalid size locking region was used after resizing window when Far is active.
[%] Issue 1196: ConEmu's Far plugin language resources.
[%] Issue 1300: Failed (hanged) while closing Far Manager using ‘Safe Far close macro’ in some cases.
[*] Issue 1301: Clink initialization method was changed.
[%] Issue 1307: Some resize fixes in Quake mode.
[*] Issue 1308: Copy text without HTML formatting by default.
[+] GuiMacro: Copy(<What>[,<Format>]). User may specify format regardless of current setting (choosed from menu).
    0: plain text, not formatting; 1: copy HTML format; 2: copy as HTML.
[+] New hotkeys (active while selection is present), Ctrl+C (plain text), Ctrl+Shift+C (HTML format) and unassigned for (as HTML).
[%] Regression: Task hotkeys was broken.
[+] On the first run (with Fast configuration dialog) task list will be filled with some predefined shells found on PC.
[+] File "AnsiColors16t.ans" was updated with "How to use ANSI" recommendations.
[+] Batch file "SetEscChar.cmd" provided for use with cmd.exe scripts.
[*] Issue 1308: Don't use copy with HTML formatting (by default).
[+] Issue 367: New background placements - Center, Stretch-Fit, Stretch-Fill.
[*] Debugging purposes: new ConEmu.exe switches "/nomacro" and "/nohotkey".
[+] cmd.exe users: option ‘Support UNC Paths’ on ‘ComSpec’ allows "cd" to network location.
    This works in prompt only! And only in newly created consoles after enabling feature.
    Example: cd \\server\share\folder


2013.10.26
[+] Showing Task hotkeys in the start menu (Win+N, [+] drop down).
[+] Task hotkeys may be configured on ‘Keys & Macro’ settings page, too.
[%] Regression. Changes in ‘Default terminal’ hooked applications was ignored.
[+] Shift+Home and Shift+End start text selection if ‘Start selection with Shift+Arrows’ is enabled.
[+] Trim trailing ‘.,;’ from hyperlinks (Ctrl+LClick).


2013.10.25
[%] Issue 1304: Fail to Run history item from dropdown menu.
[%] Issue 1298: ConEmu may crash when starting some incorrect tasks.
[%] Issue 1269: Win+Left, Win+Right once more.
[+] GuiMacro: SetOption("AlwaysOnTop",Value). Where Value: 2 - switch AlwaysOnTop, 1 - enable, 0 - disable.
[%] Issue 675: When both "Reset selection on input" and "any key" are checked selection was dropped when Shift (e.g.) was released.
[+] Issue 685: Allow using simple modifiers for text selection (Shift, Alt, Control).
[+] Issue 836: Allow to set tasks hotkey.
[+] Anyone still using WinXP? ‘Enter TEXT fullscreen mode, when available’ hotkey is available.
    This is a global hotkey, you may (try to) press it even if ConEmu has no focus.


2013.10.20
[%] Issue 1267: Chinese message of previous command crash.
[%] Issue 1291: Python fails to print string sequence with ASCII character followed by Chinese character.
[+] Issue 1292: While selection is active, Shift-Home/Shift-End keys extend selection to line begin/end.
[%] Issue 1293: Regression. "-new_console:d:<path>" and whitespace in <path> = parser issue.
[%] Issue 1289: Regression. No background image at start.


2013.10.17
[+] New switch "-new_console:W:Background" allows set background image per tab or split.
    Option ‘Background image’ must be enabled in main settings (main image path may be empty).
[%] Regression. When prompting for password (-new_console:u:User) command field was not filled.
[%] Internal changes of "-new_console" parser.
[%] Minor internal changes in closing procedure.
[+] About dialog, "-new_console" page was added. May be called from Tasks setup ('?' button in title bar and click on tasks edit field).
[+] Issue 823: Shift+left mouse selection does not select above visible windows (has to scroll buffer up).


2013.10.15
[%] Environment variables are allowed in tab icon paths.
[%] Issue 1275: ConEmu window was restored from TSA unexpectedly after RClick-Esc.
[+] Menu item ‘Store history’ in the create new console dialog (right-click on title bar).
[*] Minor changes in ‘New console’ dialog.
[%] Environment export was not working in Far Manager. Example:
    vcvarsall.bat x86 & ConEmuC /export=CON
[%] Regression: crash of ConEmuC while expanding environment variables.


2013.10.10
[!] ConEmuC will expand environment variables before running commands.
[*] Support PortableApps.com folder structure from the box. No need for explicit '/LoadCfgFile "%PAL:DataDir%\settings\ConEmu.xml"'.
[%] Issue 1274: Hang on "cmd --new_console".
[%] Switch "/icon" was ignored for startup task.
[%] Trailing spaces was increased when used ‘Auto save/restore of opened tabs’.
[%] Issue 1275: When minimized into TSA and all VCon are closed we need to restore and run new tab.
[+] New color scheme: "<Monokai>".
[%] Issue 1277: Far Manager shows ‘DrawWND’ in the window title instead of panel path.
[%] Issue 1279: Copy to clipboard fails if "Plain text only" is the active option.
[+] New environment variables "ConEmuDrive" and "ConEmuWorkDrive".


2013.10.06
[+] New option on ‘Startup’ page: ‘Auto save/restore of opened tabs’.
[+] New environment variable "ConEmuWorkDir", it contains folder from where your shell was started.
    User may use it when starting shell, with ‘ConEmu Here’ feature for example:
	"C:\Program Files\Far Manager\far.exe" "!ConEmuWorkDir!"
[*] ‘Default terminal’ settings are moved to own page. ‘Integration’ page contains only ‘ConEmu Here’ and ‘ConEmu Inside’.
[%] After unregistering ‘ConEmu Here’ or ‘ConEmu Inside’ item drop down was refreshed but not edit fields.
[*] Issue 1269: More debug logging of Win+Left/Win+Right.
[%] Issue 1262: ConEmu.Editor.lua bug.
[+] Debug purposes: "/basic" and "/resetdefault" switch.


2013.09.29
[+] Issue 714: Font size fixed when copying using CF_HTML formatting.
    You may choose from Edit submenu one of the following options:
	* Plain text only (don't copy HTML formatting);
	* Copy HTML format (text will be ready for pasting in Word, Outlook etc.);
	* Copy as HTML (you want RAW HTML? choose this option).
[+] Send cursor keys to vim with xterm control sequences.


2013.09.28
[*] Default anti-aliasing method will be ‘ClearType’ if it is turned on in your OS.
[%] Infinite run loop when ‘Single instance’ was ON and ‘Multiple consoles’ was OFF.
[+] GuiMacro: Close(8) - close all consoles.
[+] New menu items in ‘Close or kill submenus’: ‘Close all consoles’ and ‘Close except active’.
[+] Issue 714: Copying text to clipboard using CF_HTML formatting. May be disabled from Edit submenu (Copy HTML format).


2013.09.23
[*] Issue 1234: Tasks menu changes (Win+N, button [+])
    * by default - does not expand to submenus, RClick on task - show submenu with task commands;
    * Shift+Click on [+] arrow - creates submenus for tasks, RClick on task - run all task commands;
    * also, user may set new hotkey for ‘Show create new console popup menu with task submenus’.
[%] Issue 1238: Running particular command from task submenus - was ignored ‘/dir ...’ switch.
[*] Vista and higher: Default console font - ‘Consolas’ (if ClearType is enabled in system).
[*] Vista and higher: Default tab and status bars font - ‘Segoe UI’.
[*] Default(!) font height (console, tab and status bars) takes into account monitor DPI (e.g. 150%).
[%] Issue 1240: Window size wasn't saved on exit (sizing by grip in status bar).


2013.09.21
[%] Issue 1242: DPI aware dialogs and font inconsistency.
[%] App distinct palette settings was ignored when starting GuiMacro: shell("new_console:In","powershell").
[%] Crash in ConEmuC when attaching wide buffer consoles.
[*] Some improvements on Default Terminal feature (to be continued).


2013.09.18
[%] Issue 1239: Regression: commands with redirection fails in Far Manager.
[%] Issue 1137: Don't warn about Ctrl+Tab duplicate if internal Ctrl+Tab processing is disabled.
[%] Regression: ‘Activate split on mouse over’ was not working.
[*] Issue 1125: Default terminal not activated when starting cmd from Windows 7 start menu Ctrl+Shift+Enter.


2013.09.17
[%] Issue 1211: Redirection heuristic disabled. If one needs redirection in root command -
    call "cmd /c your-command-line".
[%] Issue 1228: In some cases ConEmu fails to display DBCS characters with ‘ANSI X3.64’ enabled.
    Need to rewrite ANSI processor... Temporary workaround was created.
[%] Issue 1220: When starting "far /co" plugin ConEmu background fails to initialize.
[%] Issue 1230: Far plugin ConEmu background stops viewer autoupdating.
[%] When starting "far /w" plugin ConEmu background fails to draw icons.
[+] You may force Far Manager background plugins to update using Far macro.
    This may be useful for minimizing lags after Ctrl-O, Ctrl-O for example.
    Plugin.Call("4b675d80-1d4a-4ea9-8436-fdc23f2fc14b", 99)
[*] Some clarifications in ‘ConEmu received wrong version packet’ message.
[%] Some fixes in padding painting.
[*] Update Windows 7 jump list controls are moved to ‘Task bar’ settings page.
[*] Far Manager tab templates are moved to ‘Far Manager’ settings page.


2013.09.13
[%] Issue 1229: Special prefix symbols '>' and '*' (task item) was not stripped when starting new console from task menu.
[%] Some changes in color palette processing.
[+] New switch "-new_console:P:PaletteName" allows set fixed color palette for specified tab.
    Example: ConEmu /cmd cmd -new_console:P:^<PowerShell^>


2013.09.12
[+] Show icons in tab bar. By default, root application (your shell) icon is displayed.
    Also, you may specify any special icon when starting tab with -new_console switch.
[+] New switch "-new_console:C:IconFile" set icon for a tab. Example:
    ConEmu.exe /cmd C:\GIT\git-bash.bat -cur_console:C:C\GIT\etc\git.ico
[*] Changes in ‘Win+N’ popup menu (plus sign on toolbar).
    Tasks menu items are true submenu now. When task contains more than one item,
    ‘All task tabs’ sub-item appears to run all task tabs.
    You may quickly run all task tabs with RightClick on Task menu item itself
    (don't wait for submenu appears).
    Also, if you define more than 10 tasks, all sequent tasks are available
    via ‘More tasks’ submenus.
[*] Default terminal: ConEmuHk.dll will be reloaded after updating to new ConEmu build
    (logoff/logon is not needed anymore).
[*] Switch tabs by clicking over tab in fullscreen mode (actually, when caption is hidden).
[%] Saving start command line history was disabled by default (130827). Enabled now.
[+] Do you want to get your cmd.exe prompt bottom aligned? On ConEmu startup and after "cls"?
    It is possible, run this file as your shell:
    cmd.exe /k ClsEx.cmd



2013.08.27
[!] New search sequence for ConEmu.xml file:
    * %APPDATA%\ConEmu.xml
    * %ConEmuBaseDir%\ConEmu.xml
    * %ConEmuDir%\ConEmu.xml
[+] New user may choose settings storage location on the first start (Fast configuration dialog).
[+] New option "SaveCmdHistory", may be changed via reg/xml configuration.
[%] Issue 1210: Don't reset default command specified with "/cmd" argument in Quake mode.
[%] Wrong Quake position (top) when "Pad size" was set.
[%] When running "-new_console:sVb" - "b" was ignored.
[%] Issue 1090: Win+Left/Right on three monitors once again.


2013.08.22
[%] Issue 1195: Assertion.
[%] Issue 1198: Crash when exporting xml configuration to read-only folder.
[%] Split was erroneously activated by mouse hover while any menu (tab, system, etc.) was active.
[*] Trying to search "msxml3.dll" in %PATH% when it is not available via COM and is not found in the ConEmu's folder.
[%] Fails to typing japanese/chinese in the python prompt.


2013.08.15
[%] Issue 1183: Sometimes Far x64 crashes on context menu.


2013.08.14
[%] Sometimes 0-size crash dump files were created.


2013.08.13.1
[%] Issue 1193: PowerShell: Get-Credential crashes. Bug appears in 130807.
[%] ConEmu About dialog was broken.


2013.08.13
[%] Crashed sometimes with "ConEmu /log".


2013.08.12
[%] Issue 1191: Due to Explorer bug (or weird feature?) ConEmu was launched instead of explorer from taskbar pinned library icon.
    Registry keys (related to "ConEmu here") will be fixed on ConEmu launch.
[*] New option on "Features" page - "Exception handler (debug)". When checked - unhandled exception filter will be installed in alternative servers.


2013.08.09
[%] Issue 1179: Can't disable text cursor blinking when ConEmu window is inactive.
[%] conemu_ml: TCC fails while executing: ""F:\program files\take command\tcc.exe" /C "alias where" ".
[%] Issue 1090: Tile left/right fails to move ConEmu window between monitors.


2013.08.08
[%] Issue 1181: Activate pane by mouse over works now with GUI child applications.
[*] Option "Activate split on mouse over" is disabled by default.
[*] Internal log changing: "ConEmu /log /single" will affect existing instance.


2013.08.07
[!] Forbid Far Manager plugins to change window styles of ConEmu windows.
[*] Some fixes in Far Manager command execution interceptor.
[+] New color scheme: "<Solarized (Luke Maciak)>".
[+] New switch "-new_console:f" forces starting console active. May be useful when starting several consoles simultaneously.
    Example:
    ConEmu.exe /cmdlist powershell -new_console:f ||| cmd -new_console:sH
[%] Wrong size and pos of child GUI windows in split.
[*] Hotkey ‘Close current tab’ must close group when option ‘One tab per group’ is enabled.
[+] GuiMacro: Close(6) - close active tab or group, Close(7) - all active processes of the active group.
[+] Activate pane by mouse over works now with GUI child applications.


2013.07.26
[+] Issue 1133: New option on "Status" page: "Use vertical padding". With unchecked you may use same status bar height and font as font in console.
[+] Issue 1158: Provide "ConEmu Here" menu item for Windows 7 libraries. Have no sense for library root - select smth or open library folder.
[%] Issue 1159: Crash when trying to put focus in bottom split while there was horizonal split only.
[%] Issue 1159: Split to bottom and split to right hotkeys was messed up.


2013.07.25
[+] GuiMacro: new function "Split(<Cmd>,<Horz>,<Vert>)"
    Cmd=0, Horz=1..99, Vert=0: Duplicate active ‘shell’ split to right, same as Shell("new_console:s50Hn")
    Cmd=0, Horz=0, Vert=1..99: Duplicate active ‘shell’ split to bottom, same as Shell("new_console:s50Vn")
    Cmd=1, Horz=-1..1, Vert=-1..1: Move splitter between panes (aka resize panes)
    Cmd=2, Horz=-1..1, Vert=-1..1: Put cursor to the nearest pane (preferred direction may be choosed).
[+] New hotkeys: Apps+Shift+Arrows - resize splits, Apps+Arrows - put focus to next split.
[%] Far 3 macro "ConEmu.ShiftEnter.lua" updated.


2013.07.22
[*] Build number stored in xml-configuration file when saving settings.
[*] Keys & Macros: "Drag ConEmu window by client area" renamed to "Move ConEmu window by dragging client area".
[+] Settings->Mark & Paste: New option "Show IBeam cursor".
[%] Issue 1152: Hungs on wheel when "sreen per time" was choosed in mouse settings.
[*] Don't resize real console until mouse button released (Far Manager still resized ‘on the fly’).
[%] Issue 1141: Tab bar position fails after restoring ConEmu when ‘Auto show’ (tabs) is selected.
[*] Some more internal logging.
[%] Macro ConEmu.ShiftEnter.lua fails in Far 3.


2013.07.08
[!] Far Macro "ConEmu.Editor.fml" was changed! Update your copies in MacroLib!
[+] Issue 1126: ConEmu macros adopted for Far Manager 3 (tested in build 3502).
    New macros located in "%ConEmuBaseDir\Far3_lua". You need to copy
    selected files to your "%FARPROFILE%\Macros\scripts" folder.
[+] Right click on ‘Minimize’ button hides ConEmu to TSA.
[%] Issue 1123: "Close(5)" crashes.


2013.07.03
[%] GuiMacro delimiting fixed. Examples:
    print("qqq"); WindowMinimize();
    print("qqq") WindowMinimize()
    print: "qqq"; WindowMinimize
[+] GuiMacro: Close(5) - close all tabs but active.
[%] Issue 1130: Decreasing font may stuck on some values.
[*] Some fixes in build files.


2013.07.02
[+] GuiMacro: new option "I" (capital 'i', case sensitive) for "shell" function.
    It forces inheriting of root process contents, like "Duplicate root" feature.
    Example: shell("new_console:Ibn","cmd","/k start explorer \"%CD%\" && exit")
[*] Debug logging of macro function "FontSetSize".
[+] Issue 1113: New option "Tab button double click action".
[*] 130621 regression: all group tabs was closed even if "One tab per group" was not checked.
[+] Issue 929: New option "Activate split on mouse over".


2013.06.25
[%] Issue 1096: Possible crash while executing some GuiMacro.
[%] Issue 1107: Some unassigned hotkeys can't be hidden in Options dialog.
[%] Some internal changes in GUI resize.


2013.06.21
[*] Show IBeam cursor when mouse is used for selection.
[*] Checking conflicts between key modifiers for text selection and Far Manager D&D.
[+] Close confirmation from tab belonging to group (splits) will suggest closing whole group.
[+] Issue 978: New option "One tab per group", disabled by default. Weird with Far Manager editor windows yet.
[%] Issue 1095: Transparency was not changed after Quake activation.
[%] Incorrect cursor position in console after vim exiting. Don't forget enable ‘Inject ConEmuHk’!
[+] Issue 1103: GuiMacro: SetOption("bgImageDarker",<value>) - change darkening of background image, 0..255.


2013.06.12
[%] Issue 1090: Regression: Win+Left/Right does not move ConEmu anymore between multiple monitors (beginning).
[%] Regression: Wrong working directory in recreate dialog.
[*] Automatic crashdump creation when exception occures in ConEmuC.
[%] ConEmu may close unexpectedly when clicking on ConEmu system icon while GUI child application is running in tab.


2013.06.04
[%] Issue 1080, Issue 1082: Regression: 5 sec delay when starting new console.
[+] Issue 1083: Process Win+Left/Win+Right internally (tile to left/right).
[%] Issue 1087: cmd autoattach ignores disabled multi console option.
[%] Some fixes in "ConEmuC /export ...".
[+] Debug purposes: new environment variable (may be set by user) ConEmuSleepIndicator=NUM.


2013.05.30
[%] One more fix for "Sleep in backgound".
[%] Wheel was not working while mouse was over scrollbar.
[%] Buffer (scrolling and contents) was not restored after Vim exit. Don't forget enable ‘Inject ConEmuHk’!
[+] When Vim started current buffer output stored, and may be viewed by as Alternative buffer (‘lock’ button on toolbar or Win+A by default).
[%] Issue 1077: Sometimes assertion (keyboard layout related) may occurs on startup.


2013.05.26
[%] One more fix for "Sleep in backgound".
[%] Issue 1076: Regression: Second instance (with single instance mode) always starts in %ConEmuDir%.
[+] New GuiMacro: Copy(<What>) - Copy active console contents
	* What==0: current selection
	* What==1: all buffer contents


2013.05.23
[!] Issue 1049: Don't lock current (startup) directory.
[!] Width and Height may be set up in cells/pixels/percents.
    For example, Width = "90%", Height = "400px".
    Without modifier - treated as cells.
[+] New option ‘Align ConEmu window size to cells’ on ‘Size & Pos’ page.
[!] Some changes in ANSI processor.
[*] Minor changes in mouse-over-scrollbar processing.
[%] Issue 1004: overflow of SetTitle when "/title" option was specified.
[*] Issue 1067: missing linking dependency for ConEmuDW project.
[*] Issue 1068: UI interface for ‘Default tab click action’ (patch from peter.sunde).
[*] Issue 1069: better clink error message (check box ‘Use clink in prompt’).
[*] Some more internal logging.
[%] Issue 868: Allow change quake-mode window size from Settings dialog.
[+] Allow set position (X-coord) of quake-mode window size. Choose radio "Fixed" instead of "Cascade" before.
[+] Issue 852: New menu item ‘Copy all’, this will copy all text from the beginning of the buffer to the cursor line (including).


2013.04.27
[%] Issue 1035, 1050: Keyboard layouts once more.
[%] Issue 1047: Assertion on start file dragging.
[%] Issue 1052: New option ‘Show balloon help tooltips’ on ‘Appearance’ page.


2013.04.25
[%] Issue 1040: Resize Far 3 panels macro error.
[%] Issue 1035: Assertion on startup with some keyboard layouts (again).


2013.04.22
[%] Issue 1035: Assertion on startup with some keyboard layouts.


2013.04.21
[!] Option ‘Inject ConEmuHk’ is enabled by default (for new configurations).
[*] Some more internal logging.
[*] Three-level autoupdate: Stable, Preview, Developer.
[%] Issue 944: With some keyboard layouts ConEmu starting may cause loading "fantom" language.
[%] Options ‘Focus in child windows’ was ignored when activating ConEmu.


2013.04.11
[!] Quit on close once again... If no opened consoles and cross clicking - ConEmu will terminates.
[%] Issue 1014: ‘Extend Fonts’ feature does not work (was locked to far.exe only).
[%] Issue 1011: Typo in installer.
[*] Some more logging on keyboard input.
[*] Allow to set tab templates without "%s" and "%n".
[%] Far 3 (Lua) macro fails: Plugin.Call("bd454d48-448e-46cc-909d-b6cf789c2d65",1).
[%] Issue 1020: Far 3 build 3277 supported.


2013.04.01
[%] Some more internal diagnostics.
[%] Issue 1000: Gestures was not working on Windows x64.
[%] Issue 1003: ConEmu autorun command processor disables testing movie in flash.


2013.03.20
[%] Issue 998: Default terminal may fails with error code 31 when starting debugging session in VS.


2013.03.19
[%] Issue 924: ConHost.exe crashed when maximizing.
[%] Issue 974: "Leave ConEmu opened" blocks autoupdate.
[%] Issue 990: Regression. ANSI processor was not initialized properly.
[%] Issue 994: Regression. Clink loading failed.


2013.03.18
[+] Issue 984: Option "Add %ConEmuDir% to %PATH%" on ComSpec page. Turned ON by default.
[+] Issue 915: Closing options redesigned. Taskbar page, checkboxes
    Close ConEmu with last tab
    Quit on close (e.g. caption bar cross clicking)
    Minimize on closing last tab
    Hide to the TSA
[!] Some changes in console handling.
[%] Failed to disable "Use clink in prompt" in active session (ConEmu restart was needed).


2013.03.14
[%] Issue 858: Drop files to Far panels failed second time.
[*] Some internal changes.


2013.03.13
[%] Scrollbar was not appears/works when mouse was over padding on right edge.
[+] Updated debug switch: "ConEmuC /debugtree <command_line>".
[%] Flickering when starting Quake mode in TSA.
[%] Drawing artefacts in the Status bar when resizing window.
[%] Issue 969: Disabling "Multiple consoles in one ConEmu window" has no effect for "Default terminal".
[*] The continue of "/debugtree".


2013.03.04
[%] Regression: GUI applications attach failed.
[%] Issue 971: Sending dead chars to child GUI applications.
[%] Issue 972: Regression: Duplicate root failed.


2013.02.28
[%] Issue 964: Duplicate Root shows an assert.
[%] Issue 965: Regression: stored fixed position for normal mode was ignored.
[+] Settings->Info: showing "conhost.exe" in processes list for Windows 8 and higher.
[+] New debug switch: "ConEmuC /debugtree <command_line>".


2013.02.27
[%] Win8: Resize bugfix.
[%] Issue 592: Quake-style autohide when clicking on taskbar.
[%] Issue 888: Fixing MinTTY bug.
[%] Issue 960: Sometimes ConEmu crashes while attaching external console (in progress).
[%] Crash on GuiMacro WindowMaximize().


2013.02.23
[%] Regression: Hotkey names not displayed on ‘Keys & Macro’ page.
[%] Some focus-switch hotkeys was not working.
[+] Switch "/demote" for ConEmu.exe allows to run commands de-elevated via Task Sheduler.
[%] AutoUpdate fixes.
[%] Don't execute ‘ConEmu autorun’ when console window is minimized (AutoUpdate issue).
[%] ‘Duplicate root’ fails sometimes with error code 0xC0000148.


2013.02.20
[%] Issue 949: Selection failed with buffer and ‘Freeze console’ checked.


2013.02.19
[%] Issue 592: Quake activation/deactivation changes.
[+] Issue 912: Internal processing of Win+Shift+Left/Right - move ConEmu window to previous/next monitor.
[%] Issue 939: Update failes if full path to 7za.exe was not specified, but 7za.exe is located in %PATH%.
[%] Issue 946: Exception in some cases running with "/Log2" switch.
[%] Issue 946: Blinking when ConEmu starting minimized.
[%] Update: Failed with proxy requires authentification.


2013.02.12
[%] Issue 912: Resize changes (Full Screen Does Not Allow Win+Shift+Arrow to Move Monitors).
[%] Issue 937: Drag&Drop once more (AIMP3).
[%] Issue 938: Double click for word selection stops working after a while.


2013.02.10
[%] Regression. Sometimes ConEmu.exe may crash on startup or quake-sliding.
[+] Issue 932: Support UltraEdit decimal color format.


2013.02.08
[*] Interprocess communication changes.
[%] Issue 926: Pad around console redraw lag.
[%] Issue 928: Regression of 130205: Restart of console does not works.
[*] Preparing for multi-page selection.


2013.02.05
[*] Some improvements for ‘stress mode’.
[*] ‘Disabled’ will be shown in ‘Keys & Macro’ if specified action is disabled in settings.
[%] Some bugfixes in Drag&Drop to Far panels from some storages.
[*] Checking 7zip/WinRar existence before updating with 7z package.
[*] Some changes in Status bar drawing.
[*] Removed all references to std::vector.
[%] Issue 885: Attach of ‘As Administrator’ console fixed.
[+] Issue 886: Button ‘?’ in the Title Bar of ‘Settings’ dialog.
[*] Minor changes of resources in ‘Settings’ dialog.
[%] Tooltips in ‘Settings’ dialogs was not visible with this registry value:
    [HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Explorer\Advanced]
    "EnableBalloonTips"=0



2013.01.28
[!] Refactoring of drag from Far Manager panels is started.
[*] Changes in self-update procedure (elevation related).
[*] Issue 899: Default position of ‘Find text’ dialog is upper-right corner.
[*] Some changes in Drag&Drop items drawing.
[%] Bugfixes for Reload/Reset Settings (buttons in ‘Settings’ dialog).
[%] Regression. Can't select some modifiers on ‘Keys & Macro’ page in ‘Settings’ dialog.
[*] ConEmu.exe switch changed to avoid ambiguity.
    The following command line will run 3 tabs on ConEmu startup:
    "ConEmu.exe /cmdlist cmd1 ||| cmd2 ||| cmd3".
[+] Use Vista+ ‘Task dialog’ for closing confirmation.


2013.01.20
[%] Settings in ‘Create new console’ dialog was ignored for Tasks.
[%] Issue 706: ConEmu Inside: You must use in Sync command "\1" and "\2" instead of "%1" and "%2".
    Also, you need to re-register menu items.
[+] Vim 256 colors next try. Hope, it will be usable now.
    You need to configure your vimrc for enabling 256 colors.
    Sample lines are here: http://conemu-maximus5.googlecode.com/svn/files/Temp/vimrc_add


2013.01.17
[*] Excess console window flickering removed, when elevated tab is starting from elevated ConEmu.
[%] Minor bugfix for ‘Single instance mode’.
[*] Quake animation when hide to TSA is disabled.
[+] New switch "-new_console:w" turns on overwrite mode in console (for cmd, powershell, etc.)
[+] One step closer to Vim 256 colors.


2013.01.16
[%] Issue 883: PuTTY resize again.
[%] Failed to change cursor ‘Blinking’ for Inactive console.
[+] Two new compelental hotkeys: ‘Set focus to ConEmu’, ‘Set focus to child GUI application’.
[+] New item in tab menu: ‘Child system menu’.
[%] Removing excess redraws.
[+] New switch: "ConEmu.exe /nosingle".
[+] New option in ‘Fast configuration’ and ‘Appearance’ page: ‘Single instance mode (use existing window instead of running new instance)’.
[*] Minor changes in ‘Mark & Paste’ page: new checkbox ‘copy before reset’ instead of third state of ‘Reset selection on input’.


2013.01.13
[+] Searching in ‘Settings’ dialog now available. Type text in ‘Find’ editbox (upper-left corner) and wait a little.
    You may continue search by pressing ">" button.
[+] New option ‘Minimize on focus lose’ on ‘Task bar’ page. This is used only for ‘normal’ style,
    ‘quake’ style has separate option.
[+] New switch: "ConEmu.exe /cmdlist cmd1 | cmd2 | cmd3".
    Now it is possible to start several tabs from the command line or shortcut without creating tasks.
[+] Issue 864: MiddleButtonClick on free tabbar area creates new tab.
[%] Issue 871: Sometimes inactive consoles was not resized properly.
[%] URL-detector does not strip single-quote from the end of URL.
[%] Dropping long filepathnamed to prompt sometimes fails (pasted paths was trimmed).
[%] Issue 878: Can't select in putty after moving ConEmu window.
[+] New option ‘Focus in child windows’. Enabled by default. It means set focus in xshell/putty/notepad/etc. when ConEmu is activated or tab switched.
[+] New hotkey (not set by default): Switch focus between ConEmu and child GUI application (xshell/putty/notepad/etc.)
[+] Now you may export your current configuration to xml-file directly from Settings dialog.
[+] Current settings storage location displayed on the top of Settings dialog.


2013.01.09
[%] Sometimes, trap occures when switching to tab which is in ‘closing state’.
[*] ‘Resize mark’ renamed to ‘Size grip’.
[%] ‘Default terminal’ fails to execute smth like "cmd /k copy aaa bbb".


2013.01.08
[+] New ‘column’ in Status bar - ‘Resize mark’. You can change ConEmu size by dragging this ‘column’ even when frame is hidden.
[+] Starting shells takes into account paths defined in "SOFTWARE\Microsoft\Windows\CurrentVersion\App Paths".
[*] Minor changes in starting root shell.
[*] Toolbar: when last console is closed - ConEmu hides button with console number.
[*] Toolbar buttons order was changed. [+] button on first place now.
[*] Option ‘Hide caption of child GUI windows’ is enabled by default.
[*] Quake-style options moved to ‘Appearance’ page.
[+] New Quake-style option for animation duration. Any value between 0 and 2000 ms allowed.
[%] Minor fixes in "/reset" switch.
[%] Fixed focus of child GUI windows after ConEmu window restore or tab switch.


2013.01.05
[%] Issue 865: Frame width option is broken.
[+] Debug purposes: new ConEmuC argument /DEBUGEXE <command line>.
[%] Due to large amount of ANSICON-related reports its loading will be blocked in ConEmu.
[*] Don't show console font warning in ReactOS.


2013.01.04
[%] Fixed Maximize/Restore regression. On Restore console size was not reduced.
[%] Issue 806: GVim started as "gvim --windowid !ConEmuBackHWND!" does not appears when switching tabs.
[%] Fixed regression in hotkeys processing. Far received RAlt after Shift+Arrow.
[*] Changes in Quake-style animation. Slide window when possible.
[%] PuTTY dialogs appears beneath ConEmu window, then "Always on top" is checked.
[+] xterm 24-bit colors supported. Same restrictions as xterm 256 colors.


2013.01.02
[%] GuiMacro parser regression. Only one string argument was processed.


2013.01.01
[+] When unhandled exception occurred in ConEmu - full memory dump will be created on desktop in "ConEmuTrap" folder.
[+] New options for "Esc" key or "Task bar" page:
    "Minimize ConEmu when all consoles closed", "Minimize always" and "Never".
    May be useful in Quake mode.
[+] When "Esc" is always used for minimize ConEmu, you may use Shift+Esc to send simple Esc to console.
    Uncheck "Map Shift+Esc to Esc" on "Task bar" page if you don't need this mapping.
[%] Resize bugfixes in Quake mode.
[%] Issue 853: Default terminal fails in TotalCmd "Open command prompt window".
[*] New toolbar images by Grzegorz Kozub.
[+] New option on "Appearance" page: "Hide caption of child GUI windows started in ConEmu". Turned ON by default.
[%] Regression. Tab activation failed when it is inactive split.
[+] New environment variable "ConEmuHooks". You may set it to "OFF" to disable injects temporarily.
    Example: cmd /k set ConEmuHooks=OFF & "C:\Program Files\Microsoft SDKs\Windows\v7.1\Bin\SetEnv.cmd" -new_console:t:SDK & set ConEmuHooks=
[*] Some changes in drag&drop files to Far panels.


2012.12.27
[*] New SystemMenu item: About -> Whats new (local, web).
[%] Far 3 plugins updated to new API (some changes was missed).


2012.12.25
[!] GuiMacro engine upgraded to avoid ambiguity. Now there are C-Strings and Verbatim-Strings.
    C-Strings: allows backslash-escape sequences, for example print("\ecd /d \"C:\\Users\"\n")
    Verbatim-Strings: allows using backslashes without escapes, for example print(@"cd /d ""C:\Users""")
[%] Due to a bug(?) in MS DOM saving GuiMacro with (Esc), for example print("\eexit\n"),
    was caused erasing of ConEmu.xml file contents.
[*] Group ‘Multi console’ moved from ‘Tabs’ page to ‘Appearance’ page.
[+] New option ‘Show buttons (toolbar) in tab bar’ on ‘Appearance’ page.
[%] Issue 849: Transparency breaks on startup when ‘Hide caption’ is on.
[*] Debug build. Menu item ‘Dump used memory blocks’ in ‘Debug’ submenu.
[*] Some internal changes.
[%] Some Attach from Far Plugin bugfixes.
[+] ‘App distinct’ updated with new Cursor controls.
[+] Shift+Arrows may start selection (new option on ‘Mark & Paste’ and ‘App distinct’ pages).
    Shift+Left/Right starts text selection, Shift+Up/Down starts block selection.
    Note! Shift+Arrows don't start selection in Far Manager.


2012.12.16
[+] Issue 846: New predefined color palette <Solarized>.
[%] Sometimes console was not resized after maximizing ConEmu window. TechInfo: because of larget font size in *real console*. Auto-reducing automatically when possible.
[%] Sometimes close console confirmation ‘Press Enter or Esc to close console’ was bypassed.
[+] Cursor setting page was redesigned. Inactive cursor may be fully configured now. To be continued, some combinations not works yet.
[*] New settings page "Task bar". Some controls from "Appearance" page are here now.
[+] New option "Auto hide ConEmu after last console close". Must be used together with "Leave ConEmu after last console close".
[+] New ConEmu.exe switches:
    /MinTSA - almost like combination of "/Min /TSA" but implies "Leave ..." and "Auto hide after last console close".
    /SetDefTerm - forces installation of ConEmu as default terminal. May be useful with "/MinTSA /Detached".
[+] Now you can turn on "Register on OS startup" for "Default terminal" feature. "Integration" page.


2012.12.11
[+] Issue 824: Ctrl+BackSpace deletes word leftward to the cursor. Ignored in Far Manager. Hotkey is configurable.
    ATM takes care of ‘Change prompt with Left Click’ third state.
[+] Issue 707: ConEmu Inside: WinXP: Trying to show ‘Tip pane’ automatically and close it after ConEmu exits.
[+] Issue 838: New cursor type ‘Block’. With ‘Color’ checked ConEmu draws ‘empty’ rectangle around cell under cursor.
[%] Issue 842: Far 3 build 3000: [string "if APanel.Left Keys("Tab") end"]:1: 'then' expected near 'Keys'.
[%] Some resize bugfixes.


2012.12.06
[*] Timeout for downloading files (Auto-Update) increased to 180 seconds.
[%] Issue 743: Sometimes Auto-Update fails via proxy.
[*] Refactoring of menus processing.
[+] Shell style Drag&Drop allows drops into inactive panes (split-screen).
    To be more exact pane will be activated on drag-over.
[%] Sometimes ‘Quake-style slide down’ shows window without sliding.
[+] New file in ConEmu folder "TypeBuildErrors.cmd". This may be used for colorization errors and warnings in the compiler outputs.
[*] Some more information with "/log2".
[%] Issue 834: Too large FPS while using Far 2 truemod.
[*] Redesign of ‘Mark & Paste’ settings page.


2012.11.28
[*] Some changes in console server & ExtendedConsole.dll.
[+] ‘Default terminal’ - more flexible:
    * active config name used;
    * close confirmation configurable;
    * don't inject hooks configurable;
    * take care about started with debugging;
    * still available after GUI was closed;
    * "-new_console:z" may be used when you need to force real console instead of replacing as ‘default terminal’.
[%] Issue 828: Auto-hidden taskbar and maximized ConEmu without Caption.


2012.11.25
[%] GCC warnings and errors.
[+] Empty passwords are allowed when ‘Run as user’ (if they are allowed by local policy of course).
[+] When ‘Run as user’ trying to use %USERPROFILE% instead of "System32".


2012.11.24
[!] Experimental! ConEmu may set up itself as default terminal for console applications.
    Warning! This feature may raise false alarms in some antiviral programs!
    Warning! Autoupdate with 7z package may fails if this feature is enabled!
    Settings -> Integration -> Force ConEmu...
    Note! In the current build active ConEmu window required for processing interception.
    TechInfo: When enabling this feature ConEmu calls CreateRemoteThread for injecting
    ConEmuHk.dll into selected processes (explorer.exe by default). This allows to
    intercept CreateProcess WinAPI function and replace it with ConEmu.exe...
    There is new ConEmu.exe switch "/nodefterm" - don't start initialization procedure.
[%] Issue 825: ANSI X3.64 sequences don't works with Gow ls.
[%] Issue 819: Regressions in hooks (build 121028).
[*] Options ‘Skip click on activation’ applies to the click on the inactive split-pane.
[%] Issue 667: (May be fixed) ConEmu has incorrect Z-order in 'Vista Switcher'.
[%] Issue 827: Can't disable ‘Sleep in background’.


2012.11.21
[+] Settings -> Keys & Macro. Checkbox ‘Hide unassigned’ temporarily hides from list actions and macros without hotkeys.
[%] Issue 700: WinXP, Default history buffers count too small.


2012.11.19
[%] Bugfix. 10 sec delay when starting Quake-style or "/single" ConEmu.
[*] Apps+Tab and Apps+Shift+Tab switches between visible split-panes.
[+] New item in tab popup menu: Terminate -> Active group. Also available from System menu -> Active console.
[+] New hotkey (unassigned by default) for close of active group.


2012.11.18
[+] For debug purposes. User may define environment variable "ConEmuReportExe".
    ConEmuHk (when it is injected in the process with defined name) will show message box.
    It is right moment to take memory dump of this infiltrated process.
    For example (for cmd.exe command prompt):
    set ConEmuReportExe=sh.exe
    "C:\Program Files (x86)\Git\bin\sh.exe" --login -i
[%] Issue 811: Unable to change Highlight & goto shortcut.
[%] When ‘Don't close ConEmu on last console close’ is on it was impossible to close empty ConEmu window.
[*] Split key macros (default as Ctrl+Shift+O & Ctrl+Shift+E) works now like ‘Duplicate root...’ menu item.
[+] Settings page ‘Status bar’ redesigned: two listboxes (available and selected) instead of checkboxes.
[%] Issue 814: макрос на переход по "гиперссылке" на ошибки компиляции в Far3 build 2949.
[+] New switch: "-new_console:t:tabname". Allows rename new created tab.
[+] GuiMacro: Tab(10,1) and Tab(10,-1) cycle switches visible split-panes.
[%] Issue 818: More DBCS console bugfixes.


2012.11.09
[+] Fast access to ‘Keys & Macro’ (hotkeys) settings page. Win+Alt+K or SystemMenu -> Help -> Hotkeys.
[+] New hotkeys: Win+Alt+Del - close active tab, Win+F4 - close all tabs (same as ‘Cross’ click).
[%] When closing tab from Win7 taskbar thumbnail - closing confirmation was not appears onscreen.
[+] New menu item ‘Duplicate root...’ in tab menu. It tries to create new tab with root process and same directory/environment. Hotkey available but not assigned by default.


2012.11.08
[*] Settings: Group of controls ‘Automatic attach of cmd ...’ moved to ‘ComSpec’ page.
[+] New environment variables: "ConEmuDrawHWND" and "ConEmuBackHWND".
[+] HWND environment variables ("ConEmuHWND", "ConEmuDrawHWND", "ConEmuBackHWND") are processed
    when creating new console. For example, you may start gvim from cmd running in ConEmu:
	gvim --windowid !ConEmuBackHWND! -new_console:sH


2012.11.06
[+] New ConEmuC command: Export environment variables to parent processes.
    Syntax (case insensitive):
    ConEmuC /export[=CON|ALL] [Var1 [Var2 [...]]]
    VarN may contains one trailing/middle asterisk (sort of filemask support).
    /export - export to all processes of current console and ConEmu GUI
    /export=CON - export to all processes of current console only
    /export=ALL - export to all processes of opened tabs and ConEmu GUI
    * Note! This is experimental, ‘Inject ConEmuHk’ required to set variables,
      some shells may ignores environment changes because of their features.
    * Shells comments: Far Manager & TCC/LE - OK; cmd - fails partially (required to run
      smth from active cmd, for example "cmd /k exit", to ‘apply’ changes);
      bash - fails completely (seems, it does not support outside changing of env.vars).
[*] When ‘Hide caption’ and ‘Frame width’ >= resizable frame width - resizable frame used.


2012.11.04
[%] Issue 786: Failed to input Chinese in PuTTY.
[%] Resize bugfix: when maximizing scrolling window (e.g. "dir c:\ /s") ‘viewport’ enlarges after delay.


2012.11.01
[+] Searching in full console (not only visible area). Checkbox ‘Freeze console’ must be turned on. To be continued...
[%] Sometimes DosBox do not starts from Far command prompt (doom.exe -warp 10).
[+] Background: you may set ‘solid color’. Just type in ‘Path’ field ColorRef value
    (e.g. ‘#300A24’ without quotas) instead of background picture file. Supported formats are:
    ‘#RRGGBB’ (hex), ‘0xBBGGRR’ (hex), ‘xBBGGRR’ (hex), ‘RRR,GGG,BBB’ (dec), ‘RRR GGG BBB’ (dec).
[+] New predefined color scheme: <Ubuntu>. If you need purple background, set background color to #300A24 on ‘Main’ page.
[*] Decided to change default hotkey for ‘Minimize/Restore’ - it's now Ctrl+~.
[%] Issue 795: Reducing window size on Hide/Restore.


2012.10.29
[+] New option: Settings -> Status bar -> System colors.
[!] Issue 791: Rollback changes in ‘Run As Administrator’.
[*] Issue 700: Forcing ConEmu's console to larger history buffer count.
    Small count causes ‘Up arrow don't work in prompt’ for long console trees,
    for example: cmd -> Far -> ConEmuC -> cmd -> vim -> cmd -> ...
    Forcing values in HKEY_CURRENT_USER\Console\ConEmu:
    History buffer size - min=16, default=50; Count - min=16, default=32.
[+] In the Tasks popup menu (Win+N or down arrow near to [+]) you may RClick on the task and
    get submenu with task contents. You may click task command to start particular command.
[%] Issue 794: Names of renamed tabs should appear on taskbar.


2012.10.28
[!] Issue 526: Optimization of ‘Inject ConEmuHk’. Hope on great speedup and no new bugs.
[*] Changed ‘Run As Administrator’ startup style to avoid flickering of real console.
[%] Fixed default Far Manager macros for Lua (Far 3 build 2851).
[%] Sometimes "-new_console" was removed with excess spaces.
[+] *nix like ‘sudo’ command. Batch file "%ConEmuBaseDir%\csudo.cmd".
    When checkbox ‘Add %ConEmuBaseDir% to %PATH%’ is On (‘ComSpec’ page),
    you may just type csudo in non-elevated prompt, for example:
    csudo dism /online /enable-feature /featurename:NetFX3 /All /Source:D:\sources\sxs /LimitAccess
[%] Some fixes in closing ConEmu window.


2012.10.22
[+] New default hotkeys: Ctrl+RClick - system menu, Shift+RClick - active tab menu.
[+] New GuiMacro.
    Menu(<Type>) - pop up System (Type=0) or Tab (Type=1) menu.
[+] Now you may use LButton, RButton, MButton in ‘Keys & Macro’.
    Note. When you use Alt+Btn for Menu() - release Alt before Btn to avoid menu cancelling.
[+] Added default support of GIT-bash directory structure, read ConEmuFolders#MinGW_structure for details.
[%] Hiew32 fails to paste more than 1 char at once.


2012.10.20
[%] Filter had not works as expected on ‘Keys & Macro’ page.
[*] Minor changes in ConEmu initialization process.
[*] Create new console dialog, field ‘Another user’. Preferring build-in Administrator,
    another user from Administrators group, or just another user.
[%] Recreating console as another user did not works.
[+] Issue 767: ‘Tabs’ page, if ‘Multiple consoles in one ConEmu window’ is off
    then creating new tasks in new ConEmu window by default.
[+] New ConEmu.exe command line switch:
    /Palette <Name> - Choose named color palette.
[%] Issue 764: Enable same FG/BG color when BG color is background image.
[%] Issue 777: Resizing only works right from corners when ‘Pad size’ is set.


2012.10.18
[*] Removing GCC warnings.
[+] Tasks page: New button ‘Active tabs’ will add all current tabs into selected task.
[+] Button ‘No’ in close confirmation dialog. It will close active console only.
[%] Confirmation dialog was not shown when single console was opened.
[*] Don't show ‘Press Enter or Esc to close console’ after killing root process.
[%] Issue 774: ConEmu window size breaks when moved across monitors.
[%] Issue 775: Failed to update Windows 7 Jump list when no tasks are left in the list.


2012.10.16
[!] ConEmu on Reddit! http://redd.it/11k5oy Please, vote ;)
[*] Internal resize changes.
[%] Issue 736: ConEmu crashes on saving a task when creating the new one.
[%] Pasting CygWin paths fails.
[%] Fixes in ‘Extend foreground color with background’.
[%] User palettes was not saved with ‘Save settings’ button.
[*] Apps+Insert - paste file pathname from cliboard, converted to CygWin style.
[*] App distinct: When there is no explicit settings for current application - root application settings applied.


2012.10.15
[+] Option ‘Use Clink in prompt’ supports loading of clink version 0.2 (recommended).
    There is no need to set up ‘clink autorun’ when this option is checked.
[%] Issue 763: Maximizing puts ConEmu on the second monitor.
[+] Issue 764: Enable same FG/BG color when BG color is background image.


2012.10.14
[*] Far 3 build 2851 supported. Builds from 2799 to 2850 (inclusively) not supported.
[%] Incorrect startup position when maximized and hide caption.
[*] AnsiColors16.ans changed, AnsiColors16t.ans created.
[%] Some resize bugfixes.
[*] Minor changes in Settings dialog.
[+] New ConEmu.exe command line switches (some exists already but not described).
	/Reset - Don't load settings from registry/xml.
	/UpdateJumpList - Update Windows 7 taskbar jump list.
	/LoadCfgFile <file> - Use specified xml file as configuration storage.
	/SaveCfgFile <file> - Save configuration to the specified xml file.
	/Exit - Don't create ConEmu window, exit after actions.
[%] Issue 760: Shield overlay icon appears only on tab-change on Taskbar.
[+] New option: ‘Appearance’ -> ‘Show Shield overlay (Win7 or higher)’.


2012.10.09
[%] Changes of numbers on ‘Appearance’ page was ignored.
[*] Far Manager: when "far /w" and mouse over visible scrollbar - mouse wheel scrolls console.


2012.10.08
[*] Changes in ‘Sleep in background’.
[*] Some more AI in ‘Press Enter or Esc to close console’ (successfull ReadLn takes into account).
[%] Changes of ‘Pad size’ was ignored.
[%] Bugfix: Restart as Administrator fails.


2012.10.04
[%] BugFix. "%ConEmuDir%" does not works for elevated consoles.
[%] BugFix. Maximize fails on WinXP.


2012.10.02
[!] Far 3 build 2848 supported.
[%] Two elevated in task.
[%] DBCS bugfixes (default font in real console).
[*] More information in logs.


2012.09.30
[+] GuiMacro: Paste(8) - paste path from clipboard converted to CygWin style.
[*] When started with "/logN" switch and program folder is write-protected, log files will be created on Desktop\ConEmuLogs.
[%] Bugfix: "/single" switch.


2012.09.26
[%] Issue 727: Shortcut opens multiple instances.
[%] Issue 724: Internal window resize changes (continuation).
[*] When can't create font (specified font not found in system) defaulting to monospace fonts.
[+] Ctrl+Shift+D, Ctrl+Shift+F - select and paste to console path to a folder or a file.


2012.09.25
[%] Issue 721: Window is not resizable in Normal mode with caption hidden.


2012.09.24
[!] Internal window resize changes (continuation).
[!] ConEmuHk compiled with "/DYNAMICBASE".
[*] Switch "/single" takes care of the path, from existing ConEmu instance was started.
[*] For ‘Quake style’ switch "/single" implied.


2012.09.23
[!] Internal window resize changes.
[*] Touchscreen. Ignore SPI_GETWHEELSCROLLLINES.
[+] IME. Composition window placed inside ConEmu.
[%] RClick & Far 3 & "Far /w" does not select panel items.
[*] Minor changes in splitter`s painting.
[%] Issue 689: Progress stuck at 100% in powershell.
[+] New switch: "ConEmu.exe /reset" starts without loading settings (a'la fresh config).
[+] New option on ‘Show’ page: ‘Don't show ConEmu window on Taskbar’.
[+] New option on ‘Caption’ page: ‘Always show numbers [n/m]’.
[+] New option on ‘Tabs’ page: ‘Tabs on bottom’.
[+] Issue 716: GuiMacro: SetOption("QuakeAutoHide",Value). Where Value: 2 - switch autohide, 1 - enable, 0 - disable.
[+] Issue 717: New global hotkey for ‘Restore (bring to front)’. Unassigned by default.


2012.09.16
[!] Settings dialog redesigned. New pages created. Some options renamed.
[%] Regression fixed. Can't activate alternative mode for tab #1.
[%] Alternative buffer of "far /w" was not scrollable.


2012.09.13
[!] I'm bored to tell ‘Read Disclaimer #2’. Option ‘Inject ConEmuHk’ is off for now by default.
[*] Some more diagnostic info on failed to start root command (shell).
[*] Some default hotkeys are moved from Macros to User area, not to occupy Macros cells.
[+] GuiMacro.
    Paste(4[,<Title>]) - choose file and paste full pathname
    Paste(5[,<Title>]) - choose folder and paste full path
[+] New switches in "-new_console".
    "-new_console:o" - don't enable 'Long console output' when starting command from Far Manager.
    "-new_console:i" - don't inject ConEmuHk into starting process.
[%] ConEmu hungs on exit, when F-Secure is installed.
[%] Attach does not catch console windows (regression of 120909).
[%] Hyperlinks detector fixes.
[%] In some cases (e.g. "far /x"), split console (Ctrl+Shift+O/E) starts program via "cmd.exe" as root console app.


2012.09.09
[+] Settings -> Tasks: more intuitive configuration for Tasks edit box, new buttons.
    "Add Tab" - opens standard dialog with "Save" button, which append new line to Tasks edit box.
    "Add startup dir" - simplifying insertion of "-new_console:d:<dir>" with GUI dialog.
    "Add file path" - inserts path to any file (GUI dialog too).
[+] Settings -> ComSpec: ‘Support UNC paths in cmd.exe’. The beginning. Checkbox turn on "DisableUNCCheck".
[+] GCC Build updated. ConEmu, ConEmuC, ConEmuCD, ConEmuHk. 32-bit versions only was tested in GCC.
[+] MinGW. ConEmu files MAY be stored in MinGW compatible locations:
    $MINGW_ROOT/bin/
      ConEmu.exe, ConEmu64.exe
    $MINGW_ROOT/libexec/conemu/
      ConEmuC.exe, ConEmuHk.dll and others
      ConEmu.xml - contains some defaults for MinGW environment
    $MINGW_ROOT/share/conemu/
      WhatsNew-ConEmu.txt and others
[!] AutoUpdate is disabled in MinGW mode.
[*] Minor changes in command line parser.
[%] Selection ended unexpectedly when Modifier for selection start was set and
[%] Some GUI windows was ignored by Attach.


2012.09.04
[%] When ‘Auto tabs’ is on, creating new console shrinked ConEmu size.
[%] SplitScreen, dialog fixes.


2012.09.03
[+] SplitScreen options in ‘Create new console’ dialog.


2012.09.02
[%] Fixed regression of ‘Auto show scrollbar’.
[%] Issue 696: ‘Frame width’ does not works (with ‘Hide caption always’).
[%] Some excess and wrong console resizes removed on window state change.
[%] Successive show/hide tab bar descrease window height.
[+] Installer creates "ConEmu.exe" and "ConEmu64.exe" in AppPaths (HKLM).


2012.08.30
[*] Internal changes in child windows.
[%] Some fixes for DBCS.
[*] GuiMacro. Changes in Shell function. All following examples runs "cmd" in new tab:
    ‘Shell("new_console","cmd")’ or ‘Shell("","cmd")’ or ‘Shell("","","cmd")’.
    Memorial. Other verbs, like ‘Shell("open","cmd")’ runs "cmd" outside of ConEmu window.
[*] Safe Far close. From current build, this option may be used for ‘Unsafe’ console closing.
    Type "#Close(1,1)" (without quotas) in Safe Far close macro field
    and turn on checkbox. Now, click on the cross-button in ConEmu title provokes
    ‘Terminate active process’ in all opened consoles, regardless of ‘Far’ it is or not.
    Warning! Use on your own responsibility, this method may damage console applications data!
[+] Far Manager & TabletPC. Tap on clock+1row (upper-right corner) show/hide panels.
[+] DoubleClick on TabBar free area acts as click on [+] button.


2012.08.26
[+] GuiMacro.
    * Print(["<Text>"])
      - Alias for Paste(2,"<Text>")
    * Rename(<Type>,["<Title>"])
      - Rename tab (Type=0) or console title (Type=1)
    * Close(<What>[,<Flags>])
      - close current console (0), without confirmation (0,1),
      - terminate active process (1), without confirmation (1,1),
      - close ConEmu window (2)
[*] Internal changes in child windows.
[%] When ‘Show & store current window size and position’ is off, size and pos was not displayed on ‘Size & Pos’ page.
[%] CmdAutoAttach failed, if ConEmu.exe not installed.
[+] ‘Show was hidden warning’ option on ‘Features’ page. ‘On’ by default. May be turned ‘Off’ for use with some desktop switchers (Dexpot e.g.).
[%] Issue 674: Tab macro function going to console doesn't handle 1-based offsets properly.
[%] После показа/скрытия TabBar (3-е состояние флажка) или StatusBar менялась высота окна ConEmu.
[+] <Twilight> and <Zenburn> color palettes.


2012.08.06
[%] Bugfixes and regressions of SplitScreen.
[%] В настройке не сохранялась высота консоли менее 9 строк.
[%] Issue 668: "-new_console:d:C:\Program Files (x86)" fails.
[*] GuiMacro.
    Close(<What>[,<Flags>])
      close current console (0), without confirmation (0,1),
      terminate active process (1), without confirmation (1,1)
    Shell. You may omit both <File> and <Parms>. This means ‘Duplicate tab’.
      Shell("new_console:sV") - create same tab, split current tab to bottom;
      Shell("new_console:sH") - create same tab, split current tab to right.


2012.08.03
[!] Bugfixes and regressions of SplitScreen. Now you can create more than two splits.
[*] Some changes in ‘Long console output’ (plugin required in Far Manager).
[*] Minimal console size now is 4 cols 2 lines.


2012.08.02
[!] Experimental: -new_console:s[<SplitTab>T][<Percents>](H|V). Examples.
    "cmd -new_console:s" - split current tab, new tab and old (current) tab become 50% width of current tab.
    "cmd -new_console:s50H" - same as "cmd -new_console:s".
    "cmd -new_console:sV" - split current tab, create new tab to the bottom.
    "cmd -new_console:s3T30H" - split 3-d tab, create new tab to the right with 30% width.
[%] Regression, Build 120727a: xterm-256 was broken.
[%] Issue 651: 7-zip/WinRar was not elevated, when updating in "Program Files".
[+] Опция ‘Add %ConEmuBaseDir% to %PATH%’ на вкладке ‘ComSpec’. По умолчанию включена.


2012.07.27b
[*] В поле ‘Command’ на вкладке ‘Integration’ можно использовать ключи для ConEmu.exe. Например: "/single /cmd powershell.exe".
[*] Minor hooks optimization.
[%] Issue 651: Sometimes, ConEmu choose incorrect update method (msi instead 7z and vice versa). Cause of previously saved value "Update.DownloadSetup".


2012.07.27
[%] Issue 643: Windows from powershell/.net does not appears on screen.
[+] Issue 652: New predefined palette <Solarized Light>.
[%] Speedup of ecompl Far Manager plugin.
[+] В окне настроек в полях цветов теперь допустим ввод следующих форматов: ‘#RRGGBB’ (hex), ‘0xBBGGRR’ (hex), ‘xBBGGRR’ (hex), ‘RRR,GGG,BBB’ (dec), ‘RRR GGG BBB’ (dec).
[+] Для неактивного окна минимальное значение ‘прозрачности’ установлено в 0. Т.е. теперь при потере фокуса окно может ‘исчезать’ с экрана.


2012.07.26
[+] Создана группа рассылки: http://groups.google.com/group/conemu_ml. Welcome!


2012.07.22a
[%] Issue 649: 120722 does not restore window position.


2012.07.22
[%] Issue 348: Maximize errors with Hide caption.
[+] Issue 641: Show current console title in the status bar.
[+] Issue 645: PowerShell cmdlet Write-Progress detection.
[%] Issue 646: ConEmu eats dead keys.
[%] Issue 647: Mouse wheel does not respect Control Panel settings.
[%] Issue 648: Правки детектора прогресса в консоли.
[%] В альтернативном буфере скролл стрелками срабатывал дважды на одно нажатие.
[*] Status bar appearance. Options ‘Vertical separators’ and ‘Horizontal separator’.
[*] Статус при старте консоли отображается только в строке статуса (если она включена).
[%] Правка ‘Sleep in background’.
[*] Правка журналирования клавиатуры (ConEmu.exe /log).


2012.07.19
[+] Issue 645: PowerShell cmdlet Write-Progress detection.
    0..100 | foreach {Write-Progress Test Progress -PercentComplete $_; sleep -m 100}
[+] Смена ‘на лету’ цвета текста и всплывающих окон в консоли (cmd, powershell, и т.п.)
    Смена цвета всплывающих окон поддерживается в Vista и выше. Для Win2k и WinXP применяется только при старте новой консоли.
    При смене цвета всплывающих окон может мелькать окно RealConsole.


2012.07.17
[*] Do not run clink in background threads.
[%] В некоторых случаях ConEmu мог падать при инициализации Far Manager.
[+] Пункт ‘Console information’ в меню плагина ConEmu для Far Manager.


2012.07.16
[!] Настройка размера и положения вынесена на отдельную вкладку 'Size & Pos'.
    Настройка 'Long console output' перенесена на вкладку 'Size & Pos'.
    Настройка 'Cmd output codepage' перенесена на вкладку 'ComSpec'.
[+] Добавлена настройка 'Show & store current window size and position'.
    По умолчанию включена. При отключении флажка значения в полях X/Y/Width/Height
    не обновляются автоматически (показываются значения сохраненные пользователем).
[+] Кнопка 'Apply' в режиме 'Normal' не меняла текущее положение окна (X/Y).
[%] Issue 638: bincmp fails.
[%] После Apps+F и открытия диалога выскакивало контекстное меню.
[+] Добавлена палитра <PowerShell>.
[+] ConEmu Inside: Windows 2000 and Windows 2003 supported.
[%] Опять работаем в Windows 2000. Режим Alternative mode attach в Windows 2000 не доступен.
[+] В альтернативном буфере (Win+A) кнопки PgUp/PgDn/Up/Down скроллируют окно (не нужно держать Ctrl).
[+] На вкладке ‘Features’ добавлен флажок ‘Use Clink in prompt’. Clink - bash style completion.
    Качать здесь версию 0.1.1: http://clink.googlecode.com
    Распаковывать сюда: %ConEmuBaseDir%\clink
    Учтите, что архив clink содержит подпапки. Файлы clink_dll_x86.dll и clink_dll_x64.dll
    должны лежать в папке ConEmu\clink.
    Опция экспериментальная, может быть изменена или удалена в следующих версиях ;)


2012.07.11
[*] Far Manager. Не включать длинный буфер при поиске в архивах через MultiArc.
[+] StatusBar. Добавлена колонка ‘[+]’ - меню создания новой консоли. Правый клик на ‘[+]’ и на ‘ActiveCon/TotalCon’ отображает меню активного таба.
[%] DblClick по иконке в заголовке ConEmu не закрывал окно.
[*] Правки в Injects.
[%] Issue 639: /cmd can't find far.cmd or far.bat without the extension.
[+] ConEmu Inside. Если ConEmu уже открыт, то повторный вызов пункта меню открывает новую консоль (вкладку) в открытом окне.


2012.07.10
[+] Reorder tabs. Новые хоткеи. Win+Alt+Left/Win+Alt+Right сдвинуть таб (точнее все табы консоли) влево/вправо.
[%] Issue 637: ConEmu recursively runs itself in an endless loop.
[%] Ошибка при "Download path" = "C:\".
[%] Changes in hooks.


2012.07.09
[*] Minimize/Restore учитывает флажок ‘Always on top’.
[*] Уточнение ‘Copy on LButton up’.
[*] New hotkey: Minimize/Restore (alternative).


2012.07.08
[+] GuiMacro: теперь можно позвать через ANSI коды. Пример в файле ‘IsConEmu.cmd’.
[+] Вкладка ‘Keys & Macro’: В поле редактирования GuiMacro можно использовать \e (ESC) и \a (BELL).
[%] Cmd_Autorun.cmd fixed.
[+] ConEmuC switches. "/IsConEmu", "/IsTerm", "/IsAnsi". ErrorLevel 1 - ON, ErrorLevel 2 - OFF.
[%] Issue 633: Cannot specifiy environment variables for startup dir.
[*] Mark & Copy.
    Уточнение DoubleClick, TripleClick.
    Ctrl+C/Ctrl+Ins при наличии выделения выполняют копирование и завершают режим выделения.
[+] Issue 634: Опция ‘End selection on typing’. 3-е состояние - завершить без копирования.
[%] Во время выделения текста не работали хоткеи (типа Win+Alt+P).
[*] Issue 635: На вкладке ‘Mark & Paste’ показываем хинт, если модификаторы Text/Block/Prompt совпадают.
[%] Issue 631: Italic drawing bug.
[%] Issue 593: Minimize/Restore hotkey fix. Now activating ConEmu if not focused.
[+] ConEmu Inside: Добавлена поддержка Windows XP. В проводнике должна быть показана панель ‘Полезный совет’.
[+] Доработана вкладка ‘Integration’.
    Группы ‘ConEmu Inside’ и ‘ConEmu Here’ отвечают за регистрацию/удаление пунктов контекстного
    меню проводника для дисков/папок/файлов. Выпадающие списки ‘Menu item’ показывют текущие
    пункты меню (то что сейчас зарегистрировано в реестре).
    Любой пункт можно просмотреть (выбрав его в списке) и отредактировать (нажав кнопку ‘Register’).
    Группа ‘Automatic attach of cmd...’ позволяет установить (или просмотреть текущую) команду,
    выполняемую процессором (cmd и tcc) при старте. Это позволяет автоматически подцепить запущенный
    cmd/tcc в новую вкладку ConEmu.


2012.07.05
[!] Settings tree redesigned.
[%] Issue 630: ‘Snap to desktop edges’ and multi-monitor layout.
[+] ConEmuC: "/ATTACH /CONPID=<pid> /GHWND=NEW" - Alternative nonintrusive attach of existing console to the NEW instance of ConEmu.exe.
[%] Issue 623: Continue...


2012.07.04
[%] FindEditor/FindViewer/FindFarWindow возвращал "NotFound".
[%] На вкладке Debug создавались ‘пустые’ строки даже при ‘Shell activity’ = ‘Disabled’.
[*] Issue 623: Continue...
[%] Issue 629: Crash on saving color palette.
[+] Alternative nonintrusive attach mode for console windows.


2012.07.03
[+] Now DoubleClick (for ‘words’) and TripleClick (for ‘lines’) both works for text selection.
[+] Расширены ANSI коды (ESC ] 9 ; ...) - http://conemu.github.io/en/AnsiEscapeCodes.html#ConEmu_specific_OSC.
[*] Issue 623: Checking...


2012.07.02
[+] Drag window by any point of client area (configurable modifier, Ctrl+Alt by default).
[+] ‘Features’ -> ‘Snap to desktop edges’.
[%] Issue 626: /dir arg is ignored for startup task.
[+] ‘Colors’ -> Text/Back. The beginning.


2012.07.01
[+] Для облегчения отладки и сообщений об ошибках.
    Создать mini-dump: ConEmuC.exe /DEBUGPID=<PID> /MINI
    Создать full-dump: ConEmuC.exe /DEBUGPID=<PID> /FULL
    О соответствии битности беспокоиться не нужно, все сделает сам ConEmuC.exe.
    Также, добавлен пункт в системном меню ConEmu: Debug -> Active process memory dump.
[+] Tasks: /DIR "<dir>" учитывается при запуске вкладки в уже открытом ConEmu.
[+] Также, рабочую папку можно указать с помощью параметров "-new_console:d[:<dir>]" и "-cur_console:d[:<dir>]".
[*] Немного AI в 'Change prompt text cursor position with Left Click' - не пытаться вывести курсор за пределы строки.
[+] Issue 575: Confirm or abort setting ConEmu OnTop from external program.


2012.06.30
[+] Page 'Transparency', 'Use separate value'.
[%] После закрытия консоли (не последней) на статусной строке не обновлялось поле 'ActiveCon/TotalCount'.
[*] ConEmu inside mode.
    Синхронизация текущей папки: Explorer -> ConEmu. На статусной строке добавлена кликабельная колонка 'Sync'.
    Адаптировано для Vista.
[+] More ANSI examples. RenameTab.cmd, SetConTitle.cmd, SetProgress.cmd.
[+] GuiMacro: Progress(<Type>[,<Value>])
	Set progress state on taskbar and ConEmu title.
	 Type=0: remove progress.
	 Type=1: set progress value to <Value> (0-100).
	 Type=2: set error state in progress.
[+] На ярлык ConEmu (или сам ConEmu.exe в проводнике) можно набросить один или несколько ярлыков программ.
    Каждая запустится в своей вкладке.
    Исключение - если в в настройке ConEmu "Startup" -> "Command line" указан "far.exe". В этом
    случае строка запуска "подклеивается" к "far.exe".
[+] При быстром закрытии ConEmu "крестиком" в консоли успевало мелькнуть "Press Enter or Esc to close console...".
[+] Issue 575: Confirm or abort setting ConEmu OnTop from external program.
[%] Issue 624: Menu was not available in Notepad++ with SourceCookifier plugin.


2012.06.26
[*] ConEmu inside mode.
    AutoResize.
    "As Administrator" supported: use "-cur_console:a" or hold Shift when selecting menu item.
    For debug purposes: "/insidewnd <HWND>" & "/insidepid <PID>".
    ConEmu_Inside.reg file updated.
[+] Right click on leftmost part of status bar pop up system menu (useful in 'ConEmu inside' mode).
[*] Minor fix in Close Far editor/viewer confirmation.


2012.06.25
[+] Новая опция 'Min cursor size (pix)' на вкладках 'Text cursor' & 'App distinct'.
[%] Issue 619: В не которых случаях возникал Assertion после закрытия Far Manager.
[*] Немного поправим 'Detect text line ends', 'Trim trailing spaces', 'Bash margin'.
[+] Новый ключик для ConEmu.exe - "/inside". Пример использования в "ConEmu\Addons\ConEmu_Inside.reg".
    Смысл - создать панель в проводнике и запустить в ней, например, powershell.
    Пока ‘на поиграться’, вроде работает в Windows 7 и Windows 8, в других системах не проверял.
    Перед вызовом контекстного меню в проводнике нужно либо увеличить высоту нижней области (Windows 7),
    либо показать панель информации/просмотра (Windows 7 & 8).


2012.06.24
[*] На вкладке 'Mark & Paste' опция 'Auto copy' переименована в 'Copy on LButton up'. По умолчанию включена.
[%] Не сохранялось значение флажка 'Highlight and goto' и пути 'External editor'.
[*] Isue 587, Issue 605: При Paste не показывать сообщение об отсутствии текста в буфере обмена.
[+] Настройка времени появления/скрытия полосы прокрутки.
[+] Еще про Quake: настройка 'окантовки' вокруг консоли 'Pad size (pix)', работает только при включенном 'Try to center'.
[+] 'App distinct' settings page redesigned.
[*] Теперь могут быть изменены комбинации: Apps+Space, Alt+F9, Alt+Enter, Alt+Space, Ctrl+Up, Ctrl+Down, Ctrl+PgUp, Ctrl+PgDn и PicView.SlideShow.
[*] Соответственно, убраны флажки из 'Send to console': Alt+F9, Alt+Enter, Alt+Space.
[%] Win+Down не увеличивал размер консоли (опция ‘Win+Arrows - resize window’).
[%] Issue 606: На Windows XP не появлялось сообщение (тултип) об ошибках в области нотификаций (TSA).
[*] Настройки текстового курсора перенесены на новую отдельную вкладку 'Text cursor'.
[+] Issue 612: Option to change cursor size ('Fixed cursor size' & '(5-100) %').
[%] Issue 608: Проблемы с telnet.
[*] cmd/powershell/tcc: Параметр "-new_console" (для запуска консольных приложений в новом табе) теперь можно использовать в prompt без "ConEmuC.exe".
    Например, в cmd prompt можно ввести: powershell -new_console
[%] Исправлен Detach GUI приложений.
[+] Issue 607: 'Mark & Paste' and 'App distinct' -> 'Detect text line ends', 'Bash margin', 'Trim trailing spaces', 'EOL'.
[+] 'Mark & Paste' and 'App distinct' -> 'Change prompt text cursor position with Left Click'.


2012.06.18
[+] Issue 582: Позиционирование текстового курсора кликом мышки в prompt (cmd, powershell, tcc/le, ...)


2012.06.17a
[%] Задержка при активации ConEmu с открытым Far 3.
[%] В Putty не проходили события от колеса мышки.
[%] В 120617 поломался аттач GUI приложений.


2012.06.17
[+] 'Quake style slide down' third state - auto hide on lose focus.
[%] Не перехватывать фокус при запуске, если запускаемся с ключом "/min".
[+] Issue 599: 'Auto copy' on 'Mark & Paste' - copy selected text immediately on left mouse button up (when selecting with mouse).
[%] Issue 599, Issue 570: Small lags removed, when pastings long text from clipboard.
[+] 'Main' settings page redesigned.
[+] Chinese improvments.
[*] Some Wine related fixes, but still not working ;)
[*] При невозможности зарегистрировать глобальный хоткей (Minimize/Restore) выдается сообщение в области уведомлений.
[*] Умолчание для Minimize/Restore - Win+Shift+C.


2012.06.14
[+] Для фоновой картинки добавлены опции DownLeft и DownRight.
[%] Issue 577: Chinese font display error on Chinese Win XP.
[%] Issue 587: Right click gives an error box.


2012.06.13
[%] При удалении задачи, назначенной в Startup, ConEmu переставал запускаться.
[%] 120612: При выполнении команды с "-new_console" ConEmu минимизировался.
[+] Меню таба (Rename tab) и Apps+R - переименовать активный таб. Для Far - пока можно переименовать только ‘Панели’.
[+] Для фоновой картинки добавлена опция UpRight.
[%] Issue 590: Изменена обработка Ctrl+C/Ctrl+Break.
[*] Some Quake style improvements.


2012.06.12
[+] В поставку добавлен пример ‘ColorPrompt.cmd’. Запустите его в cmd.exe или tcc.exe
    для смены цвета текста command prompt на желтый.
[+] Новые аргументы для ConEmu.exe - /ShowHide и /ShowHideTSA.
    Если ConEmu не запущено - запускает (с возможно указанным /cmd ...),
    если окно ConEmu уже открыто - сворачивает его или прячет в TSA.
    Действие похоже на глобально регистрируемый хоткей (Win+C), но этот хоткей не работает,
    если ConEmu не был запущен. А с ключами - можно настроить ярлык на рабочем столе.
[+] Аргумент ConEmu.exe: /dir "Folder". Аналог Working folder, задаваемый в свойствах ярлыка.
[+] Параметр ‘Quake style slide down’ на вкладке ‘Features’.
    Пример настройки в ‘ConEmu\ConEmu_Tilda.xml’.
    Если вы хотите что-то типа этого
    http://tech-bytes.co.uk/2008/05/23/a-quake-style-console-for-your-gnome-desktop/
    переименуйте ‘ConEmu_Tilde.xml’ в ‘ConEmu.xml’,
    при загрузке компьютера запустите !ConEmu с ключом /min,
    и вы получите ‘выезжающую’ консоль по тильде.
[%] Issue 576: Trap when updating Jump Lists/Task while history is empty.
[%] Не работал Copy из альтернативной консоли (Win+A).
[%] Issue 584: App distinct color palette not working.
[%] Issue 576: ConEmu.exe /updatejumplist.
[%] When Maximized, check/uncheck ‘Hide caption always’ losed caption.
[+] GuiMacro.
    Paste(2[,"<Text>"]) - paste all lines, without confirmations
    Paste(3[,"<Text>"]) - paste first line, without confirmations
    Task(Index) - start task with 1-based index
    Task("Name") - start task with specified name
[+] В диалоге настроек для GuiMacro (вкладка Keys) работают "\\", "\r", "\n", "\t".
    Теперь можно задать что-то вроде ‘Paste(2,"exit\n")’ для выхода из cmd.exe


2012.06.09
[%] Коррекция Injects для Windows 8 RC.
[+] Issue 571: В диалоге подтверждения создания консоли добавлен флажок ‘New window’.
    Если указывается ‘Another user’, то под выбранным аккаунтом запускается сам ConEmu.exe.
    При желании, можно назначить отдельный хоткей для открытия диалога с включенным флажком.
[%] В некоторых случаях по краям консоли оставался мусор.
[*] Уточнение снятия скриншотов (режимы Maximized/Fullscreen).
[%] Не работал Attach GUI приложений.
[%] При перемещении мышкой бегунка полосы прокрутки - не обновлялось положение курсора.


2012.06.08
[+] Добавлена страничка: http://conemu.github.io/en/RoadMap.html
[*] Уточнение подтверждения закрытия консоли.
[+] GuiMacro: WindowFullscreen, WindowMaximize, WindowMode, Status.
[+] Keys: Always on Top, Show/hide status bar (Apps+S), Show/hide tab bar (Apps+T), About (Win+Alt+A).
[+] About: В диалог добавлены вкладки с информацией по параметрам ConEmuC, -new_console и GuiMacro.
[+] На вкладке ‘Mark & Paste’ добавлено ком.строка запуска внешнего редактора, значение по умолчанию: far.exe /e%1:%2 "%3"
[*] Уточнение снятия скриншотов (Win+H). Добавлен Win+Shift+H - скриншот экрана.
[%] Issue 570: Pasting into iPython (in fact, any console app except Far) does not work as expected.
[%] Issue 558: Some more color anomalies.


2012.06.04
[%] Error ‘Can't free hooks in module ...’ в ConEmuHk.dll
[%] Issue 557: Assertion в RealBuffer.cpp
[%] Issue 568: При первом вызове 'View console output' (в плагине Far) вьювер переключался в dump-режим
